cinnamon (6.6.5+zena) zena; urgency=medium

  [ Clement Lefebvre ]
  * systray: Hide IBUS applet

  [ Michael Webster ]
  * accessibility/cinnamon-hover-click: Keep the active click action in sync with Clutter.
  * virtualKeyboard.js: Fix support for OSK ctrl and alt modifier in (#13355)

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 16 Jan 2026 11:58:07 +0000

cinnamon (6.6.4) zena; urgency=medium

  [ Clement Lefebvre ]
  * cinnamon-settings: Add support for mintsysadm
  * l10n: Update POT

  [ Michael Webster ]
  * keyboard: Always fetch the full XkbInfo store except when adding a layout.

  [ Clement Lefebvre ]
  * defaults: Switch gucharmap for GNOME Calendar

  [ fredcw ]
  * GWL: Add generic icon for apps with no icon (#13294)
  * menu applet: Show generic icon on sidebar if fav app has no themed icon (#13296)

  [ Clement Lefebvre ]
  * js: Fix missing import

  [ Michael Webster ]
  * st-entry.c: Disable cursor blink.
  * keyboardManager.js: When loading configured sources, always ensure at least one layout.
  * keyboardManager.js: Make sure to reload the current engine properties when sources change.
  * keyboardManager.js: Update the definition of 'multiple sources'.

  [ Clement Lefebvre ]
  * cs_notifications: i18n test notification title
  * l10n: Update POT

  [ fredcw ]
  * trigger xlet settings update when settings options "Reset to defaults"... (#13297)

  [ JosephMcc ]
  * recent applet: Fix label alignment (#13302)

  [ rlbxku1r ]
  * menu: Fix context menu to not close the menu applet (#13318)

  [ Balló György ]
  * Hide icon themes that marked as 'Hidden' (#13307)

  [ fredcw ]
  * Put back "notifications" role removed in commit... (#13303)
  * messageTray.js: Check for pending notifications after showing a notification (#13277)

  [ NotSirius-A ]
  * Fixed menu editor freezing on right-clicking categories on the left menu (#13306)

  [ Michael Webster ]
  * cinnamon-menu-editor: Remember the scroll position when refreshing the item list after an edit.
  * menu/desktop editor: Load and save for the current language when editing desktop entries.
  * cinnamon-slideshow.py: Continue with the next background in a folder when launched (if it exists), instead of always starting over.

  [ fredcw ]
  * cinnamon theme: use a variable for consistent window/popup border radius (#13328)

  [ Michael Webster ]
  * sound applet: Fix panel album art not being discarded and falling out of sync with the active player.

  [ Kaushik B ]
  * Fix OSD fading out when updated during hide animation (#13335)

  [ Clement Lefebvre ]
  * network applet: Remove symbolic icons
  * sound applet: Switch leftover Adwaita icon names to XSI
  * popupmenu.js: Switch leftover Adwaita icon names to XSI

  [ Michael Webster ]
  * SettingsWidgets: Silently ignore BinFileMonitor errors.

  [ Clement Lefebvre ]
  * cs_calendar: Localize regions and cities
  * l10n: Update POT
  * Fix localization in KeybindingWidgets.py
  * cs_default: Fix localization in removable_media_defs
  * l10n: Update POT

  [ rlbxku1r ]
  * menu: Fix input method key event handling (#13317)

  [ Michael Webster ]
  * placesManager.js: Add mounts with no associated volume. (#13325)
  * osk: Restore control and Alt keys (#13337)

  [ hduelme ]
  * wrong app id in calc search provider example (#13249)

  [ Michael Webster ]
  * KeybindingWidgets.py: Fix keybinding teaching in wayland sessions.
  * cs_keyboard: Add an XKB options page. (#13343)

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 08 Jan 2026 13:29:45 +0000

cinnamon (6.6.3) zena; urgency=medium

  [ Leigh Scott ]
  * cs_user.py: Switch from pam passwd to system-auth or common-auth with login fallback (#13239)

  [ Michael Webster ]
  * applets,desklets: Validate tab argument before attempting to launch xlet-settings.
  * Remove cs-tiling icon and desktop file.
  * Regenerate desktop files with latest translations.
  * menu applet: Fix screen-reader/Atk support.
  * main.js: Fix error during expo view - 'action is not defined'.
  * cs_nightlight.py: Increase possible color temp range.

  [ Clement Lefebvre ]
  * Use xsi-preferences when appropriate
  * menu: Make the sidebar min-width configurable
  * menu: Fix category hover stylename on leave event
  * menu: Fix symbolic category icon for wine and custom categories
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 23 Dec 2025 12:49:34 +0000

cinnamon (6.6.2) zena; urgency=medium

  [ Clement Lefebvre ]
  * packaging: Update menu favorites

  [ Michael Webster ]
  * main.c: Go back to blocking caribou's osk service.

  [ Clement Lefebvre ]
  * menu: Add a tiny bit more height to the default size

  [ Michael Webster ]
  * AddKeyboardLayout.py: Add checkbox to display less-common layouts.

  [ Leigh Scott ]
  * Menu: Removes the icon validation logic that only checked Gtk.IconTheme (#13272)

  [ Clement Lefebvre ]
  * l10n: Update POT

  [ Michael Webster ]
  * menu applet: Restore and fix icon check removed in e15b112e3bb59.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 16 Dec 2025 17:31:09 +0000

cinnamon (6.6.1) zena; urgency=medium

  [ Clement Lefebvre ]
  * l10n: Update POT

  [ Michael Webster ]
  * main.js: Don't try to invoke keybindings for synthetic events.
  * magnifier.js: Revert part of 894ab13f - go back to using Cinnamon's KeybindingManager to setup zoom keybindings.

  [ fredcw ]
  * menu@cinnamon.org: check category icon exists (#13258)

  [ Michael Webster ]
  * ExtensionCore.py: GtkLabel argument should be a string.

  [ Clement Lefebvre ]
  * l10n: Don't use POTFILES.in in makepot

  [ Michael Webster ]
  * keyboardManager.js: Use KeybindingManager to setup layout switch (#13251)
  * debian/control: Add Recommends: ibus

  [ Clement Lefebvre ]
  * menu: Tune defaults
  * menu: Show favorite category even when there are no favorites
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 16 Dec 2025 10:51:01 +0000

cinnamon (6.6.0) zena; urgency=medium

  [ Matt Turnbull ]
  * Move sass compilation to its own custom target so it shows up in the build log. Support both pysassc and sassc. (#12588)

  [ Michael Webster ]
  * cinnamon-calendar-server.py: Refresh remote calendars when the event list is opened.
  * windowManager.js: Fix cleanup of WorkspaceOsd instances.
  * build: Improve variable names for NetworkManager options.
  * st-entry.c: Fix argument order for _st_paint_shadow_with_opacity().

  [ Ilham Ifham ]
  * Fixed issue with grouped-window-list-thumbnail-menu hover (#12666)

  [ JosephMcc ]
  * gestures: Show the OSD when using gestures to change volume (#12731)

  [ Timothy Feierabend ]
  * Bugfix for Cinnamon issue 12707 (#12734)

  [ Shixian Sheng ]
  * Update control (#12742)

  [ Clement Lefebvre ]
  * Revert "Update control (#12742)"

  [ JosephMcc ]
  * st-label: Don't guard against NULL text (#12605)
  * st-theme-node: Add support for css 'auto' (#12606)
  * Port dis/connectObj from gnome shell (#12607)

  [ Michael Webster ]
  * end-session: Fix end-session dialog cleanup after a failure.

  [ Leigh Scott ]
  * croco: Use g_string_free() return value (#12630)
  * croco: Remove unused and dodgy function (#12631)
  * st-bin: Remove unused foreach implementation (#12633)

  [ UnFefeSauvage ]
  * notificationDaemon: Fix handling of `image-path` hint (#12778)

  [ claudiux ]
  * workspace-switcher@cinnamon.org: Workspaces will be always displayed as empty when they are

  [ Michael Webster ]
  * st: Print the js stack for a couple of critical warnings that can be difficult to track down.
  * cs_mouse.py: Don't try to use the 'value_nick' property of gi enum values.
  * cs_display.py: Expose option to choose fractional scaling direction.
  * cinnamon-settings: Clean up commandline argument handling.
  * cinnamon-setting, xlet-settings: Fix minor regressions.
  * polkitAuthenticationAgent.js: Allow root authentication if there (#12849) are no admin users

  [ Clement Lefebvre ]
  * cs_themes.py: Add AdwaitaLegacy to blocklist

  [ Michael Webster ]
  * js/ui/applet.js: Fix callback arguments for configureApplet().

  [ Michael Schuster ]
  * nightlight: Add schedule mode option 'always' (#12660)

  [ Michael Webster ]
  * cs_nightlight.py: Improve option label.
  * Allow building Cinnamon without any NetworkManager requirements.

  [ Hilyxx ]
  * Merge cs_tiling module with cs_windows module (#12880)

  [ Michael Webster ]
  * cinnamon-settings: Give tiling its own tab in the windows module.
  * polkitAuthenticationAgent.js: Handle system accounts properly. (#12865)

  [ fredcw ]
  * settings.js: remove file monitor (#12819)
  * messageTray.js: Fix image not showing in... (#12623)

  [ Michael Webster ]
  * cs_themes.py: Fix minor regression in module from 769a754001ff4c
  * polkitAuthenticationAgent.js: Ensure Cinnamon is part of the (#12887)
  * cinnamon-slideshow.py: Stop using python dbus.
  * build: Restore dbus build dependency.

  [ kovacsIVgabor ]
  * cornerbar applet: (#12722)

  [ Petermhen ]
  * Have alt+tab show windows from the current monitor only (#12665)

  [ rmarker ]
  * Calender: Fix issue with with custom tooltip not updating seconds. (#12786)

  [ fredcw ]
  * cs_keyboard.py: use expected logic for xlet location (#12850)
  * PopupResizeHandler: recheck for restricted size after applet resized (#12815)
  * PopupResizeHandler: return correct popup size bugfix (#12804)

  [ Lanchon ]
  * power: Add suspend option to battery-critial actions (#12680)

  [ claudiux ]
  * xlet-settings-ref.xml: Updates datechooser, timechooser and layout (#12864)
  * Add nightlight@cinnamon.org applet (#12562)

  [ Michael Webster ]
  * menu applet: Remove dead code.
  * panel.js: Fix launch args for 'Panel settings' menu entry.

  [ Timothy Feierabend ]
  * Add sidePage name to titlebar when entering (#12709)

  [ Arne Einecke ]
  * desklet-photoframe: change image size to guarantee keeping the ratio (#12717)

  [ Timothy Feierabend ]
  * Implement Thunderbolt settings module (#12762)

  [ Rylen L ]
  * Handle typed user input into the night light module (manual schedule) (#12826)

  [ Çağdaş Alagöz ]
  * Add 'wallpaper' keyword to backgrounds.deskop kewords. (#12944)

  [ Michael Webster ]
  * build: Fix include names for mutter->muffin.
  * cinnamon-settings.py: Fix loading c-c-c modules via commandline.

  [ Kacper Paczos ]
  * feat(themes): Implement categorized theme menus and debug tools (#12905)

  [ Michael Webster ]
  * cs_themes: Don't show the 'Other themes' menu label, fix row logic.

  [ fredcw ]
  * cs_backgrounds.py: properly encode filename URI (#12945)
  * panel.js: always show panel when highlighted (#12929)

  [ Michael Webster ]
  * cinnamon-settings.py: Handle SIGINT so unmap/destroy handlers in cs_applets and cs_panels can unhighlight any panels if terminated this way.
  * python3-harvester.py: Fix some debug messages.
  * cinnamon-settings.py: Add fingwit to standalone modules.
  * notificationDaemon.js: Cleanup notification app_icon and icon-path handling.
  * notificationDaemon.js: Improve notification error handling.
  * debian/control: add mate-polkit agent as an alternative to gnome's.
  * data/icons: Make cs_thunderbolt icon consistent with other Mint-X-like module icons.
  * cinnamon-launcher: Launch a polkit agent for the fallback session, refactor launch/cleanup of session helpers.

  [ Marco Trevisan (Treviño) ]
  * js: Use DesktopAppInfo form GioUnix, not Gio
  * meson: Build dependency on 2.79.2

  [ Michael Webster ]
  * cs_themes.py: Fix regression from 1c21371a608b, do not escape newlines when writing icon cache file.
  * cs_default.py: Don't import gi.repository.*
  * placesManager.js: a new Gio.MountOperation takes no arguments.
  * Modernize keyboard handling

  [ tutralex ]
  * _menus.scss: fix spontaneous increase size of the pop-up menu when left-clicking on some items
  * _calendar.scss: enable backlight for calendar-today-home-button

  [ Michael Webster ]
  * Add gir.1.2-graphene-1.0 to depends.
  * monitorLabeler.js (wayland): Fix error and label behavior after applying a new configuration.
  * eventView.js (calendar): Format 12h time without leading padding for event start- and end-times.
  * monitor labeler: Use in both x11 and wayland, don't rely on the theme to display it properly.

  [ JosephMcc ]
  * userWidget: Don't stretch the avatar to fit long user names

  [ Clement Lefebvre ]
  * placesManager: Improve mounts
  * GWL: Don't show places
  * st/scroll-view-fade: Don't assume fade area at (0,0) The shader code currently only accounts for padding for the bottom and right fades, but not for top and left.
  * st/scroll-view-fade: Fix vertical top fading The fade for the vertical top edge was calculating the fade ratio for a larger height (up to where the bottom fade starts) than it was displaying.
  * st/scroll-view-fade: Simplify shader a bit The shader was using too many ALU instructions for Intel 945GM hardware, so simplify it a bit. The resulting math is the same, but a few redundant operations have been removed.
  * test: Don't overwrite theme with non-compiled CSS

  [ JosephMcc ]
  * menu: Redesign applet
  * menu: Increase the POLL_INTERVAL

  [ Clement Lefebvre ]
  * menu: Shorten path info for recents
  * menu: Simplify path buttons
  * menu: Don't show devices
  * menu: Remove unnecessary code
  * menu: Fix apps using icon-names not on the theme
  * menu: Modernize JS code
  * menu: Simplify applet
  * menu: Toggle between symbolics or fullcolor for categories
  * menu: Color system buttons on hover
  * menu: Move system buttons to the top
  * menu: Make places/bookmarks configurable
  * menu: Hide scrollbars in sidebar/categories
  * menu: Disable vfade on sidebar/categories
  * menu: Use new CSS names
  * menu: Launch account settings on avatar click
  * menu: Make the avatar optional
  * avatar: Apply a clutter effect on hover

  [ Michael Webster ]
  * lookingGlass.js: Improve display of actor position and name when in 'pick' mode.
  * virtual keyboard: Improve theme support, clean up fixed-element definitions, remove emoji support, fix suggestions visibility.
  * virtual keyboard: Add layout switch button.
  * virtualKeyboard.js: Misc fixes.
  * on-screen-keyboard@cinnamon.org: Add a shortcut to the keyboard accessibility settings in the context menu.
  * virtualKeyboard: Add an osk layout test script.
  * virtualKeyboard.js: Only show the layout button if there are other layouts.
  * keyboard: Fix background color, layout button style.
  * misc: Improve osk layout tester, remove some never-used css.
  * layout.js: Fix flash when hiding the keyboard, and allow the keyboard to become chrome when there's an upper panel.
  * virtualKeyboard.js: Fix extended keys when interacting with clutter entries.

  [ Clement Lefebvre ]
  * menu: Further improvements
  * Switch to XApp symbolic icons

  [ Rick Calixte ]
  * debian/control: Add IBus runtime dependency (#13144)

  [ Michael Webster ]
  * keyboard@cinnamon.org: Move settings to the context menu, disable layout preview when the layout is not xkb.

  [ Nitin ]
  * js: refactor portalHandlers.js for better code quality and performance (#12993)

  [ Anaxímeno Brito ]
  * desklet: Fix open config window menu action not working (#13153)

  [ Clement Lefebvre ]
  * meson: Allow info settings to be excluded
  * cinnamon-settings: Add support for mintreport
  * Switch to xapp-symbolic-icons (XSI)

  [ Michael Webster ]
  * keyboard layouts: Add shortcuts to switch directly to a layout.
  * keybindings: Refactor python keybinding management.
  * cinnamon-dbus-command: Make more effort to identify argument types correctly.

  [ hduelme ]
  * fix high cpu usage in shortcut view (#12923)

  [ Michael Webster ]
  * scrollbar-test-widget.glade: add a heading for the gibberish.
  * virtualKeyboard.js: remove setCursorLocation handler, add fade in/out when hiding and showing the keyboard.
  * photoframe@cinnamon.org: Fix aspect ratio issues, potential blocking, transitions, more.
  * st-texture-cache.c: Don't try to access pixbuf if there was an error.
  * environment.js: Backport some fixes to easing wrappers.
  * alt-tab: Use easing instead of Tweener.
  * various: Use easing instead of Tweener.
  * applets, desklets: Use easing instead of Tweener.
  * misc: Cleanup unused js imports, tween/effect settings, obsolete files.
  * windowManager.js: Remove sec->ms conversions for easing durations, some cleanup.

  [ Clement Lefebvre ]
  * menu: Show special categories at the bottom
  * menu: Switch category icons to XSI

  [ ykla ]
  * chore: Rename 'Linux Kernel' to 'Kernel' in system info (#12980)

  [ prairienerd-18 ]
  * cs_user.py: allow current_password to be blank(#12981) (#13027)

  [ JAYADITYA ]
  * sound applet: fix volume icon toggle to restore last volume when muted using the icon. (#13054)

  [ Michael Webster ]
  * popupMenu.js: In PopupSliderMenuItem, only clicks on the slider itself should affect the position.

  [ Bobby Rong ]
  * _ibus-popup.scss: Do not darken un-selected candidates (#13191)

  [ Michael Webster ]
  * st-texture-cache: add can_load_mime_type() method and use it in the photoframe desklet.

  [ Vladimir Galtsev ]
  * nm-applet: make visible multiple active vpn connection (#12930)

  [ Michael Webster ]
  * menu applet: Fix systemBox reparenting warnings at startup.
  * cinnamon-global.c: Add the capability to print the js stack when a C critical or warning occurs.

  [ Samuel Wilton ]
  * Fix bug which prevented xlet-settings from opening when clicking configure from context menu of desklet. (#13033)
  * Fixed bug which causes this._panelZoneSizes is null error when toggling panel edit mode when these applets were removed from a panel and that panel was removed. (#13034)

  [ Kevin Langman ]
  * Fix usage of deprecated rotation_center_y in 3D AppSwitchers (#13067)

  [ Đoàn Trần Công Danh ]
  * build: drop intltool requirement (#13157)

  [ Michael Webster ]
  * po/POTFILES.in: Update for new and removed files, have makepot abort on any errors.

  [ Mikhail ]
  * misc: remove needless filter method in expoThumbnail (#12933)

  [ Julian Groß ]
  * Fix only showing printer applet "while printing". (#13039)

  [ Michael Webster ]
  * debian/control: Remove gnome-pkg-tools and intltool.
  * Add 'reset zoom' keyboard shortcut.
  * KeybindingTable.py: Fix exception when updating non-spice keybindings.

  [ claudiux ]
  * Cinnamon: Adds hidden-buttons to list in applet settings (#13171)

  [ Michael Webster ]
  * cornerbar applet: Ignore drag-over events when panel-edit-mode is enabled.

  [ Anaxímeno Brito ]
  * menu: Fix misclick on user avatar area when resizing the menu (#13154)

  [ Michael Webster ]
  * messageTray.js: Discard notifications when they are disabled.
  * meson_options.txt: Restore old default value for building the NetworkManager agent.
  * startup: Improve some messaging and error handling when initializing polkit, network and ssh agents.

  [ Kevin Langman ]
  * Call on_applet_reloaded() for all instances of an Applet (#13103)
  * Fix an issue preventing reloading/upgrading multi-instance applets (#13101)

  [ Mikhail ]
  * misc: Simplified filter on disconnect signal (#12932)
  * misc: optimized requestProperties in dbudMenu (#12934)

  [ Rylen L ]
  * expo.js: Force expo to show on the monitor that the mouse is on (#13051)

  [ Vladimir Pakhomchik ]
  * notifications@cinnamon.org - add option to show newest notifications first (#13080)

  [ Allen ]
  * mod(cinnamon-settings): use fstrings (#13074)

  [ Michael Webster ]
  * KeybindingTable.py: Ignore duplicate bindings that belong to the same applet.

  [ baronleonardo ]
  * settings: Add an option to enable hot corners in fullscreen (#13196)

  [ Cagdas Alagoz ]
  * menu: Prevent context menu from closing when favorites add/remove is clicked (#12941)

  [ Michael Webster ]
  * menu applet: Fix icon names from a9cae55fd6 changes.
  * main.js: Report animations state at startup and when it changes.
  * menu@cinnamon.org: Handle another condition in the key-press-event handler.
  * networkAgent.js: Fix failed notification when reminding the user about some required authentication.
  * st-password-entry.c: Use a 'bullet' character for password masking.
  * keybindings.js: Add dedicated xlet keybinding methods to improve multi-instance xlet handling.
  * applets: Use new keybinding api for xlets.
  * keybinding settings: Fix keybinding lookup for standalone widgets.

  [ fredcw ]
  * GWL: Refresh all workspaces when change group/ungroup option (#13210)

  [ Michael Webster ]
  * menu@cinnamon.org: Fix symbolic icon names for favorites and recents.

  [ Samuel Wilton ]
  * Fix bug which caused duplicate applet orders when dropping them in the same position. (#13057)

  [ NotSirius-A ]
  * Fixed an xlet-settings issue causing invalid callback/signal triggers with some setting types (#13199)

  [ fredcw ]
  * Fix mouse on autohide panel not being correctly determined. (#13214)

  [ Michael Webster ]
  * cs_power.py: Discover suspend/hibernate capabilities from cinnamon- session.

  [ AndrewTrumenov ]
  * alt-tab: On click, launch the clicked app, not the active one (#12430)

  [ baronleonardo ]
  * cinnamon-settings: add Gnome Left option to Windows buttons layout (#13225)

  [ Michael Webster ]
  * magnifier.js: Don't try to disable keybindings unless they've been enabled.

  [ Anaxímeno Brito ]
  * workspace switcher: Add option to display window icons (#12202)

  [ Michael Webster ]
  * sound applet: Fix album-art never reappearing after changing volume.

  [ Anaxímeno Brito ]
  * endSessionDialog: Fix hibernate action (#13243)

  [ Oliver Kästner ]
  * cs_startup: fix custom commands with spaces in path (#13229)

  [ fredcw ]
  * GWL: add notification badges (#12569)
  * window-list applet: Add notification badges (#13209)

  [ Clement Lefebvre ]
  * window lists: Tune badges look
  * l10n: Generate modules
  * l10n: Generate files
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 10 Dec 2025 14:23:53 +0000

cinnamon (6.4.6) xia; urgency=medium

  * theme: Give the endSessionDialog a min-width

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 10 Jan 2025 16:06:01 +0000

cinnamon (6.4.5) xia; urgency=medium

  [ fredcw ]
  * dialog.js: add style class dialog-button-box (#12601)

  [ Michael Webster ]
  * virtualKeyboard.js: Re-enable focus monitoring.
  * main.js: Handle an end-session-dialog failure to show.

  [ Clement Lefebvre ]
  * power applet: Fix typo
  * power applet: Apply the proper class name to the active profile
  * closeDialog: Fix exception when the window has no app

  [ Michael Webster ]
  * eventView.js: (minor) Fix possible undefined argument for set_events().

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 09 Jan 2025 16:44:59 +0000

cinnamon (6.4.4) xia; urgency=medium

  [ Clement Lefebvre ]
  * dialogs: Fix code casing
  * runDialog: Fix cinnamon restart OSD showing over dialog
  * lightbox: Set as important

  [ JosephMcc ]
  * theme: Fix more radius issues in GWL window previews (#12585)

  [ Michael Webster ]
  * polkitAuthenticationAgent.js: Improve initialization, cleanup of signal and timer handles.
  * polkitAuthenticationAgent.js: Fix dialog cancellation when transitions are disabled.

  [ JosephMcc ]
  * Fix the onscreen keyboard not working when a modal dialog is open (#12599)

  [ fredcw ]
  * Fix spelling (#12598)

  [ Michael Webster ]
  * panel.js: Only clip the panel size if necessary. (#12592)
  * polkitAuthenticationAgent.js: Only close the dialog once.

  [ Clement Lefebvre ]
  * dialogs: Re-enable panels on destroy

  [ Michael Webster ]
  * modalDialog.js: Disable the lightbox if the virtual keyboard is enabled.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 03 Jan 2025 20:52:57 +0000

cinnamon (6.4.3) xia; urgency=medium

  [ JosephMcc ]
  * theme: Fix missing text on virtual keyboard (#12572)

  [ Clement Lefebvre ]
  * Looking glass: Usability improvements

  [ JosephMcc ]
  * theme: Fix rounding in submenus (#12573)
  * theme: Fix rounding and spacing in GWL window previews (#12571)

  [ Clement Lefebvre ]
  * dialogs: Respect animation settings
  * Add logging and settings for nm/polkit/ssh agents
  * PolkitAgent: don't crash if there is no avatar If we're asking for root's password, we don't show an avatar. Don't emit an exception in that case.
  * polKitAgent: Don't crash when we cannot enable/disable the auth agent This makes it easier to run with jhbuild.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 19 Dec 2024 16:22:28 +0000

cinnamon (6.4.2) xia; urgency=medium

  [ Karl Knechtel ]
  * Fix crash when attempting to report an error in the UI with details (#12554)

  [ Clement Lefebvre ]
  * l10n: generate cs module files

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 05 Dec 2024 11:58:32 +0000

cinnamon (6.4.1) xia; urgency=medium

  [ Cobinja ]
  * Monitor names from muffin (#12525)

  [ JosephMcc ]
  * Modal dialog cleanups (#12531)
  * endSessionDialog: Restyle the dialog (#12533)
  * dialogs: Allow easier keyboard navigation (#12537)
  * layout.js: Fix the work area for MonitorConstraint (#12543)
  * appletManager: Clean up a couple more modal dialogs (#12544)
  * polkitDialog: Support multi-user selection (#12541)

  [ claudiux ]
  * TreeListWidgets.py: Fix exception (#12546)

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 02 Dec 2024 16:42:06 +0000

cinnamon (6.4.0) xia; urgency=medium

  [ Michael Webster ]
  * cs_themes: Don't mess with the stack switcher's sensitivity.

  [ Anaxímeno Brito ]
  * cs_themes: Enable stack switcher when navingating out the theme modules (#12300)

  [ Michael Webster ]
  * Revert "cs_themes: Don't mess with the stack switcher's sensitivity."
  * Spices.py: Catch and ignore actions with missing Name fields.

  [ JosephMcc ]
  * environment.js: Add some convenience LayoutManager monkey patching (#12394)
  * Replace the default Cinnamon theme
  * st-entry: Keep the hint text visible until the user starts typing
  * Redesign cinnamon modal dialogs
  * st-widget: Set widgets :insensitive when they are not reactive
  * theme: Fix applet icons sometimes appearing oversized
  * theme: Add support panel:highlight
  * theme: Clean up some start menu styling
  * theme: Add support for colored buttons in dialogs
  * theme: Update the calendar applet styling
  * theme: Update the switch styling to match the new background color
  * theme: Fix the styling of the power applet menu
  * network-applet: clean up some insensitive styling
  * theme: Remove the leftover image files from the old theme
  * theme: Fix padding on the panel launchers applet
  * theme: Replace the thumbnail with updated theme style
  * theme: Reduce horizontal padding on notification buttons
  * modalDialog.js: Use an unlinked button style
  * Alt-tab: Remove the down arrow from the swithcer layout
  * theme: Clean up the osd window styling a bit
  * theme: Better differentiate between current and selected day in calendar
  * theme: Increase spacing in the main start menu
  * theme: Use the proper style class names for the dialog buttons
  * theme: Use a margin around the menus
  * theme: Update the thumbnail
  * layout.js: Add a monitorConstraint object
  * Redesign the workspace swithc OSD
  * Redesign the media keys OSD

  [ Michael Webster ]
  * spice updater (python module) - Improve error reporting.
  * spices updater: Remove debugging string from previous commit...

  [ JosephMcc ]
  * workspaceOsd.js: destroy and recreate the label on each display
  * OSD Windows: Use the monitor work-area to place windows on screen

  [ Michael Webster ]
  * power applet: Don't check for a backlight step before establishing that a keyboard or monitor supports adjustment.

  [ JosephMcc ]
  * Convert the force quit dialog to a cinnamon dialog (#12408)

  [ Clement Lefebvre ]
  * closeDialog: Fix msgids

  [ Rick Calixte ]
  * docs: Remove recorder.xml.in (#12395)

  [ Clement Lefebvre ]
  * Adapt to new overamplification setting

  [ JosephMcc ]
  * windowManger: Make the display change dialog a clutter dialog
  * modalDialog: use the MonitorConstraint object to properly place dialogs

  [ Clement Lefebvre ]
  * l10n: Update msgids in new clutter dialog

  [ JosephMcc ]
  * Convert the keyring unlock dialog to a clutter dialog (#12452)

  [ Rick Calixte ]
  * Cinnamon Settings .desktop translations (#12299)

  [ jarierca ]
  * Grouped window list: Add option to only list windows from the current monitor (#12225)

  [ Matt Turnbull ]
  * Optionally install wayland session files (#12273)

  [ Justin ]
  * added support for using numpad arrows to navigate the menu (#12302)

  [ Anaxímeno Brito ]
  * deskletManager: Only display placeholder for desklets (#12366)

  [ Rick Calixte ]
  * cs_keyboard.py: Skip invalid bindings (#12396)

  [ Willow ]
  * Update cs_panel.py (#12399)

  [ JosephMcc ]
  * Add a new StPasswordEntry widget
  * keyringPrompt: Use the StPasswordEntry
  * polkitAuthenticationDialog: Use the new StPasswordEntry
  * Convert the network auth dialog to a clutter dialog

  [ Clement Lefebvre ]
  * networkAgent.js: Fix plugin property lookup

  [ JosephMcc ]
  * windowManager: Give the resize popup it's own style class (#12450)
  * environment: Use cjs smart GObject GTypeName computation (#12453)

  [ Clement Lefebvre ]
  * networkAgent.js: Make the WPS message smaller

  [ JosephMcc ]
  * Add a clutter audio device selection dialog (#12461)

  [ Michael Webster ]
  * cs_display: Add a tab in Display settings to configure the night light.

  [ Timothy Feierabend ]
  * play volume change sound after dragging slider

  [ Ben McCann ]
  * sound applet: player icon should not take priority over mute icon

  [ JosephMcc ]
  * inhibit applet: Pass a string to showOSD when using hotkeys (#12409)
  * popupMenu.js: Simplify the menu animation (#12405)
  * layout.js: Consider auto hide panels in MonitorConstraint work area (#12422)

  [ Luci Chappelle ]
  * Update README.rst (#12474)

  [ Clement Lefebvre ]
  * popupMenu: Fix menu orientation
  * theme: Specify fg_color on new dialogs
  * theme: Specify fg_color in OSDs as well
  * alt-tab: Rework minimized windows

  [ hduelme ]
  * make notification states immutable (#12260)

  [ Garrett Stevens ]
  * [power@cinnamon.org] Add support for more battery device labels and icons (#12262)

  [ Matt Turnbull ]
  * Simplify 64bit path handling. More than x86_64 uses /usr/lib64 (i.e. arm64/aarch64). (#12278)

  [ Clement Lefebvre ]
  * cs_sound: Fix HiDPI for sound device icons

  [ fredcw ]
  * grouped-window-list@cinnamon.org: Improve code readability (#12338)

  [ jknockel ]
  * network applet: fixes to # of visible networks (#12417)

  [ fredcw ]
  * GWL: Fix merge conflict (#12521)

  [ Josh Ellithorpe ]
  * cs_backgrounds: Fix previews for JXL files (#12479)

  [ Rick Calixte ]
  * messageTray.js and cs_notifications.py: Add an option for showing notifications in fullscreen (#11844)
  * power@cinnamon.org: Add support for freedesktop.org PowerProfiles DBus (#12507)

  [ Clement Lefebvre ]
  * cinnamon-settings-users: Forbid . characters in username

  [ Ross Brunton ]
  * Respect `$GTK2_RC_FILES` when writing themes (#12416)

  [ Michael Webster ]
  * Add a clutter end-session dialog. (#12519)

  [ Anaxímeno Brito ]
  * panel.js: Only pick reactive actors while verifying the target actor on button press (#12403)

  [ Attila Greguss ]
  * Always show panel if a menu is open on it (#11779)

  [ Clement Lefebvre ]
  * cinnamon-launcher: Run nm-applet during fallback session

  [ Rick Calixte ]
  * cs_power: Add Power Profile options to the power module (#12523)

  [ Clement Lefebvre ]
  * nightlight: Add more info, tooltip, keywords
  * gwl: Rephrase newly added option
  * menu: Rename log out option, capitalize lock screen
  * menu: Rename Quit to Shut Down
  * endSessionDialog: Fix some msgids
  * cs_notifications: Remove "experimental"
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 28 Nov 2024 11:40:48 +0000

cinnamon (6.2.9) wilma; urgency=medium

  [ Michael Webster ]
  * cs_default.py: Disable mousewheel selection in the default app comboboxes.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 08 Aug 2024 16:28:03 +0100

cinnamon (6.2.8) wilma; urgency=medium

  [ Michael Webster ]
  * x-cinnamon-portals.conf: Add gnome-keyring as the Secret provider.

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 04 Aug 2024 14:02:51 +0100

cinnamon (6.2.7) wilma; urgency=medium

  [ fredcw ]
  * Dns.js: Revert bug workaround (#12298)

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 20 Jul 2024 17:03:08 +0100

cinnamon (6.2.6) wilma; urgency=medium

  [ Clement Lefebvre ]
  * cinnamon-settings-users: Don't use w -hs

  [ Rick Calixte ]
  * Set clip_to_allocation to true for menu and notification applets (#12296)

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 20 Jul 2024 10:23:53 +0100

cinnamon (6.2.5) wilma; urgency=medium

  [ claudiux ]
  * ExtensionCore.py - Adds update subject

  [ Michael Webster ]
  * Revert "cs_themes: Restrain picture button heights."

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 17 Jul 2024 15:48:59 +0100

cinnamon (6.2.4) wilma; urgency=medium

  [ Michael Webster ]
  * windowMenu.js: Fix warning flood when moving a window to another workspace.
  * cs_themes: Restrain picture button heights.
  * user applet: Fix updating the avatar icon size when the panel height changes.

  [ Clement Lefebvre ]
  * cs-info: Better parsing of the graphics card lspci output

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 05 Jul 2024 20:58:48 +0100

cinnamon (6.2.3) wilma; urgency=medium

  [ Michael Webster ]
  * cinnamon-settings.py: Use the nvidia icon for nvidia-settings.

  [ Rick Calixte ]
  * ExtensionCore.py: Check for display names in translations (#12256)

  [ Michael Webster ]
  * cs_themes: Frame App and Cinnamon themes, move user themes to the top.
  * xapp status: Make sure the recording icon size is set, disconnect the recording signal when the applet is removed.

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 30 Jun 2024 11:37:15 +0100

cinnamon (6.2.2) wilma; urgency=medium

  [ Michael Webster ]
  * Revert "xdg-desktop-portal: Don't ship the x-cinnamon-portals.conf file."

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 21 Jun 2024 17:07:03 +0100

cinnamon (6.2.1) wilma; urgency=medium

  [ Anaxímeno Brito ]
  * Fix extensions automatically enabling on download (#12239)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 18 Jun 2024 18:48:42 +0100

cinnamon (6.2.0) wilma; urgency=medium

  [ claudiux ]
  * sound applet: Fixes #12035

  [ Leigh Scott ]
  * Add a fix for webkit dev's failure to care about breaking online-accounts for nvidia users (#12044)

  [ jknockel ]
  * window lists: don't attention flash focused window (#12006)

  [ Søren Bryder ]
  * Remove dynamic text direction for table (#12012)

  [ Michael Webster ]
  * cinnamon-xlet-makepot: Don't assume xgettext calls actually generate a potfile.
  * Restore polkit agent.
  * Fix lmde6 build.

  [ JosephMcc ]
  * polkit-dialog: Clean up the styling a bit

  [ Michael Webster ]
  * debian/control: Don't remove policykit-1-gnome yet.

  [ Rick Calixte ]
  * Add greeter badges for Cinnamon sessions

  [ iakmds ]
  * Show search bar by default in AppChooserDialog (#12013)

  [ Michael Webster ]
  * cs_panel.py: Set the step amount to 1 for panel heights.

  [ Lanchon ]
  * power applet: Fix reported battery status (#12053)

  [ Michael Webster ]
  * panel.js: Don't re-declare x_mon when converting panel defs.
  * cs_panel.py: Fix behavior when there are overlapping definitions.
  * panel.js: Improve handling of invalid/duplicate panel definitions.

  [ cocker-cc ]
  * notifications@cinnamon.org: Append the locale's date format to notifications (#11933)

  [ Bill ]
  * cs_screensaver.py: Add screen lock delay options for 5 and 10 seconds (#12101)

  [ Michael Webster ]
  * cs_keyboard.py, cinnamon-desktop-editor.py: Fix some python 3.12- related warnings.
  * cs_keyboard.py: Update the custom list visually as well as internally when a keybinding changes.
  * calendar@cinnamon.org: Fix garbage collection of stale events.

  [ Cobinja ]
  * Fix mapping flatpak windows to flatpak app

  [ Clement Lefebvre ]
  * Switch to GNOME Online Accounts GTK
  * l10n: Update POT

  [ Rick Calixte ]
  * cs_info: Add 'about' as a keyword for System Info (#12136)
  * cs_keyboard: Enable configuration of bindings for Spices (#12128)

  [ JosephMcc ]
  * cs_themes: Fix the stack switcher sensitivity (#12117)

  [ Rick Calixte ]
  * inhibit@cinnamon.org: Add unique applet icons for notification toggles (#11744)

  [ Fabian Schillig ]
  * Show battery pending charge/discharge states in Power Management

  [ Rick Calixte ]
  * cinnamon-settings.py: Additional modules when Mint modules are absent (#11664)

  [ Michael Webster ]
  * cinnamon-settings: Forbid synaptic if mintsources is present.

  [ linewelder ]
  * Fix linuxmint#11313 (#12060)

  [ JosephMcc ]
  * Add userWidget.js (#12084)
  * lightbox.js: Port to Clutter animations (#12071)
  * modalDialog.js: Port to Clutter animations (#12072)
  * desklet.js: Port to Clutter animations (#12073)

  [ Michael Webster ]
  * Add interface for xdg portal requests.
  * doc generation: Fix strings with invalid escape codes.
  * placesManager.js: Remove "Connect to..." item.

  [ haggen88 ]
  * New action icon for Mint-X theme (#12163)

  [ Clement Lefebvre ]
  * cs_themes: Blacklist Adwaita and HighContrast
  * cs_themes: Blacklist a few more themes
  * cs_themes: Blacklist adwaita-dark

  [ Anaxímeno Brito ]
  * user applet: Allow to display the profile picture on the panel (#12149)

  [ Michael Webster ]
  * userWidget.js: Fix AccountsService icon changes.
  * user@cinnamon.org: Use UserWidget.Avatar for the panel user icon.
  * cs_user.py: Use XApp.IconChooserDialog for "Browse for more...".

  [ Corbin Auriti ]
  * Update Show information on date format syntax URL to working one (#12168)

  [ Anaxímeno Brito ]
  * workspace switcher: remove the workspace the cursor is hovering on middle click (#11994)

  [ Rick Calixte ]
  * cs_keyboard.py and KeybindingWidgets.py: Add support for search by binding (#12193)

  [ Anaxímeno Brito ]
  * cornerbar applet: add shift + click actions settings (#12191)
  * cornerbar: Properly filter windows not to transparentize on peek blur/opacity effects (#12169)
  * show desktop applet: Fix desktop peek (#12185)

  [ fredcw ]
  * Remove unused js overrides (#12177)

  [ Konstantin Svist ]
  * Prevent window randomization on connecting a monitor (#12144)

  [ fredcw ]
  * Preserve file permissions of downloaded spices (#12174)
  * cinnamon theme: fix expo-workspaces-name-entry (#12171)

  [ Anaxímeno Brito ]
  * cornerbar: Port to Clutter animations (#12199)
  * show-desktop: Port to Clutter animations (#12200)
  * gwl: Port to Clutter animations (#12198)

  [ sphh ]
  * Adds toggle switch to on-screen-keyboard@cinnamon applet to enable/disable keyboard. (#12132)

  [ fredcw ]
  * util.js: remove unused utility function latinise() (#12201)

  [ Michael Webster ]
  * userWidget: Back to using the theme to load the face image.
  * user applet: handle the symbolic panel icon correctly.

  [ Anaxímeno Brito ]
  * gwl: Fix thumbnails resize on scaled monitors (#12203)

  [ Roman Miroshnychenko ]
  * Show "wired with a padlock" or "wireless with a padlock" icons when a VPN is connected (#12142)

  [ Michael Webster ]
  * Add a Science category to the menu. (#12215)

  [ rlatosky ]
  * sound@cinnamon.org: Prevent Muffin from creating sound streams in volume mixer in sound applet

  [ Michael Webster ]
  * cinnamon-app-system.c: Don't remove an app from running_apps until after emitting the changed signal.

  [ JosephMcc ]
  * userWidget: Simplify a bit (#12221)

  [ Michael Webster ]
  * Embed nemo's layout editor into cinnamon-settings' Actions module.

  [ claudiux ]
  * Prevents Cvc.MixerControl from being loaded more than once

  [ Clement Lefebvre ]
  * l10n: Generate additional files
  * l10n: Generate CS module desktop files
  * l10n: Update POT

  [ Michael Webster ]
  * xdg-desktop-portal: Don't ship the x-cinnamon-portals.conf file.

  [ JosephMcc ]
  * PopupSliderMenuItem: Don't track the hover state (#12229)

  [ Jamie Dimos ]
  * window-list: Remove indicators for minimized and tiled windows (#12227)

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 16 Jun 2024 11:03:43 +0100

cinnamon (6.0.4) virginia; urgency=medium

  [ Fabio Fantoni ]
  * Move gir files to private path (#11999)

  [ FamiliarGecko ]
  * fixing applet tooltips clipping out the top as well. (#11991)

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 04 Jan 2024 18:09:18 +0000

cinnamon (6.0.3) virginia; urgency=medium

  [ FamiliarGecko ]
  * fix for applet tooltips clipping outside the screen when they're too close to the bottom. (#11980)

  [ claudiux ]
  * Show secure connection icon when WireGuard is active (#11905)

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 28 Dec 2023 12:20:16 +0000

cinnamon (6.0.2) virginia; urgency=medium

  [ Clement Lefebvre ]
  * menu: Don't resize if the OSK is visible

  [ Michael Webster ]
  * Check for a workarea collision during actor.show() and shrink or restore to the user size when appropriate.

  [ xenopeek ]
  * cs-info: increase inxi verbosity (#11984)

  [ Ilgaz Öcal ]
  * README.Debian: fix typo (#11976)

  [ Rick Calixte ]
  * Update .git-blame-ignore-revs (#11928)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 19 Dec 2023 12:23:50 +0000

cinnamon (6.0.1) virginia; urgency=medium

  [ Michael Webster ]
  * main.js: Don't initialize monitorLabeler in an x11 session.

  [ Rick Calixte ]
  * Update bug report template with Wayland issue tracker

  [ Michael Webster ]
  * cinnamon-global/clipboard: use the MetaDisplay's selection object.

  [ Anaxímeno Brito ]
  * fix: install actions from the correct folder (#11965)

  [ Georg Sieber ]
  * improve xlet download and autostart run icons (#11918)

  [ Kevin Langman ]
  * Fix Main.activateWindow() for windows with normal transient children (#11966)

  [ Michael Webster ]
  * actions: Ignore miscellaneous files in the install folder.

  [ Clement Lefebvre ]
  * l10n: Update cs modules
  * cinnamon-settings-users: Fix special characters in pango markup

  [ Rick Calixte ]
  * Update Actions module to show non-Spice Actions

  [ Michael Webster ]
  * Spices.py: Skip actions when they contain the 'Active' key and its value is false.
  * Spices.py: catch some possible exceptions when loading legacy actions.
  * ExtensionCore.py: Render spice-supplied icons correctly in hidpi.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 14 Dec 2023 13:16:56 +0000

cinnamon (6.0.0) virginia; urgency=medium

  [ Michael Webster ]
  * settings: Replace PIL.Image.ANTIALIAS with PIL.Image.LANCZOS.
  * gestures: Adjust to amplified max volume, not normal.
  * cs_themes: Finish removing tinycss support.
  * cs_themes.py: Fix navigation/stack issue.

  [ Rick Calixte ]
  * cinnamon.css: Center text in .applet-box (#11755)

  [ fredcw ]
  * lightbox: Reduce color banding with dithering... (#11757)

  [ Rick Calixte ]
  * sound@cinnamon.org: Word wrap for artist and title labels (#11756)

  [ Michael Webster ]
  * bug report: Mention crashes.

  [ Jordan Miner ]
  * Fix thumbnails not appearing for windows created while menu is open (#11759)

  [ Michael Webster ]
  * cinnamon-menu-editor: Fix window type to enable window resizing.
  * keybindings: Make Above_Tab displayable.
  * Looking glass: Fix log text colors.
  * gesturesManager.js: Ignore gestures when the screensaver is active.

  [ claudiux ]
  * Updated write-applet.xml for Cinnamon 4.6 to 5.8+ (#11801)

  [ Michael Webster ]
  * Update issue template with a link to open and closed issues for convenience.
  * window-list/gwl: Simplify window focus updates.

  [ fredcw ]
  * applet.js: Improve code comments.

  [ Michael Webster ]
  * gwl: Track the getThumbnail timeout source id.

  [ Fabian Schillig ]
  * Show all batteries as "primary" batteries, removing set_device_battery_additional()

  [ fredcw ]
  * Menu applet: Fix bug where menu is partly behind panel (#11788)

  [ Michael Webster ]
  * gestures: Remove device detection.

  [ Alexis Reynouard ]
  * Fix issue #11810 (#11814)

  [ Michael Webster ]
  * Emphasize checking for duplicate existing issues in the bug report form.

  [ Boria138 ]
  * Updated cs_info module (#11861)

  [ Ivan Stroev ]
  * sound applet: Add telegram-desktop to players without seek support (#11835)

  [ luzpaz ]
  * Fix various typos (#11836)

  [ Mikhail ]
  * js: Use string instead of regexp (#11845)

  [ Michael Webster ]
  * cinnamon-subprocess-wrapper: Handle invalid utf8, fix error message.

  [ fredcw ]
  * Replace misc/util.js polyfills with js natives... (#11865)
  * Replace util.js polyfills with JS natives... (#11871)
  * state.js: replace polyfills with js natives.. (#11873)

  [ Rick Calixte ]
  * Fix meson.build deprecations up to 0.56.0 (#11870)

  [ Michael Webster ]
  * cs_backgrounds: Recognize .avif files.
  * misc: Use locale.getlocale() instead of locale.getdefaultlocale().
  * calendar eventView.js: Try to cancel scroll-to-row callback when set_events() is called.
  * cs_info.py: Don't freeze when 'Copy to clipboard' is clicked.

  [ Kacper Paczos ]
  * Fixed calculate a sidePage height when it comes as standalone

  [ claudiux ]
  * Update cinnamon-settings.py

  [ Michael Webster ]
  * Require soup 3.0.

  [ fredcw ]
  * Ensure settings window expands to fit toolbar

  [ Stephan Helma ]
  * Adds a shift-middle click action to the sound applet.
  * Adds option to always show the input switch in the sound applet. (Closes #11232)

  [ Michael Webster ]
  * wayland: Add session files
  * Clean up build deps and some unused imports
  * wayland: Don't use Gtk/Gdk anywhere in core/startup code
  * st-texture-cache: Make our own GtkIconTheme instead of trying to get it from a GdkScreen (which won't be able to exist until Cinnamon completes startup)
  * Disable/avoid things that don't currently work in Wayland
  * Extensions: Block certain x11-only xlets from trying to load
  * dbus: Add monitor labeler
  * Restore system background
  * Log the backend at Cinnamon start, add a row for it in cs_info.py
  * cs_themes: Don't use a GtkPlug/Socket for overview-scrollbar previews
  * cs_display: Add scale-monitor-framebuffer for Wayland fractional scaling
  * Remove some leftovers from main.c, adjust a string in cs_themes.py
  * power applet: Wait for csd-power's dbus presence before trying to connect to it
  * cinnamon-launcher: Launch cinnamon immediately under Wayland
  * session: Use a separate desktop file for Wayland sessions.
  * cinnamon-settings: Suppress/hide some x11-only elements.
  * modalDialog.js: Fix sync call in x11.
  * melange: convert to GApplication, cleanup, fix launch-as-inspector mode.
  * lookingGlass.js: Initialize melange interface at startup.

  [ Rick Calixte ]
  * Add .git-blame-ignore-revs for commits
  * Adding an option for notification screen selection
  * Fix whitespace
  * Fix GLib exception: (#11927)

  [ Bobby Rong ]
  * meson: Re-add dbus dependency (#11932)

  [ Michael Webster ]
  * Gestures: Allow the user to specify when an action is triggered.
  * Gestures: Add a desktop zoom action.

  [ Cobinja ]
  * Rename Wayland session

  [ Michael Webster ]
  * cinnamon-launcher: Remove wayland handling.
  * cinnamon-global.c: Restore cinnamon_global_set_pointer.

  [ Kevin Langman ]
  * Fix xlet-settings TreeListWidget's handling of columns with option lists (#11908)

  [ ZornsLemma ]
  * Use menu for window list hover tooltip choice (#11912)

  [ Victor de Jong ]
  * Fix the power applet battery status when the seconds var is 3600 (#11931)

  [ Rick Calixte ]
  * Spices.py: Fix desklet reload after update when there are multiple instances (#11920)

  [ JosephMcc ]
  * gesturesManager.js: Fix a couple small issues

  [ Rick Calixte ]
  * Add Actions module (#11878)

  [ Michael Webster ]
  * debian/control: Update soup version.
  * Remove .settings folder

  [ kacperpaczos ]
  * Added menu details option (#11916)

  [ Michael Webster ]
  * menu applet: Add some safety to the right-click properties item.
  * screenshot service: Add color picker support.

  [ Leigh Scott ]
  * add xdg-portal conf (#11863)

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 29 Nov 2023 15:36:47 +0000

cinnamon (5.8.4) victoria; urgency=medium

  [ Michael Webster ]
  * theme: Don't force too large a minimum size of PopupSliderMenuItem.

  [ Rick Calixte ]
  * cs_gestures.py: Cleaning up Python (#11726)

  [ Michael Webster ]
  * gestures: Fix EXEC actions not completing.
  * sound applet: Fix alignment of icons in 'Launch player' submenu when a player is active.

  [ kacperpaczos ]
  * To fix the error of referencing a non-existent variable. (#11737)

  [ Michael Webster ]
  * popupMenu: restore minimum slider width, override sound slider only

  [ Anaxímeno Brito ]
  * grouped window list: fix drag and move app icon on the app list (#11740)

  [ Rick Calixte ]
  * cinnamon-close-dialog: Fix dialog text (#11739)

  [ kacperpaczos ]
  * Align labels in rows in the preffered applications to center (#11733)

  [ Anaxímeno Brito ]
  * cinnamon ui: improve overview animation (#11734)

  [ aneios ]
  * color-scheme follow simplified themes (#11706)

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 07 Jul 2023 15:15:53 +0200

cinnamon (5.8.3) victoria; urgency=medium

  [ fredcw ]
  * js/misc/util.js: Add function splitByGlyph
  * Sound applet: Truncate applet panel text by glyph instead...

  [ Clement Lefebvre ]
  * Theme settings: Add crossfade effect to stack

  [ Michael Webster ]
  * cinnamon-settings: Make sure the theme correctly falls back to hicolor when looking up icons.

  [ fredcw ]
  * Cinnamon theme: allow different text sizes in menu applet search box (#11718)

  [ Michael Webster ]
  * grouped-window-list: appGroup - make sure to call PopupMenu.close() when destroying the hover menu.

  [ claudiux ]
  * Update fileUtils.js to avoid error messages (#11715)

  [ fredcw ]
  * menu applet: fix menu changing size (#11720)

  [ Michael Webster ]
  * virtual keyboard: Fix size management.

  [ fredcw ]
  * menu applet: fix category button styling bug

  [ Tibladar ]
  * cs_info: Fix space in URLs (#11714)

  [ Michael Webster ]
  * gestures: Only allow window actions on ordinary windows and dialogs.
  * gestures: Ignore update and end events for disabled actions.

  [ fredcw ]
  * Menu applet: Reduce default menu size (#11724)

  [ Michael Webster ]
  * theme settings: Don't use an additional stack for custom mode.

  [ Anaxímeno Brito ]
  * Update the default gestures actions (#11725)

  [ Clement Lefebvre ]
  * theme settings: Add margins

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 26 Jun 2023 10:56:21 +0200

cinnamon (5.8.2) victoria; urgency=medium

  [ Michael Webster ]
  * Improve gesture settings, inform the user about common failure reasons.
  * cs_gestures.py: Use opacity and not visiblity for hiding/showing the stack switcher.

  [ Clement Lefebvre ]
  * l10n: Update POT

  [ Michael Webster ]
  * gestures: Don't kill the touchegg client.

  [ fredcw ]
  * cs_themes.py: fix themes not updating (#11699)

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 14 Jun 2023 09:28:03 +0200

cinnamon (5.8.1) victoria; urgency=medium

  * Revert "l10n: Generate module files"
  * Update generate_cs_module_desktop_files.py script
  * l10n: Generate module files
  * l10n: Generate additional files

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 08 Jun 2023 12:57:11 +0100

cinnamon (5.8.0) victoria; urgency=medium

  [ Michael Webster ]
  * grouped-window-list: Make appGroup's flashButton sane, fix invalid source id.
  * cinnamon-screenshot.c: Disable unredirection when taking a screenshot.

  [ hdulme ]
  * remove unused import cairo

  [ hduelme ]
  * use Gtk types in ChooserButtonWidgets instead of ints (#11296)
  * simplify boolean expressions (#11323)
  * simplify DEBUG detection harvester.py (#11327)

  [ Michael Webster ]
  * trash@cinnamon.org: Refactor to use asynchronous methods entirely.

  [ Bobby Rong ]
  * cs_themes: load theme thumbnail from XDG_DATA_DIRS (#11497)

  [ Michael Webster ]
  * gwl: Fix typo.
  * sound applet: Clear the source ID in Seeker._timerCallback().
  * window-list: Fix signal name for tile notifications.

  [ Julián ]
  * Sound applet: added special case for Firefox icon. (#11314)

  [ Michael Webster ]
  * Stop using CinnamonScreen everywhere.
  * overrides.js: Silently fail to install polyfills.

  [ hduelme ]
  * added type hints to util.py (#11291)

  [ Mintulix ]
  * cornerbar@cinnamon.org: added scroll-event from SW++@mohammad-sn (#11321)

  [ Clement Lefebvre ]
  * cs_themes: Add a simplified UI (#11548)

  [ claudiux ]
  * Update applet.js (#11484)

  [ Rick Calixte ]
  * Adding a setting to warp mouse pointer after Alt+Tab action completes
  * Fix whitespace

  [ fredcw ]
  * Add category hover style for Cinnamenu applet... (#11451)

  [ Axel ]
  * feat(menu@cinnamon.org): Add Menu editor entry to applet context menu (#11561)

  [ Clement Lefebvre ]
  * cs_themes: Add relief to simplified/advanced buttons

  [ fredcw ]
  * Use pseudo class 'hover' instead of class ... (#11473)

  [ sphh ]
  * Enables extensions marked to overide version check to be removed. (#11510)

  [ Rick Calixte ]
  * Remove simple-system-monitor@ariel as a known conflict (#11591)

  [ Tom Pfaffe ]
  * Fix super+shift+number not disabling in grouped-window-list applet (#11464)

  [ Michael Webster ]
  * cs_themes.py: Keep the current variant between modes if possible.
  * panel-launchers: Don't allow the size of custom icons to be reset.
  * cs_themes.py: Make sure activate_mode always activates a mode.
  * cinnamon-desktop-editor: Use a path when setting a panel-launcher icon.

  [ Attila Greguss ]
  * Provide `.gir` files in cinnamon package (#11335)

  [ Anaxímeno Brito ]
  * fix: update workspace switcher layout on monitors update signal (#11523)

  [ virumoru ]
  * Update ChooserButtonWidgets.py (#11595)

  [ claudiux ]
  * Update placesManager.js to fix #11623 (#11624)

  [ Rick Calixte ]
  * cs_info.py and org.cinnamon.gschema.xml: Fix undefined var and cleanup dconf strings (#11609)

  [ Anaxímeno Brito ]
  * fix: cursor not changing for qt5 apps on settings (#11492)

  [ Evgeniy Zhabotinskiy ]
  * window-list: make UseEntrieSpace honor buttonWidth (#11608)

  [ Michael Webster ]
  * Expose middle-click paste setting.

  [ Dosenpfand ]
  * Calendar Applet: Custom Tooltip Date Format (#11628)

  [ Attila Greguss ]
  * Fix popup menu content not stretching to its full size (#11612)

  [ claudiux ]
  * backgroundManager.js - Stop flooding ~/.xsession-errors in case of diaporama (#11641)

  [ Attila Greguss ]
  * Revert to themes and icons directory in home folder as default (#11643)

  [ Michael Webster ]
  * cs_themes.py: Fix refresh method name.
  * Use new bug report form.
  * Redirect feature requests to github.com/orgs/linuxmint/discussions.

  [ Lanchon ]
  * power: Add settings to disable low battery warnings for connected devices (#11599)

  [ Michael Webster ]
  * github workflow: Add optional ssh session.
  * Add keyboard shortcuts for warping the mouse pointer between monitors.
  * deskletManager.js: Fix incorrect variable name.
  * Halt the build if meson_install_schemas.py fails.

  [ Clement Lefebvre ]
  * cs_themes: Add setting for Dark Mode
  * l10n: Update POT

  [ Michael Webster ]
  * KeybindingWidgets.py: Ignore key-release events that aren't part of an active shortcut edit.
  * Use switcheroo for gpu offloading. (#11645)

  [ Tibladar ]
  * layout.js: Check existence of monitor before usage (#11348)
  * virtualKeyboard.js: Check layout existence before usage (#11346)

  [ Rick Calixte ]
  * build.yml: Add xdg-desktop-portal-xapp dependency (#11679)

  [ Clement Lefebvre ]
  * notifications: Prefer symbolic icons (#11637)

  [ brownsr ]
  * background effects: rework and turn on

  [ Michael Webster ]
  * Use stage coordinates for cogl_framebuffer_read_pixels().

  [ Bobby Rong ]
  * main.js: re-declare Main.gpu_offload_supported (#11685)

  [ Florian Wickert ]
  * Save/restore NO_GAIL and NO_AT_BRIDGE environment variables (#11673)

  [ Michael Webster ]
  * Add gesture support using touchegg.
  * Better icon - courtesy of @haggen88.

  [ Clement Lefebvre ]
  * cornerbar: Remove useless tooltip
  * l10n: Update POT
  * l10n: Update POT

  [ fredcw ]
  * Make menu applet resizable with mouse
  * Add class to make applets resizable with mouse

  [ Clement Lefebvre ]
  * Packaging: recommend touchegg

  [ Michael Webster ]
  * gestures: Improve some cleanup, logging, fix crash when toggling on/off.
  * menu applet: Add settings button to restore original size, re-size the menu when the ui scale changes.

  [ Clement Lefebvre ]
  * l10n: Update POT
  * l10n: Generate module files

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 07 Jun 2023 15:14:34 +0100

cinnamon (5.6.7) vera; urgency=medium

  [ Clement Lefebvre ]
  * makepot: Include Translators comments for JS
  * l10n: Update POT

  [ Rick Calixte ]
  * layout.js: Fix for ES6 compatibility

  [ Michael Webster ]
  * windowManager.js: Fix traditional mapping effect.
  * windowManager.js: Remove some unnecessary code.
  * classicSwitcher: Fix icon spacing when transitioning to the next smaller size.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 16 Jan 2023 14:54:11 +0000

cinnamon (5.6.6) vera; urgency=medium

  [ Clement Lefebvre ]
  * l10n: Update POT

  [ Michael Webster ]
  * cinnamon-settings themes: Check both new and legacy theme folders when uninstalling.
  * startupAnimation.js: Make sure the shroud actor remains the size of the stage during startup.
  * systray applet: Use the correct panel size when reloading icons.
  * PanelManager: Keep track of the number of monitors.
  * ChooserButtonWidgets: Fix button and menu images in hidpi.
  * Fix reverse mouse scroll in the app switcher.
  * window list: Ignore smooth scroll events when mousewheel cycling is enabled.
  * makepot: Include comments from js files.
  * Populate desktop files with new/changed translations.
  * harvester.py: See if any spices are installed before going online to get new metadata.

  [ MDPenguin ]
  * appSwitcher: ignore smooth scrolling

  [ Michael Webster ]
  * cs_keyboard: Remove stray print line.
  * cs_default: Don't use translated strings as dictionary keys.
  * windowMenu.js: Don't display for desktop windows.

  [ Clement Lefebvre ]
  * Revert "makepot: Include comments from js files."

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 11 Jan 2023 10:22:30 +0000

cinnamon (5.6.5) vera; urgency=medium

  [ Tibladar ]
  * Fix old cache folder (#11318)

  [ Clement Lefebvre ]
  * cs_mouse: Fix range labels for touchpad speed widget

  [ Michael Webster ]
  * python-updater: Download thumbs only during a 'full' update, make sure the cache folders exist every time we try to access them, not just during construction (they may have been deleted).
  * gwl: Update instances correctly when the monitor configuration changes.
  * python updater: Reduce json update timeout to 15s.

  [ Clement Lefebvre ]
  * Menu applet: Don't use start-here icon

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 15 Dec 2022 12:33:42 +0000

cinnamon (5.6.4) vera; urgency=medium

  [ Clement Lefebvre ]
  * Revert "cs_themes: Make mouse cursor size configurable"
  * cs_themes: Add thumbnails for Bibata Original

  [ Michael Webster ]
  * cs_windows: Restore configuration for initial window placement.

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 29 Nov 2022 16:31:00 +0000

cinnamon (5.6.3) vera; urgency=medium

  * cs_themes: Make mouse cursor size configurable
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 25 Nov 2022 14:24:34 +0000

cinnamon (5.6.2) vera; urgency=medium

  * cs_themes: Place legacy themes at the bottom
  * theme: Update cinnamon thumbnails
  * cs_themes: Reorder sections
  * cs_themes: Update cursor thumbnails
  * cs_themes: Sort cursor themes alphabetically

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 24 Nov 2022 22:02:06 +0000

cinnamon (5.6.1) vera; urgency=medium

  * cs_info: Fix cosmetic issues with system icon
  * cs_default: Fix small issues

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 18 Nov 2022 12:00:32 +0000

cinnamon (5.6.0) vera; urgency=medium

  [ Michael Webster ]
  * workspacesView.js: Disconnect swipe handlers during destroy instead of unmapping.
  * Update issue templates.
  * messageTray.js: Don't assume the primary monitor is at index 0.
  * modalDialog.js: Don't assume monitor 0 is the primary.

  [ hdulme ]
  * remove trailing semicolons
  * remove trailing semicolons

  [ Asghwor ]
  * Fix inconsistent keyboard navigation in the Scale View and in the Expo View. (#11098)

  [ hduelme ]
  * fix variable name (#11152)

  [ Michael Webster ]
  * gwl: don't pass the wrong arguments to windowRemoved.
  * expo: Update the window's starting position when an update is triggered, in case the window moved to a different monitor during a drag.
  * overrides: Make MetaWindowActor.get_workspace always return an index;
  * Use github instead of circleci.
  * workflow: Fix dependency line.. maybe.
  * workflow: Go back to folded style.

  [ Clement Lefebvre ]
  * settings: Make use of cinnamon-driver-manager shortcut

  [ Monteiro ]
  * gwl: fix reload dragging pinned apps when group windows setting is disabled (#11191)

  [ hduelme ]
  * replace deprecated use of GObject.SIGNAL_RUN_FIRST by GObject.SignalFlags.RUN_FIRST (#11128)

  [ Joshua Peisach ]
  * cs_windows.py: Properly import CDesktopEnums (#10844)

  [ Clement Lefebvre ]
  * cs_themes.py: Don't print an error if metadata.json is missing
  * cs_themes.py: Separate light/dark/darker themes
  * Add new cornerbar applet
  * Panel: Replace show-desktop with cornerbar
  * l10n: Update POT

  [ Michael Webster ]
  * corner-bar: Don't track_hover on the bar actor.
  * desklets: Allow desklets to be locked in place.

  [ hdulme ]
  * remove trailing semicolons

  [ Joshua Peisach ]
  * cs-info: Add system icon (#11090)

  [ Michael Webster ]
  * cs_info: Keep system image a reasonable size.
  * debian/control: Add missing dependency.
  * data/icons/meson.build: Silence a build warning.

  [ Attila Greguss ]
  * Move spices download cache to `XDG_CACHE_HOME` directory (#11176)

  [ Michael Webster ]
  * cs_keyboard: Add an entry to allow type-to-search shortcut names.
  * cs_themes: Don't require themes to support Gtk 2 any longer
  * windowMenu.js: Implement mnemonic accelerators.
  * makepot: Collect comments from js files.
  * harvester.py: cache_folder should be a pathlib.Path.
  * windowMenu.js: Never allow more than one menu at a time.
  * appSwitcher.js: Account for alt-tab reverse actions in the window.
  * cs_keyboard: Add missing switch-panels and switch-panels-backward keybindings.

  [ Rick Calixte ]
  * Support multiple key bindings for 'locate-pointer-key' (#11143)

  [ Michael Webster ]
  * cs_info: There should be no image set by default.

  [ Bobby Rong ]
  * cs-info: Don't fail with the default system-icon-path value (#11245)

  [ Rick Calixte ]
  * Add support for key bindings to Inhibit Applet
  * Cleanup whitespace

  [ hdulme ]
  * replace equality None check with identity None check

  [ Attila Greguss ]
  * fix: Actually use `XDG_DATA_HOME` to store themes and icons instead of home (#11175)
  * Use XDG_CONFIG_HOME to store background config files instead of .cinnamon (#11177)
  * Use XDG_CONFIG_HOME to primarily store spices configs in (#11182)
  * fix: use XDG_DATA_HOME to store custom launchers, also fix launcher desklet (#11185)
  * Use `XDG_STATE_HOME` for logfiles instead of `~/.cinnamon` (#11186)

  [ hdulme ]
  * remove unused imports harvester.py
  * remove unused imports updates.py

  [ hduelme ]
  * use @staticmethod in Spices.py (#11257)
  * fix python docstring style (#11258)

  [ hdulme ]
  * simplify boolean check in cs_default

  [ hduelme ]
  * remove redundant parentheses (#11259)

  [ Michael Webster ]
  * Use a custom actor for the uiGroup.
  * cs_backgrounds: Use font-size instead of font-scale to reduce the author and size markup.

  [ Bobby Rong ]
  * build: Fix some hardcode path issues (#11244)

  [ hdulme ]
  * replace equality None check with identity None check
  * removed unused variable check-js

  [ Clement Lefebvre ]
  * GWL: Move nemo shortcut to the left

  [ Rick Calixte ]
  * Add a setting for notification duration (#11202)

  [ Andrei Miculita ]
  * Rename "Preferences" to "Applet preferences" in applets where it might be confusing (#11216)

  [ Himadri Sekhar Basu ]
  * Categorize default applications (#11287)

  [ Michael Webster ]
  * cs_default: Fix a typo, and set a default height to prevent the window from growing too tall.

  [ Rick Calixte ]
  * Add key bindings to move window to workspace up/down (#11264)

  [ Michael Webster ]
  * cs_keyboard: Improve a few keybinding descriptions.

  [ sm02ll ]
  * The middle click toggles the sound and places the microphone in the same state. #11255 (#11256)

  [ veractor ]
  * cs_default.py: Add entry for terminal exec-arg

  [ Michael Webster ]
  * Improve presentation of terminal args.
  * layout.js: Actually change actor visibility on fullscreen monitors.
  * Restore set_skip_paint method for the uiGroup.
  * appletManager.js: Fix typo.
  * layout.js: Fix picking in fullscreen.

  [ hduelme ]
  * python: optimize lists (#11281)

  [ Clement Lefebvre ]
  * Depend on libcjs0
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 18 Nov 2022 10:38:58 +0000

cinnamon (5.4.12) vanessa; urgency=medium

  [ Michael Webster ]
  * environment: Add an onUpdate parameter for easing.
  * Don't hide gwl when opening overview and expo.
  * expo: Use unique pointer trackers for motion tracking.
  * expo: Fix opening transition.
  * feature_request.md: Checklist is unnecessary.

  [ Asghwor ]
  * Fix workspaces grid layout (#11094)

  [ Michael Webster ]
  * grouped-window-list: Don't create a new clone each time getThumbnail is called, don't connect to notify::size.
  * windowUtils: Use the window actor's texture instead of a cairo surface for static clones.
  * expo: Don't create monitor clones until the ExpoThumbnailBox is allocated.
  * gwl: Redo the layout when switching workspaces.
  * gwl: Fix a warning.
  * windowManager.js: Filter out non-current-workspace windows when determining 'seen' windows.
  * gwl: Only monitor size-changed while using textures, along with minimized state. Remove once all and no longer monitor once a clone can be used.
  * gwl: Monitor clones, but only to update size.
  * environment.js: Fix is_finalized() check.

  [ Fabio Fantoni ]
  * Fix 2 man pages

  [ Michael Webster ]
  * layout.js: Connect to tracked actors' destroy signal.
  * cs_windows: Use 'bring-windows-to-current-workspace' in its new location, mark the old dconf key as unused.

  [ anaximeno ]
  * fix: fix use of undeclared variable

  [ Attila Greguss ]
  * Fix getTabList in js.main

  [ Michael Webster ]
  * systray applet: Don't continue processing an icon if it gets destroyed before we can show it.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 05 Sep 2022 15:13:05 +0100

cinnamon (5.4.11) vanessa; urgency=medium

  [ Michael Webster ]
  * keybindings.js: Use bindings.get() - this.bindings is a Map.
  * Re-add soup 2.4 bindings as a runtime-only dependency, and add a version requirement to cinnamon's environment.

  [ JosephMcc ]
  * Reimplement the locate pointer functionality

  [ Michael Webster ]
  * cs_sound.py: Add some more sound ids to ignore.
  * keybindings.js: Fix incorrect check.
  * screenshot.js: Improve button event handling, listen to stage events during rubber-banding.
  * st-theme-node.c: Fix a leak when falling back to the default theme on 'important' ui elements.
  * locatePointer: Only grab the keybinding if the feature is enabled.

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 21 Aug 2022 12:13:03 +0200

cinnamon (5.4.10) vanessa; urgency=medium

  [ Michael Webster ]
  * live previews: Use clones when valid, and static images in certain situations when a usable clone or texture isn't guaranteed.
  * windowAttentionHandler: Fix new window focus issue with Firefox.
  * keybindings.js: Use a js Map to track keybindings and handle changes to custom keybindings properly.
  * osdWindow.js: Use correct allocation size for the fill level instead of the parent width.

  [ ronyala ]
  * Remove rtl workaround for the triangle arrow direction, (#10980)

  [ Michael Webster ]
  * windowAttentionHandler: remove notification fallback, re-add all 5.2 names to the pass-thru list.
  * windowManager.js: get rid of (non-cinnamon) popup menu animations.
  * sound@cinnamon.org: Fix panel scrolling behavior.
  * windowManager.js: Complete the workspace switch immediately if no windows end up being animated.
  * panel.js: Don't create a (horizontal) panel barrier for a vertical panel if there is a horizontal panel adjacent to it.
  * panel.js: No barriers when there is only a single monitor.
  * panel.js: global.screen -> global.display

  [ Secret-chest ]
  * More issue templates, not everything is a bug report (#11011)

  [ Michael Webster ]
  * Fix bug remplate, remove question template.

  [ Leigh Scott ]
  * Remove unused soup (#11002)

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 13 Aug 2022 12:31:37 +0200

cinnamon (5.4.9) vanessa; urgency=medium

  [ Michael Webster ]
  * sound applet: Fix the context menu's input mute icon.

  [ JosephMcc ]
  * thumbails: Update the Adwaita thumbnails for cs_themes (#10968)

  [ tedlava ]
  * Imported submodule explicitly from PIL to fix bug (#10955)

  [ Michael Webster ]
  * cinnamon-gtk-embed: Clamp transparency of the tray icon's underlying MetaWindowActor.
  * cinnamon-window-tracker: Use a different method for matching existing apps and new windows by pid.
  * gwl: Fix updating tooltips and previews when the applet's panel is move to the top edge.
  * windowManager: Fix a missing default case, return early when individual effects are disabled, not just when they all are.
  * signalManager: Make it slightly easier to debug signals and access- after-destroy warnings.
  * gwl: Disconnect size notify signals from actors when they become unmanaged.
  * windowManager.js: Fix gtk popup menu animations.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 01 Aug 2022 16:07:57 +0200

cinnamon (5.4.8) vanessa; urgency=medium

  [ Michael Webster ]
  * g-w-l/workspace-switcher: Fix random crash and errors when adding and removing workspaces.
  * workspace-switcher: Replace global.screen with global.display.

  [ JosephMcc ]
  * overview.js: Don't hide the global.window_group while animating
  * theme: Finish fixing the gwl thumbnail theming (#10963)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 25 Jul 2022 15:03:46 +0200

cinnamon (5.4.7) vanessa; urgency=medium

  [ Michael Webster ]
  * cinnamonDbus: Have cinnamon-settings-daemon provide monitor coordinates for the showOSD method, instead of a monitor index.
  * power applet: Use step up/down when scrolling on the brightness sliders instead of directly setting a value.

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 24 Jul 2022 13:45:41 +0200

cinnamon (5.4.6) vanessa; urgency=medium

  [ fredcw ]
  * Menu applet: Fix typo (#10952)

  [ Clement Lefebvre ]
  * l10n: Update POT

  [ Michael Webster ]
  * gwl: Ignore 'smooth' scroll events when scrolling.
  * menu applet: Strip the spaces from button search strings.

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 23 Jul 2022 13:51:27 +0200

cinnamon (5.4.5) vanessa; urgency=medium

  [ Michael Webster ]
  * xdnd: Change pick mode when checking for drop targets.
  * systray.js: Fix a couple of applets missed in bf2cce2e7016.
  * extensions: Allow an applet to assume more than one 'role'.
  * systray applet: Fix some issues when reloading icons after panel changes.
  * slider.js: Pass the proper arguments to _endDragging() from actor's button-release-event.

  [ Cobinja ]
  * Fix testsound volume

  [ JosephMcc ]
  * theme: Fix artifacts in the menu applet when scrolling the applications

  [ Rick Calixte ]
  * Fix .gitignore for builds

  [ Michael Webster ]
  * windowManager.js: Fix workspace switching when only-on-primary is enabled.
  * expo: Fix some bad behavior.
  * sound settings: Fix mic gain adjustment.

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 20 Jul 2022 07:53:26 +0200

cinnamon (5.4.4) vanessa; urgency=medium

  [ Michael Webster ]
  * xapp status icon: Remove missing import.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 15 Jul 2022 17:09:33 +0200

cinnamon (5.4.3) vanessa; urgency=medium

  [ Michael Webster ]
  * xapp status applet: Use markup for tooltips.

  [ Clement Lefebvre ]
  * l10n: Update POT

  [ Michael Webster ]
  * a11y: Add missing icons to support 28099e62ea98bb0
  * notifications: Decode html entities in a notification's title and body.

  [ fredcw ]
  * Some slight improvements to app sorting..
  * Remove redundant call toLowerCase()

  [ Michael Webster ]
  * panel.js: Fix autohide and intellihide (partially).
  * panel.js: Get the window coordinates from the MetaWindow instead of the window actor.
  * panel.js: _enterPanel and _leavePanel will not always receive any arguments.
  * recorder: Use a more filesystem-friendly date format, get rid of some useless code.
  * cinnamon-tray-icon.c: Fix interaction with tray icons when the panel is auto- or intelli-hide.
  * systray: Fix reloading during panel-edit or adding/removing applets.
  * windowManager.js: Fix hiding the tile preview, and use actor.ease.
  * windowManager.js: Use easing for workspace switching, make sure all windows are animated.
  * windowManager.js: Use easing for window effects, fix fallback path for invalid effect names.

  [ JosephMcc ]
  * st: Move slow-down-factor into settings

  [ Michael Webster ]
  * keybindings: Fix arguments sent by invoke_keybinding_action_by_id.

  [ JosephMcc ]
  * theme: Restore the styling of gwl window thumbnails

  [ Michael Webster ]
  * util.js: let decodeHTML() handle null strings gracefully.
  * systray: Rename a couple of methods in SystrayManager
  * windowAttentionHandler: remove filtering (no longer necessary)

  [ JosephMcc ]
  * windowManager: Check whether metaWindow is NULL after destroy animation

  [ Michael Webster ]
  * panels: Fix relayout problem when a monitor is removed or added.

  [ JosephMcc ]
  * gwl: Restore the hover peek functionality

  [ Michael Webster ]
  * placesManager: Monitor the gtk3 bookmarks path if no bookmark files exist, not gtk2.
  * panels: listen to the layout manager for monitor changes, fix how layout.Monitors are constructed.

  [ JosephMcc ]
  * windowManager.js: Port the dimmer to the new ease() functions

  [ Michael Webster ]
  * Fix direct launching of accessibility settings.
  * hidpi: Refresh xapp and systray icons when the scale changes.

  [ Cobinja ]
  * Fix testsound channel usage

  [ Michael Webster ]
  * cinnamon settings: Display blueman-manager as 'Bluetooth'.
  * theme settings: Rename Controls to Applications.
  * recorder: Display a recording indicator in the xapp applet.
  * cs_sound: Fix testing window effect sounds.
  * st-scroll-view: Have the fade effect respect the master effects setting as well as its individual one.
  * windowManager: Distinguish between size-change types for sound effects.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 15 Jul 2022 15:05:57 +0200

cinnamon (5.4.2) vanessa; urgency=medium

  [ Michael Webster ]
  * osdWindow: Fix wrong variable from refactor (e322977633)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 21 Jun 2022 16:59:18 +0200

cinnamon (5.4.1) vanessa; urgency=medium

  [ Michael Webster ]
  * st-texture-cache: Fix error check in load_from_raw, don't make a new actor twice in load_from_pixbuf.
  * Restore st_texture_cache_load_file_simple().
  * osdWindow.js: Fix destruction during screen changes.
  * tooltips.js: Remove the hide idle source when destroying a tooltip.
  * calendar applet: Listen for eds to appear on the session bus at startup.

  [ Cobinja ]
  * Don't disconnect signal ids that aren't connected

  [ Michael Webster ]
  * main.js: set the uiGroup as NO_LAYOUT.
  * xapp applet: Monitor popup menu states and sync the hover state when one closes.
  * cinnamon-global.c: remove dead code.

  [ Cobinja ]
  * Change style class name creation in popup menus

  [ Michael Webster ]
  * cinnamon-global: Clean up the notification presence during shutdown.
  * popupMenu.js: Don't update the menu's position during its allocation cycle when menu effects are disabled.
  * a11y: add a hoverkey action window, add missing items to applet, remove mousetweaks check in cs_accessibility.
  * windowMenu.js: Fix logic for 'all workspaces' item.
  * a11y: Add timeout indicator for hoverkeys.
  * Add missing file from 28099e62e.
  * windowMenu: Improve appearance compared to gtk menu.

  [ JosephMcc ]
  * runDialog.js: Don't hardcode the size of the dialog content

  [ Michael Webster ]
  * Fix panel intellihide mode.

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 20 Jun 2022 10:20:54 +0200

cinnamon (5.4.0) vanessa; urgency=medium

  [ Michael Webster ]
  * Adapt to muffin 5.3 changes.
  * Implement resize popup (for terminals).
  * Use Meta.Barrier for pointer barriers.
  * Use gtk window-kill and display confirmation dialogs.
  * Simplify hotcorner setup, add corner barriers.

  [ Stephen Collins ]
  * tooltip.js: trigger a relayout after triggering a reallocation

  [ Michael Webster ]
  * Fix show-desktop applet, fix implementation of raise/lower desklet layer.
  * Update fractional scale switch backend.
  * Small change in cs_sound for updated Cvc on cinnamon-desktop.
  * calendar: Fix DateTimeMechanism interface path.
  * Adapt to using logical monitors, where the primary monitor is not always 0.

  [ Stephen Collins ]
  * windowManager.js: fix window placement after workspace switch animation
  * popupMenu.js: bring back the call to actor.destroy()
  * Fix docs and re-enable

  [ Michael Webster ]
  * popup menus: Add a new signal to be fired when a menu finishes animating closed.
  * tooltips: Round event mouse positions.
  * Fix recorder, minus the recording indicator for the moment.
  * Disable 'hover' effect for display module background.
  * Fix some keybindings. Snap is no more, display rotate and switch have moved to a different schema.
  * Rework xrandr applet to use muffin api.
  * Disable some media keys - they're handled internally by muffin now.

  [ Nurgazy Nazhimidinov ]
  * add system info copy to clipboard (#10428)

  [ Michael Webster ]
  * st-texture-cache: Restore a couple of missing methods.
  * close dialog: Fix a vertical spacing issue.

  [ Clement Lefebvre ]
  * CI: Update targets

  [ Michael Webster ]
  * makepot: Scan all of files/usr/bin

  [ Clement Lefebvre ]
  * l10n: Update POT

  [ Michael Webster ]
  * debian/control: Add python3-requests dependency.
  * cs_themes.py: Don't show 'gnome' or 'hicolor' themes in the icon theme picker.
  * cinnamon.css: Use em units for the calendar dot position.
  * menu applet: Fix keyboard navigation when category-hover is disabled.
  * window-list: Improve overflow issue when there are lots of windows.
  * grouped-window-list: Improve overflow issue when there are lots of windows.
  * window-list: Use the initial label preference in the getPreferred* methods.
  * osdWindow.c: Scale some elements down for low resolution monitors.
  * calendar events: Check if evolution-data-server is running before enabling events.
  * calendar-server: Add return after calling app.quit()
  * window lists: Improve icon geometry updates.

  [ Eli Schwartz ]
  * gtkdoc: remove dependencies on custom target files (#10606)
  * Revert "build: disable gir install via list to pacify meson >= 0.60.2 (#10489)" (#10596)

  [ Michael Webster ]
  * cinnamon-app: Don't try to offload PrefersNonDefaultGPU if offloading isn't currently supported.

  [ fredcw ]
  * Use same icon used in cinnamon-settings... (#10685)

  [ AxXxB ]
  * deskletManager.js: correct loading time logging (#10672)

  [ Michael Webster ]
  * keybindings: Warn, but don't forbid assigning normal keys for shortcuts.

  [ Jonathan Heard ]
  * FIX #10618 (#10619)

  [ Ross Brattain ]
  * cinnamon-settings: pop sys.argv args before Gio

  [ dasaleph ]
  * Fix a typo #9756

  [ Michael Webster ]
  * calendar: Set a reasonable limit on the frequency of user setDate events.

  [ Justin ]
  * single day event now shows end time (#10734)

  [ AxXxB ]
  * keyboard applet refactoring (#10671)

  [ ronyalaluf ]
  * PopupMenu: fix arrow icon direction on rtl layout
  * Popup Menu Slider: Fix direction and handling in rtl layout
  * Sound applet: Update VolumeSlider for rtl layout
  * PopupMenu: Invert right-left keyboard navigation on rtl layout

  [ Michael Webster ]
  * window-list: zero a source id when destroying an app button.

  [ AxXxB ]
  * Add _flashTimer property to AppMenuButton (#10457)

  [ ronyalaluf ]
  * Slider.js: Make inverted when in rtl layout
  * Sound applet: Do not invert media progress bar in rtl layout

  [ Jonathan Heard ]
  * remove _hook from applet.js (#10547)

  [ Steve Grubb ]
  * Fix a couple typos in latest code (#10569)

  [ Michael Webster ]
  * cinnamon-settings: Fix specifying initial panel from the command line.

  [ AxXxB ]
  * grouped-window-list: spacing between items is now defined by CSS (#10669)

  [ Andreas Müller ]
  * Do not crash on systemd/tzdata reporting Univeral timezone

  [ slowscript ]
  * Menu applet: show application actions
  * Menu applet: Add icons to application actions

  [ Xushen ]
  * photoframe: Avoid showing hidden files or files under hidden directories. (#10760)

  [ Kevin Langman ]
  * Fix the XApp Status Applet tooltip placement on vertical panels

  [ Michael Webster ]
  * keyboard applet: Don't check for ibus too soon.
  * Fix keyboard applet when there's only a single layout.
  * Fix an introspection issue in cinnamon-xfixes-cursor.c.

  [ okaestne ]
  * ExtensionCore: defer loading of cinnamon version & fix comparison
  * cs_privacy: defer init of NM.Client
  * cs_backgrounds: defer import of imtools module
  * Spices: defer import of requests module
  * cs: fix print_timing; remove stale touch function
  * cs: lazy load python modules, when passed as arg

  [ Michael Webster ]
  * menu: Fix sort when app names include diacritical marks.

  [ AxXxB ]
  * power applet: fix device duplicates (#10670)

  [ Nate Simon ]
  * Fix: Missing icon causes output sound device to not show in list (#10794)

  [ ronyala ]
  * Sound applet: Hide microphone mute toggle if mic is not being used (#10620)

  [ kimimaru4000 ]
  * Show brightness text and value when dragging slider on power applet (#10630)

  [ Michael Webster ]
  * xapp status applet: Recheck applet roles when an icon's name id changes.
  * cinnamon-settings.py: Replace hyphens with underscores when looking for a specific python settings module.

  [ ronyala ]
  * GWL: fix rtl layout issues (#10631)

  [ martj42 ]
  * Option to change the button width in the window list (#10575)

  [ Michael Webster ]
  * Adapt to new plugin, meta, clutter, cogl api.

  [ Fabio Fantoni ]
  * debian/ changes

  [ Michael Webster ]
  * Implement resize popup (for terminals).
  * Use Meta.Barrier for pointer barriers.
  * Use gtk window-kill and display confirmation dialogs.
  * Simplify hotcorner setup, add corner barriers.

  [ Stephen Collins ]
  * tooltip.js: trigger a relayout after triggering a reallocation

  [ Michael Webster ]
  * Fix show-desktop applet, fix implementation of raise/lower desklet layer.
  * Update fractional scale switch backend.
  * Small change in cs_sound for updated Cvc on cinnamon-desktop.
  * calendar: Fix DateTimeMechanism interface path.
  * Adapt to using logical monitors, where the primary monitor is not always 0.

  [ Stephen Collins ]
  * windowManager.js: fix window placement after workspace switch animation
  * popupMenu.js: bring back the call to actor.destroy()
  * Fix docs and re-enable

  [ Michael Webster ]
  * popup menus: Add a new signal to be fired when a menu finishes animating closed.
  * tooltips: Round event mouse positions.
  * Fix recorder, minus the recording indicator for the moment.
  * Disable 'hover' effect for display module background.
  * Fix some keybindings. Snap is no more, display rotate and switch have moved to a different schema.
  * Rework xrandr applet to use muffin api.
  * Disable some media keys - they're handled internally by muffin now.

  [ Nurgazy Nazhimidinov ]
  * add system info copy to clipboard (#10428)

  [ Michael Webster ]
  * st-texture-cache: Restore a couple of missing methods.
  * close dialog: Fix a vertical spacing issue.

  [ Clement Lefebvre ]
  * CI: Update targets

  [ Michael Webster ]
  * makepot: Scan all of files/usr/bin

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 10 Jun 2022 15:55:03 +0200

cinnamon (5.2.7) una; urgency=medium

  [ Michael Webster ]
  * cs_calendar.py: Update gnome's 24h preference when ours gets updated.
  * settings api demo: Fix dependency example to match description.
  * notification applet: Remove leftover log statement.
  * power applet: Show a generic panel icon even if there's only a single coarse-level device attached.
  * screenshot.js: Add SelectArea method.
  * calendar applet: Improve event dot positioning.

  [ Cobinja ]
  * [calendar applet] Make new dates translatable (#10560)

  [ Michael Webster ]
  * calendar applet: Re-organize multi-day string construction.
  * calendar applet: Use the ► unicode symbol in place of '->' for event times.

  [ BaptisteMiq ]
  * Checking None values to prevent crashes (#10552)

  [ Michael Webster ]
  * Fix minimize effect when there is no icon geometry set by a window- list.
  * events: Actual time should be used with time_format, not a date-only.
  * calendar events: Clicking on the selected date over the event list will open gnome-calendar.
  * screenshot.js: Cancel an area selection op if the rubberbanding is completed with a width or height of 0.

  [ Matt Turnbull ]
  * Fix warning about using var for module exports. (#10568)

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 31 Dec 2021 11:26:30 +0000

cinnamon (5.2.6) una; urgency=medium

  [ Michael Webster ]
  * calendar: Have the 'no events' icon/label open gnome-calendar when clicked.
  * calendar: Fix theme typo, close the calendar popup when launching gnome-calendar.
  * calendar: some default theme improvements for buttons.
  * screenshot.js: Adjust area coordinates by the ui scale.
  * cinnamon-calendar-server.py: Don't assume that an event will have a last-modified property.

  [ Clement Lefebvre ]
  * cinnamon-calendar-server: Fix typo

  [ Michael Webster ]
  * calendar applet: Handle multi-day events.
  * Calendar applet: Fix a few translation and date-format issues.
  * calendar applet: some cleanup.
  * calendar applet: Enable opening gnome-calendar to a specific day when the 'no events' button is clicked.

  [ Thomas Kemmer ]
  * calendar: Fix missing prefix in bindir path for D-Bus service

  [ Michael Webster ]
  * build: Don't hardcode the libexec path for the cinnamon-calendar- server bin file.
  * cinnamon-screenshot.c: Fall back to a full screenshot when there is no default focus window.
  * cinnamon-screenshot.c: Don't take a screenshot of the "Desktop" window when taking a 'window' screenshot.
  * calendar applet: Show countdown text for multiday events that start today on any day the event will be active.

  [ Clement Lefebvre ]
  * l10n: Generate files
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 16 Dec 2021 09:05:23 +0000

cinnamon (5.2.5) una; urgency=medium

  [ Michael Webster ]
  * calendar: Remove using GOA for calendar source discovery.
  * runDialog.js: Take the global.ui_scale into account when setting the dialog width.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 09 Dec 2021 11:25:23 +0000

cinnamon (5.2.4) una; urgency=medium

  [ Michael Webster ]
  * window effects: Fix maximize effect.
  * notificationDaemon.js: Remove call to non-existant Source method.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 07 Dec 2021 17:44:17 +0000

cinnamon (5.2.3) una; urgency=medium

  [ Michael Webster ]
  * Add org.gnome.Shell.Screensaver service for taking screenshots.
  * flashspot.js: Improve effect.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 06 Dec 2021 16:56:15 +0000

cinnamon (5.2.2) una; urgency=medium

  [ Jan Beich ]
  * build: disable gir install via list to pacify meson >= 0.60.2 (#10489)

  [ Michael Webster ]
  * JsonSettingsWidgets.py: Don't escape non-ascii characters when saving the json file.
  * flashspot.js: Use class expression to fix subclassing of Lightbox.
  * appletManager.js: Fix highlighting when adding an applet to a panel.
  * Add "ReloadTheme" to available dbus commands.
  * calendar applet: Change a few style classes.
  * calendar applet: Update the default theme for some calendar changes.
  * cinnamon-app.c: Unref the launch context if offloading setup fails.
  * calendar: Don't try to override vfade in the default theme.
  * cinnamon.css: Improve some spacing in the calendar, change how selected/current days are displayed.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 03 Dec 2021 15:33:29 +0000

cinnamon (5.2.1) una; urgency=medium

  [ Clement Lefebvre ]
  * l10n: Rename mgsid in calendar applet
  * calendar applet: Add an icon when no events are available

  [ Michael Webster ]
  * calendar: remove unintentional setting.
  * calendar: Don't use the new string format style for translatable strings.
  * calendar applet: Reset the periodic timer when settings change.
  * cinnamon.css: Move height element to affect the events box only.
  * Make cinnamon-settings a minimal GApplication to accomodate webkit.

  [ Clement Lefebvre ]
  * l10n: Update POT

  [ Michael Webster ]
  * cinnamon-launcher: use os.WIFEXITED to interpret the status code when cinnamon exits.
  * calendar events: update when the applet is opened only, and update events incrementally, to reduce ui relayouts.
  * cinnamon-app.c: Don't allow offloaded programs to be dbus-activated.

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 28 Nov 2021 14:03:33 +0000

cinnamon (5.2.0) una; urgency=medium

  [ Michael Webster ]
  * menu applet.js: Use localeCompare for the fallback sort.
  * cinnamon-settings: Remove ~/.local and /usr/local from python's module search paths.

  [ Ammako ]
  * Properly hide JavaEmbeddedFrame on Grouped Window List

  [ Michael Webster ]
  * menu applet: Check first if we should show items that are refreshed while the menu is open.
  * menu applet: Hide app buttons by default, and when the menu closes.
  * cinnamon-subprocess-wrapper: Set the exception result as bytes, not a string.

  [ Joshua Peisach ]
  * meson girs: Export gir names as a package Fixes an issue with the package tag in the gir not being generated.

  [ fredcw ]
  * Change method of making "Clear list" label bold.. (#10178)

  [ Michael Webster ]
  * spices update module: Add a way to check if a spice is currently enabled.
  * cinnamon-launcher: Don't call Gtk.main_quit() when showing the restart dialog.
  * cinnamon-launcher: prevent defunct metacity process when restarting via the dialog, fix 'cinnamon --replace --replace' after crashes.
  * main.js: Fix activateWindow so it will respect the workspace index if provided.
  * main.js: Be strict about the workspace argument in activateWindow.

  [ Odyseus ]
  * Documentation corrections

  [ Anderson André Ferreira Gomes ]
  * Small grammar corrections in README.md (#10292)

  [ Michael Webster ]
  * cinnamon-global.c: Allow disabling cinnamon as the default notifications handler.

  [ JosephMcc ]
  * GWL: Don't force the "New Window" option to show
  * sound-applet: use insensitive not disabled

  [ Benjamin Owen ]
  * Fix window ordering with vertical panels (#10297)

  [ Michael Webster ]
  * menu applet: Only show completion results when filesystem path entry is enabled.

  [ fredcw ]
  * Add confirmation dialog when removing a panel (#10340)

  [ JosephMcc ]
  * ui: Make the confirm dialog look a bit more like a real dialog
  * ui: Add some styling to the run dialog

  [ David Yang ]
  * Fix type to search boilerplate text not being automatically cleared (#10248)

  [ Leigh Scott ]
  * Fix menu-editor with python-3.10 (#10370)

  [ Michael Webster ]
  * gwl: Remove redundant check for skip-taskbar. Main.isInteresting does this and more.

  [ Joshua Peisach ]
  * Stop using GTimeVal/g_get_current_time (#10043)

  [ Michael Webster ]
  * Fix previous commit - you can't call g_free on an autopointer.

  [ Clement Lefebvre ]
  * Simplify window animations (#10389)

  [ Michael Webster ]
  * harvester.py: Catch request timeout errors.
  * harvester.py: Don't use a unique timestamp for every request from the spices server.

  [ Steve Grubb ]
  * Fix memory leaks on error paths (#10406)
  * Fix a typo (#10405)

  [ 404oops ]
  * Spotify fixed the album art issue (#10433)

  [ Michael Martin ]
  * Add an option to disable scrolling in the workspace-switcher applet (#10427)

  [ Benjamin Owen ]
  * Add toggle for window labels on/off (#10343)

  [ Clement Lefebvre ]
  * window-list: Rename newly added option

  [ Alexander ]
  * sound applet: added processing base64 code for art url data (#10226)

  [ JosephMcc ]
  * Lightbox: Add a radial shader effect (#10344)

  [ AxXxB ]
  * notifications applet: Add new setting "Don't show notification count in tray" (#10166)

  [ Clement Lefebvre ]
  * notification applet: Rephrase newly added option
  * menu applet: Give all applications a symbolic icon

  [ ronyala ]
  * Sound applet: Fix media control buttons having reverse order on RTL layouts (#10443)
  * Sound applet: Fix player status label being  aligned to the left on an rtl layout (#10446)
  * Menu applet: Improve keyboard navigation with RTL layout (#10376)
  * GWL: Fix issue #10401; Update AppGroup icon every time a new window is added (#10439)

  [ AxXxB ]
  * keyboard applet: Change 'let' to 'const' where possible (#10167)

  [ ronyala ]
  * Window button layout setting: improve rtl handling (#10441)
  * GWL: Fix window preview issue when fade-out effect is used (#10263)

  [ Levi Bard ]
  * Respect PrefersNonDefaultGPU desktop entry when launching apps (#10411)

  [ Oliver Kästner ]
  * Spices.py: simplify _url_retrieve (#10327)
  * capi.py: support non-i386/x86_64 architectures (#10426)

  [ Jason Lee ]
  * sound-applet: hide "Unknown Artist" on panel (#10326)

  [ James Ross ]
  * notifications: Simplify source code (#10144)

  [ AxXxB ]
  * keyboard applet: Remove unneccesary 'if' in offsets calculation (#10168)
  * JsonSettingsWidgets.py: remove keyword argument `encoding` (#10458)
  * keyboard applet: Respect "icon-size" when panel is vertical (#10456)

  [ Michael Webster ]
  * calendar applet: Add support for evolution-data-server (#10453)

  [ Clement Lefebvre ]
  * l10n: Update POT
  * l10n: Generate files

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 17 Nov 2021 10:07:19 +0000

cinnamon (5.0.5) uma; urgency=medium

  [ Michael Webster ]
  * util.js: Remove long parenthesized text in network device labels.
  * org.cinnamon.gschema.xml: Add lxterminal and xfce4-terminal to focus passthru list.
  * org.cinnamon.gschema.xml: Add firefox to focus passthru list.
  * window list applet: Track urgent/demanding attention separately from other-workspace transience during initial window item creation.
  * menu applet: Restore a max button width constraint, and the old width calculations for the application box.
  * menu applet: Fix the fallback sort method for search results.
  * org.cinnamon.gschema.xml: Add libreoffice to focus passthru list.

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 14 Jul 2021 15:23:16 +0100

cinnamon (5.0.4) uma; urgency=medium

  * GWL: Remove Super+space shortcut

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 02 Jul 2021 16:18:53 +0100

cinnamon (5.0.3) uma; urgency=medium

  [ Michael Webster ]
  * meson: Make install dir of the python spice modules configurable.
  * menu applet: Don't strip the search pattern before sending it to custom search providers.

  [ Stephen Collins ]
  * xapp status applet: update the tooltip text immediately (#10130)

  [ itzexor ]
  * lookingGlass.js: work around actor property access error
  * lookingGlass.js: delay and aggregate window tracker updates
  * lookingGlass.js: modernizations and cleanups

  [ Peter ]
  * Add basic proxy auth for spices manager
  * Update Spices.py

  [ Michael Webster ]
  * main.js: Simplify activateWindow and let muffin handle workspace activation.

  [ itzexor ]
  * cinnamon-killer-daemon: user cinnamon-launcher instead
  * cinnamon-launcher: fix fallback recovery code

  [ Michael Webster ]
  * cinnamon-launcher: Show restart confirmation even if memory limiting is disabled.
  * Restore the window attention handler, but with a reversed role.
  * window-list applet: Don't rely on muffin signals for marking new windows as urgent.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 25 Jun 2021 16:57:58 +0100

cinnamon (5.0.2) uma; urgency=medium

  [ Michael Webster ]
  * power applet: Don't add a cinnamon style class to critical and warning battery icons on top of the color the icons already have.
  * network applet: Disable connectivity check, it is too unreliable.
  * cs_display.py: Add new setting to control visibility of fractional scaling controls.

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 04 Jun 2021 12:22:26 +0100

cinnamon (5.0.1) uma; urgency=medium

  [ Leigh Scott ]
  * Use new screensaver name for required components

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 01 Jun 2021 14:11:59 +0100

cinnamon (5.0.0) uma; urgency=medium

  [ José Gadelha ]
  * GWL-fixes: move window to another workspace

  [ Michael Webster ]
  * st-texture-cache.c: Don't return from a GTask twice.
  * menu applet: Decode favorite uris used for display.
  * src/meson.build: Include st enum header file to executable sources as well.
  * power applet: Fix _devicesChanged so that calls to csd-power are handled sequentially.
  * power applet: When 'always show all batteries' is enabled, only display devices that will have a valid percentage.

  [ JosephMcc ]
  * cs_startup: Improve ellipsizing of description labels

  [ Sparky Bluefang ]
  * build: gstreamer only used by recorder, so make it conditional.

  [ Clement Lefebvre ]
  * Spices: Show UUID in management/download tabs (#9911)

  [ Stephen Collins ]
  * cinnamon-settings xlets: ignore multiversion when looking for an icon (#9908)

  [ Clement Lefebvre ]
  * Applets: Fix some of the icons
  * Spices: Prefer icon.png over metadata
  * Desklets: Fix icons
  * Spices: Translate download tab content
  * Spices: Show the author
  * Spices: Add search by author
  * Spices: Improve layout

  [ Michael Webster ]
  * appSwitcher.js: If the initial grab fails, or the modifier key is released before pushModal (as explained in the old bug mentioned in the comments), still perform a single switch, rather than doing nothing at all.

  [ Ivan Koveshnikov ]
  * windows-quick-list applet: avoid fixed popup size
  *  windows-quick-list applet: remove extra padding
  * favorites applet: remove extra padding and avoid setting constant height

  [ Michael Webster ]
  * appSwitcher3D.js: Don't fail completely if the window actor is gone when removing previews.
  * Remove windowAttentionHandler and some associated items - this will be handled in muffin.
  * power applet: Adjust warning and critical levels to match the correctly colored icons in the set.
  * power applet: Fix handling of the panel info display to filter out non-percentage devices when multi-device is enabled.
  * meson.build: Re-enable build with pointer barriers support.
  * menu applet: Only count alpha-numeric characters in search matching.
  * menu applet: sort all search result types equally.
  * power applet: Fix icon style class logic.
  * meson.build: Restore some more missing config definitions from pre-meson builds.
  * window list: Keep track of window positions in the list so the order can be restored between restarts.

  [ ronyalaluf ]
  * Grouped-Window-List: fix list refreshing when closing a window (4c1aa69) Fix #9802, fix #9845, fix #9900

  [ Michael Webster ]
  * Move cinnamon-dbus-command into /usr/bin.

  [ Attila Greguss ]
  * Fix cinnamon-xlet-makepot so it always gives the same output on every system (#9956)

  [ Stephen Collins ]
  * cinnamon-xlet-makepot: ignore keywords if they're used as settings keys (#9939)

  [ Clement Lefebvre ]
  * Add a memory limit mechanism to Cinnamon (#9923)

  [ Michael Webster ]
  * Eliminate use of python-dbus in most places.
  * accessibility: Rename caps and numlock indicators to be cinnamon- specific so they're acceptable in the hicolor theme, change the OSD handler to use icons with these as fallback names.

  [ NikoKrause ]
  * cinnamon-xlet-makepot: Add header and metadata to .pot file (#9964)

  [ ronyala ]
  *  Grouped-Window-List: Fix finishing a launcher move outside of applet area not saving changes; misc cleanup (#9858)

  [ Joshua Peisach ]
  * cinnamon-settings-users: Check if user exists before user creation.

  [ Michael Webster ]
  * cinnamon-settings-users.py: Fix new string for localization.
  * util.js: Add a version comparison function.
  * network applet: Perform a periodic connectivity check to indicate on the panel when there is no internet (global) access.
  * a11y: Fix screen reader for popupMenu.js classes and the StButton class.

  [ NikoKrause ]
  * menu applet: use scrollbox for categories

  [ Michael Webster ]
  * menu applet: Refactor layout to allow allocation and scrollbar behavior to occur 'naturally' for both favorites and categories.
  * xlets: remove unused "indent" setting properties.
  * cs_startup.py: Don't write an invalid override desktop file the second time it's created in the same process.
  * menu applet: Limit the width of the menu and keep the selected app box from expanding when long text is displayed.

  [ Hezkore ]
  * fix empty artist in sound applet

  [ JosephMcc ]
  * cs_windows: Fix the button layout when placing icons on the right

  [ Michael Webster ]
  * accessibility.js: Only use cinnamon-specific icons for caps- and num-lock indicators.

  [ Philipp Keck ]
  * Remove window-close action on Alt-Tab Q shortcut (#10031)

  [ Michael Webster ]
  * cinnamon-dbus-command: make executable.
  * menu applet: Use a different method of calculating the application box's width.
  * network applet: Report full connectivity when a tunnel connection is active, even if the primary device only reports 'limited'.

  [ Clement Lefebvre ]
  * Provide python3 and CLI interfaces to manage Cinnamon spice updates (#10032)

  [ Tobias Kortkamp ]
  * Attempt to fix parallel build

  [ Michael Webster ]
  * window list applets: Disable the maximize menu item if the window has resizing disabled.

  [ icarter09 ]
  * Issue 9097. Removes signal connect. Adds signal to be emitted when applets, desklets, and extensions are finished loading.

  [ Michael Webster ]
  * Revert "Issue 9097. Removes signal connect. Adds signal to be emitted when applets, desklets, and extensions are finished loading."

  [ David Schaefer ]
  * fix window-list drag+drop for windows from other desktops

  [ sphh ]
  * Add additional information to the sound@cinnamon.org applet tooltip (#9954)

  [ Joshua Peisach ]
  * hotplug-sniffer: drop volatile

  [ Michael Webster ]
  * menu applet: Use unicode categories to find whitespace and separators.

  [ icarter09 ]
  * Issue 9097. Removes signal connect. Adds signal to be emitted when applets, desklets, and extensions are finished loading.

  [ Lurux ]
  * Implement optional "switch categories by clicking" in menu applet
  * Update settings shema with new "switch categories by hovering" toggle

  [ Lars Mueller ]
  * Fix a flatpak window mismatch

  [ Mikhail Bodrov ]
  * Use spread operator instead of concat

  [ Michael Webster ]
  * Revert new layout introduced in 146083fcfab8fd.

  [ Albert Pool ]
  * Display spaces instead of underscores in time zone selector

  [ José Gadelha ]
  * Fix scale effect on unmaximizing windows

  [ icarter09 ]
  * Issue 10089. Cancels escaped drag on desklets

  [ hacker1024 ]
  * Change "some issue" to "some issues" in the README

  [ icarter09 ]
  * Issue 9834. Desklets snap functionality works as expected

  [ Mikhail Bodrov ]
  * Refactor dbusMenu to es class

  [ Clement Lefebvre ]
  * l10n: Generate files
  * l10n: don't delete pot file in cinnamon-xlet-makepot when run from makepot
  * l10n: Fix makepot error
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 01 Jun 2021 11:41:24 +0100

cinnamon (4.8.6) ulyssa; urgency=medium

  [ Fabio Fantoni ]
  * Remove executable from xapp-status applet files (#9820)

  [ Michael Webster ]
  * messageTray.js: Remove call to nonexistant method.

  [ Clement Lefebvre ]
  * spices: Fix URL timestamp not being used

  [ Joshua Peisach ]
  * cinnamon-file-dialog: Import GTK properly (#9843)

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 13 Jan 2021 14:22:09 +0000

cinnamon (4.8.5) ulyssa; urgency=medium

  [ icarter09 ]
  * Adds Cycle Apps functionality back

  [ JosephMcc ]
  * cs_power.py: Remove a status icon

  [ Joshua Peisach ]
  * Power applet: Use spaces after commas.

  [ forever-and-a-day ]
  * New ICON_NAMES Entries for Tilix terminal actions

  [ Michael Webster ]
  * osdWindow.js: Hide the level label as well as the level itself when not used.

  [ Lars Mueller ]
  * Fix for desktop files in subfolders: use the desktop id generated in cinnamon-menus

  [ Dan Dascalescu ]
  * Github issue template: Simplify path to .xsession-errors (#9788)

  [ claudiux ]
  * Docs: Update xlet-settings-ref.xml (#9813)

  [ NikoKrause ]
  * removable-drives applet: use drive-removable-media icon (#9818)

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 02 Jan 2021 18:23:24 +0000

cinnamon (4.8.4) ulyssa; urgency=medium

  [ Michael Webster ]
  * js/ui/settings.js: Return the default value of a setting if no 'value' field exists.

  [ Lars Mueller ]
  * meson: fix order-only dependency on generated headers for cinnamon-enum-types-h

  [ Michael Webster ]
  * cinnamon-app.c: Never return NULL for the flatpak app id.

  [ Clement Lefebvre ]
  * Icons: Add cinnamon-virtual-keyboard.svg

  [ Michael Webster ]
  * src/meson.build: Include the generated enum header in the other build targets that use libcinnamon.

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 23 Dec 2020 13:27:59 +0000

cinnamon (4.8.3) ulyssa; urgency=medium

  [ Michael Webster ]
  * menu applet: Don't destroy the favorite category when rebuilding the application list.

  [ Cinhi Young ]
  * cs_info: fix crash caused by missing key under getProcInfo (#9755)

  [ Eli Schwartz ]
  * Proper fix for builds with networkmanager disabled. (#9757)

  [ Clement Lefebvre ]
  * l10n: Update POT
  * Don't show a notification when a spice settings file is corrupt.

  [ Michael Webster ]
  * favorites applet: remove debug line.
  * favorites applet: Use the global XAppFavorites instance.

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 13 Dec 2020 12:15:19 +0000

cinnamon (4.8.2) ulyssa; urgency=medium

  * Favorites applet: Fix papercuts
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 08 Dec 2020 12:56:15 +0000

cinnamon (4.8.1) ulyssa; urgency=medium

  [ Michael Webster ]
  * cr-utils.c: Fix copy/paste error.
  * debian/control: add cinnamon-desktop-dev back into the build deps.
  * cinnamon-window-tracker.c: Remove window role check when identifying chromium web apps.

  [ Eli Schwartz ]
  * meson: fix order-only dependency on generated headers

  [ Leigh Scott ]
  * Add muffin rpath to cinnamon executable
  * Add libexecdir to meson

  [ JosephMcc ]
  * meson: Fix build when network manager is disabled

  [ ronyalaluf ]
  * Grouped-Window-List: fix hoverMenu stuck after menu cycle (fix #9067); Continuation of PR #9710

  [ Michael Webster ]
  * build: bump minimum version of glib.

  [ brownsr ]
  * extension.js: remove superfluous line causing warnings

  [ claudiux ]
  * Display entire stream name when its length <= 20 characters

  [ Michael Webster ]
  * sound applet: Listen for changes to certain properties on the org.mpris.MediaPlayer2 interface.
  * cinnamon-window-tracker.c: Skip the browser-app check if wm_instance and wm_class are NULL.
  * cinnamon-window-tracker.c: Revert unnecessary change in previous commit, do a better job explaining the desktop-less webapp check.
  * src/meson.build: Fix log domain for cinnamon.
  * sound applet: Fix displaying the tooltip when mouse-scrolling to change the volume.

  [ nkreer ]
  * Include shift as magnifier shortcut

  [ NikoKrause ]
  * menu-applet: change favorites category icon

  [ Michael Webster ]
  * favorites applet: Use correct favorites icon.
  * favorites applet: Hide on panel if there aren't any favorites, fix stuck visibility of the favorites category in the menu applet.
  * menu applet: Follow-up to previous commit, the categoryId for favorites is actually 'favorite' for 'an individual favorite', so we should look for that, not the plural.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 08 Dec 2020 10:37:58 +0000

cinnamon (4.8.0) ulyssa; urgency=medium

  [ miniskipper ]
  * implement suspend-then-hibernate (issue #237)

  [ ronyalaluf ]
  * fix #2519

  [ ronyala ]
  * fix RTL bug in panel-edit-mode
  * fix bug when dragging windows in RTL
  * fix dragging launchers in RTL
  * change round to floor in position calculation

  [ Eli Schwartz ]
  * remove build dependency on dbus-glib
  * configure.ac: remove pkg-config module checks which are never used

  [ Chase Wright ]
  * Add Percentage Label to OSD for Volume Control (#9532)

  [ Leigh Scott ]
  * Bundle libcroco
  * cr-rgb: remove handling of "inherit" and "transparent"
  * Fix always-true condition
  * croco: Remove duplicated conditions
  * libcroco: Limit recursion in block and any productions CVE-2020-12825)
  * Handle "color: inherit" directly in get_color_from_term(), not in libcroco

  [ Michael Webster ]
  * network applet: Make sure there's always a menu item for the active connection.
  * xapp status applet: Store icons using a unique key based on the icon name and object path.
  * xapp applet: Go back to using icon 'name' property, not the constructed key, to do applet role checking.

  [ Unknown ]
  * menu applet: Added option to display panel when the menu is opened

  [ Michael Webster ]
  * menu applet: Default new 'force show panel' preference to true, move it to the panel behavior group.

  [ Helmut Stult ]
  * Update cinnamon-xlet-makepot

  [ Stephen Collins ]
  * systray manager: make all role comparisons lower case

  [ Ammako ]
  * Fix linuxmint#6243

  [ claudiux ]
  * [sound@cinnamon.org] Update applet.js - Fixes #9283 (#9490)

  [ Kimimaru ]
  * Display volume tooltip while scrolling with the mouse for sound@cinnamon.org

  [ Lars Mueller ]
  * js/misc/utils.js Fix latinise()

  [ Michael Webster ]
  * menu@cinnamon.org: Allow items to be re-ordered to better reflect the search outcome.

  [ claudiux ]
  * Update cs_panel.py: Fixes #9487
  * Add show-buttons option to the TreeList Widgets, align titles as contents and update doc

  [ NikoKrause ]
  * menu applet: search for words inbetween

  [ Michael Webster ]
  * cinnamon-menu-editor: refactor ui file layout, add button to open a selected item's desktop file.

  [ NikoKrause ]
  * menu applet: fix broken search, if no recent documents

  [ ronyalaluf ]
  * fix issue #9546

  [ Bomdia ]
  * add applet uuid formatted as style class name

  [ Mirko Girgenti ]
  * Fix Typo

  [ icarter09 ]
  * Fix for issue9229

  [ Michael Webster ]
  * Revert "add applet uuid formatted as style class name"
  * js/ui/scripting.js: Refactor invalid catch statement (not allowed with mozjs78).

  [ ronyalaluf ]
  * Fixed applet not responding to fast workspace switches. due to the 100ms throttle, the applet shows the wrong window list for current workspace if more than 1 switch happens in a 100ms timespan (for example, when switching from workspace 1 to 3 very fast).
  * update throttle, see #9606; fix #9567

  [ claudiux ]
  * Update xlet-settings.py: Code debug

  [ Contribucious ]
  * Clutter.KeyName -> Clutter.KEY_KeyName
  * " == Clutter.KEY_" -> " === Clutter.KEY_"
  * workspace-switcher applet: Standardization
  * workspace-switcher applet: New option: "Reverse scrolling direction"

  [ Michael Webster ]
  * windows-quick-list applet: Support scrolling, place the icons before the labels to be more consistent with the rest of cinnamon.

  [ Stephen Collins ]
  * Port to meson

  [ Michael Webster ]
  * Port to mozjs78 (#9624)

  [ Fabio Fantoni ]
  * Replace deprecated gvfs-bin calls with gio-tool
  * Add 2 man pages from debian packages

  [ Clement Lefebvre ]
  * Fix ./test

  [ Michael Webster ]
  * meson.build: Fix gettext domain (Cinnamon -> cinnamon), fix incorrect version check for cjs.

  [ Stephen Collins ]
  * debian build: use debhelper >= 11 for meson support
  * build: re-add missing defines to suppress some extra noise in the logs.

  [ Michael Webster ]
  * Debian cleanup.

  [ Contribucious ]
  * "KEY_KP_Enter" as an alternative to "KEY_Return" everywhere

  [ Clement Lefebvre ]
  * Simplify spice version checks (#9664)
  * Spices: Bypass global proxy

  [ Michael Webster ]
  * sound@cinnamon.org: Fix spotify artwork url.

  [ Grzegorz Sobczyk ]
  * network@cinnamon.org - add keybinding to show applet menu

  [ claudiux ]
  * Update xlet-settings.py: Take into account icon.svg prior to icon.png. Until now, when viewing an applet's settings, the icon.png icon was displayed in the panel, which could contrast with the applet icon itself and confuse the user. From now on, if an icon.svg icon exists then this one is displayed first.

  [ Fabio Fantoni ]
  * Add Blueman to the possible icon in cinnamon settings
  * fix lmde4 build

  [ icarter09 ]
  * Removed logic that was keeping icons around after window closed

  [ claudiux ]
  * GWL appList.js: Fix issues #9650 #9219 #8377

  [ Lars Mueller ]
  * Make building the reference documentation optional

  [ ronyalaluf ]
  * fix placeholder size not scaling to ui

  [ James Tattersall ]
  * Fix monitor disconnect resetting icon sizes

  [ Timon de Groot ]
  * grouped-window-list: Add FLASH_MAX_COUNT constant

  [ ronyalaluf ]
  * Improve dragging of items * fix juddring of windows while dragging (fix #8639). * change dragging animation. * fix problems with dragging icon showing incorrect operation. * add checks to keep pinned and unpinned items separate while dragging. * add support for dragging new launchers into middle of window list.
  * add name to proxy drag actor so it can be detected
  * update drag logic to test for 'xdnd-proxy-actor'

  [ Michael Webster ]
  * Add a favorites applet.
  * menu applet: Add a favorites category.

  [ Joshua Peisach ]
  * Solve a deprecation problem in an if statement

  [ Timon de Groot ]
  * window-list applet: Add FLASH_MAX_COUNT constant (#9698)

  [ Leigh Scott ]
  * Add missing GdkPixbuf import

  [ Michael Webster ]
  * menu@cinnamon.org: lengthen the bit mask for the RefreshFlags.
  * cinnamon-window-tracker.c: Try to identify web apps in certain situations so that the correct icon can be used.

  [ claudiux ]
  * applet.js: adapt configureApplet to xlet-settings
  * desklet.js: adapt configureDesklet to xlet-settings

  [ Mikhail Bodrov ]
  * checkBox: refactor from prototype to es class (#9692)

  [ Michael Webster ]
  * cinnamon-window-tracker.c: Remove leftover debugging line.

  [ Bert Hekman ]
  * Add mic mute keyboard shortcut option

  [ ronyalaluf ]
  * fix apps being reactive during panel-edit-mode
  * Fix tooltip lables stuck on after menu cycle

  [ Lars Mueller ]
  * Improve integration of flatpak apps for side-by-side installations

  [ ronyalaluf ]
  * fix icon getting hidden in panel-edit-mode when toggling show-empty-tray setting

  [ Mirko Girgenti ]
  * [FEAUTURE] [BETTER THEMING] Add applet uuid formatted as style class name (#9677)

  [ Clement Lefebvre ]
  * Icons: Make system settings use preferences-desktop instead of preferences-system

  [ Michael Webster ]
  * debian/control, meson: Update some dependencies.

  [ Clement Lefebvre ]
  * l10n: Update POT and fix l10n issues

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 26 Nov 2020 15:17:04 +0000

cinnamon (4.6.7) ulyana; urgency=medium

  [ Michael Webster ]
  * xapp-status@cinnamon.org: Fix visibility for items when an icon is set after having it explicitly un-set.
  * keybindings: revisit #9375, keybindings not updating.

  [ Vincent Vermeulen ]
  * Correct Disks icon in System Settings

  [ Michael Webster ]
  * keyboard applet: Account for the ui scale when adjusting the flag icon size.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 11 Aug 2020 12:38:07 +0100

cinnamon (4.6.6) ulyana; urgency=medium

  [ Michael Webster ]
  * cs_keyboard.py: Reverse the custom keybinding path suffix each time a change occurs in the subfolders.
  * cinnamon-app-system.c: Ignore apps in the menu tree that don't have an appinfo instance.

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 24 Jun 2020 13:45:07 +0100

cinnamon (4.6.5) ulyana; urgency=medium

  [ Michael Webster ]
  * cs_calendar.py: Don't try to set an invalid timezone on the tz selector.

  [ Clement Lefebvre ]
  * Users and groups: Add missing vendor info in polkit policy

  [ Michael Webster ]
  * cs_desktop.py: move gi.require call into the try/except block for importing nemo.

  [ NikoKrause ]
  * menu applet: add missing l10n string (#9377)

  [ fredcw ]
  * cinnamon theme: use em's instead of px's (#9370)

  [ sidorsett ]
  * Add (non)work-day style classes to the header (#9362)

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 21 Jun 2020 13:40:45 +0100

cinnamon (4.6.4) ulyana; urgency=medium

  [ fredcw ]
  * Update applet.js

  [ yparitcher ]
  * Fix workspace OSD

  [ Leigh Scott ]
  * Remove encoding=None

  [ Michael Webster ]
  * menu@cinnamon.org: Fix interference between panel icon size handling and the menu applet's icon handling.

  [ Clement Lefebvre ]
  * Menu applet: Fix description for standard places
  * Notification applet: Fix ngettext translations

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 17 Jun 2020 15:38:54 +0100

cinnamon (4.6.3) ulyana; urgency=medium

  [ Michael Webster ]
  * windowManager.js: Fix some runtime warnings, operate on the InfoOSD's actor, not the InfoOSD itself.

  [ Mihail Bodrov ]
  * edgeFlip: refactor from prototype to es class

  [ Clement Lefebvre ]
  * CI: Use explicit tags

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 06 Jun 2020 14:50:51 +0100

cinnamon (4.6.2) ulyana; urgency=medium

  [ Eli Schwartz ]
  * cs_info: delay import of 'distro' module until it is used

  [ Michael Webster ]
  * xapp status applet: Fix image handling in a vertical panel.
  * xapp status applet: Use markup for tooltips.
  * menu applet: Fix reference error caused by 9aed706da69a9c8.

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 27 May 2020 12:36:30 +0100

cinnamon (4.6.1) ulyana; urgency=medium

  [ Leigh Scott ]
  * Readd import, fixes #9305

  [ Michael Webster ]
  * applets: Fix force-loading of out-of-date applets.

  [ Clement Lefebvre ]
  * Keyboard applet: Cycle layouts on middle-click
  * CI: Target Mint 20 and LMDE 4

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 21 May 2020 11:16:06 +0100

cinnamon (4.6.0) ulyana; urgency=medium

  [ Eli Schwartz ]
  * python 3.8: fix all flake8 F632 errors

  [ JosephMcc ]
  * popupMenu.js: Use a simpler animation for open and close

  [ claudiux ]
  * Remove multicore-sys-monitor@ccadeptic23 of knownCinnamon4Conflicts list

  [ Clement Lefebvre ]
  * Calendar applet: Initiate this.clock a little sooner

  [ zbouba ]
  * Add 2-second lock delay option

  [ okaestne ]
  * ExtensionCore.py: use Gio library for resetting settings instead on os.system

  [ Michael Webster ]
  * ExtensionCore.py: Don't set a default size for the message dialog, just allow gtk to decide the proper size based on its content.
  * main.js: Skip the startup animation unconditionally if cinnamon-session is already in the 'running' state (like it would be when restarting cinnamon).
  * Show a popup when cinnamon restarts
  * runDialog.js: Delay execution of dev commands until the run dialog has animated out.

  [ Clement Lefebvre ]
  * Packaging: Remove version on gnome-icon-theme dependency

  [ JosephMcc ]
  * St: Make the theme follow the default font
  * cs_windows: Add a couple more button layout options
  * cs_backgrounds.py: Remove "screenshot" from the keywords

  [ Michael Webster ]
  * st-texture-cache: Add an async image-loading method that provides a callback that supplies the actor, which has been explicitly made the same size as the loaded image.
  * xapp status applet: Support irregularly-shaped images.
  * grouped window list: When a new appgroup is added, sync its actor's reactivity to the current state of panel-edit-mode.  This prevents any windows added while panel edit mode is active from breaking DND.
  * st-texture-cache.c: Account for ui scale in st_texture_cache_load_image_from_file_async.
  * texture-cache: Stop using 'active-display-scale', remove setting key.

  [ JosephMcc ]
  * modalDialog: Quiet an ES6 warning
  * theme: Remove all hardcoded font sizing
  * restart-osd: Add an additional style class
  * workspace-osd: Simplify and reuse the InfoOSD

  [ claudiux ]
  * notifications: add button in applet settings, to open system settings
  * placesManager.js: Adapt messages to different cases of unmounting/ejection of volumes/drives/media.

  [ Michael Webster ]
  * placesManager.js: Display persistent message when attempting to remove a device and a busy error is received, then poll periodically and try again until it succeeds (or another io error occurs).
  * cinnamonDBus.js: Add a method to restart cinnamon, with optional osd display.

  [ Stephen Collins ]
  * Sound applet: close the menu when a player is launched

  [ Clement Lefebvre ]
  * Update project URL
  * Remove obsolete links

  [ claudiux ]
  * close the menu when the eject button is activated

  [ Michael Webster ]
  * cs_display: Remove the ui scale setting from the second page.
  * cinnamon-settings: Fix hiding of the display panel's monitor labels when navigating back to the icon view.
  * cinnamon-desktop-editor.py: Make the ask dialog modal, and let its size be determined by its content.

  [ Đoàn Trần Công Danh ]
  * Makefile.am: simplify libcinnamon's dependendies

  [ Michael Webster ]
  * notificationDaemon.js: Allow icon names via the "image-path" hint.

  [ Malek ]
  * python 3.8 compatibility fix for platform.linux_distribution()

  [ JosephMcc ]
  * cs_display: Remove the margins from the settings widget

  [ Stephen Collins ]
  * JsonSettingsWidgets: don't call callback on the widget that was changed

  [ Michael Webster ]
  * grouped-window-list: Fix some errors when using super-<num> for switching apps.

  [ Artem Vasilyev ]
  * Support disabling super+number in grouped-window-list applet

  [ Clement Lefebvre ]
  * cs_themes: Don't refresh on every filemonitor event

  [ Michael Webster ]
  * Add scroll support, and set the icon size hint for xapp-sn-watcher.
  * Remove indicator support (fully supported in xapp status applet now).
  * Update some dependencies for 20.04 base.
  * grouped window list: Prevent button dragging from starting if dnd is disabled in the applet's settings.
  * grouped window list: Record button press regardless of what we do with it.

  [ okaestne ]
  * cs_info: fix disk size calculation
  * cs_info: optimize lsblk output

  [ Lars Mueller ]
  * cinnamon-util.c: Fix icon fetching for known folders

  [ Kacper Paczos ]
  * Added new keywords
  * Remove 's' from headphone.

  [ Nick Lowery ]
  * Fix "shutdown" typos (#9243)

  [ Simon Epskamp ]
  * Change `cycle` to first focust last window when switching apps

  [ NikoKrause ]
  * Fix translation of "Remove xlet" dialog
  * xlet-about-dialog: fix spices translations

  [ James Ross ]
  * hotCorner.js: only create corner actors when they are enabled
  * hotCorner.js: modernize classes and bound callbacks
  * hotCorner.js: fix codacy complaints

  [ Michael Webster ]
  * xlet-settings.py: Allow the settings window height to dynamically  increase to accomodate translations.

  [ steve ]
  * calendar@cinnamon.org - add keybinding to show calendar
  * notifications@cinnamon.org - add keybindings to open menu and clear notifications
  * sound@cinnamon.org - don't hide launch player item when another player is active

  [ James Ross ]
  * messageTray: remove unused/obsolete code
  * all: remove CinnamonMountOperation
  * notification system: notification UI reworks
  * notifications: misc fixes

  [ marguerite ]
  * port tinycss to tinycss2

  [ Michael Webster ]
  * calendar applet: Change translatable string to match existing ones.
  * Work around dependency problem with tinycss2 in mint 19.3.

  [ Clement Lefebvre ]
  * Menu applet: Introduce a custom icon size

  [ steve ]
  * sound@cinnamon.org - add keybinding to show applet menu
  * sound@cinnamon.org - add settings-schema.json change for keybinding to open menu
  * menu@cinnamon.org - allow end-user control of favorite, category and application icon sizes

  [ Michael Webster ]
  * sound applet: Always initialize the look and shuffle controls - the player may not initialize them until later.  The can be hidden/shown according to both the player capabilities and the setting.
  * Support nvidia on-demand app launching in the menu, panel launcher, and gwl applets.
  * grouped-window-list: Don't show the offload menu item if the app already has windows.

  [ Eli Schwartz ]
  * flake8: remove useless double or unneeded imports

  [ Mihail Bodrov ]
  * backgroundManager: refactor from prototype to es class

  [ Garry Filakhtov ]
  * Fixing gtk-doc build without cinnamon-recorder

  [ Michael Webster ]
  * cs_desktop.py: Remove stray print statement.

  [ Clement Lefebvre ]
  * l10n: Update POT
  * l10n: Generate files
  * l10n: Generate module files

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 13 May 2020 14:11:56 +0100

cinnamon (4.4.8) tricia; urgency=medium

  * Calendar applet: Fix clock format msgid

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 07 Jan 2020 09:41:42 +0000

cinnamon (4.4.7) tricia; urgency=medium

  [ Michael Webster ]
  * window-list applet: thumbnails - only fetch the window actor once, instead of each time it's used.
  * cs_themes.py: theme_path is not guaranteed to be non-null so it needs to be checked before using os.path.exists() (which isn't null-safe).
  * runDialog.js: Don't test a null string when attempting absolute path execution.
  * runDialog.js: Restore implicit home folder location when the entry starts with neither a ~ or /.

  [ Clement Lefebvre ]
  * l10n: Adjust date format

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 06 Jan 2020 10:26:35 +0000

cinnamon (4.4.6) tricia; urgency=medium

  [ Michael Webster ]
  * grouped-window-list: Add listener for workspace changes that do not precede the MetaDisplay's 'window-created' signal.
  * cs_info.py: Show a busy indicator on the Upload button while the upload-system-info script is running.
  * runDialog.js: allow navigating completions using the arrow keys.
  * runDialog.js: When the completion list is open and enter is hit, only execute the line immediately if the path is to a folder, otherwise close the completion list while leaving the last selected completion appended to the original entry contents.  This allows arguments to be added by the user.
  * runDialog.js: Expand ~ to the home path when tabbing for completions, and when executing the command line, expand ~ always.
  * cs_themes.py: Change how the gtk3 css override file is handled.
  * issue template: Add a section to attach xlet configuration if relevant.

  [ JosephMcc ]
  * cs_sound.py: Allow previewing the sound even when disabled

  [ Clement Lefebvre ]
  * Revert "GWL: Remove hotkeys"

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 28 Dec 2019 12:01:06 +0000

cinnamon (4.4.5) tricia; urgency=medium

  [ Michael Webster ]
  * launchers, window list applets: Use the same applet removal confirmation that other applets use.
  * menu applet: Override the default key-press-handler for the popup menu so pressing escape to close the menu doesn't animate.

  [ Stephen Collins ]
  * Settings: add missing widget import (#9016)

  [ Clement Lefebvre ]
  * Panel: Raise text size upper limit to 16pt

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 12 Dec 2019 11:46:55 +0000

cinnamon (4.4.4) tricia; urgency=medium

  [ James Ross ]
  * menu-applet: fix order of places

  [ Michael Webster ]
  * cinnamonEntry.js: Fixes for the copy/paste popup.
  * runDialog.js: Don't do anything if enter is pressed with an entry that is empty (or has only whitespace).

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 10 Dec 2019 10:17:37 +0000

cinnamon (4.4.3) tricia; urgency=medium

  [ Michael Webster ]
  * grouped-window-list@cinnamon.org: Listen to MetaDisplay's window-created signal for adding new windows.
  * grouped-window-list@cinnamon.org: Simplify updating when the pinned apps list changes.
  * grouped-window-list@cinnamon-org: Apply title-display pref changes to all workspaces.
  * cs_startup.py: Make certain that icons are the correct size - when an icon doesn't exist except as a larger size, it can sometimes ignore the GtkIconSize request.
  * cs_startup.py: Scroll to and select the new row when an entry is added.
  * cinnamon-settings: Use the 'gnome-disks' icon for the Disks utility.
  * i18n: run generate_additional_files.py to update a couple of desktop file translations.

  [ Ellis Hoag ]
  * cinnamon-settings: Fix missing backgrounds issue (#8996)

  [ Michael Webster ]
  * xapp-status@cinnamon.org: Switch to a themeable container and give (#8997)

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 04 Dec 2019 16:22:09 +0000

cinnamon (4.4.2) tricia; urgency=medium

  [ Michael Webster ]
  * settings@cinnamon.org: Fix applet, Panel.populateSettingsMenu was removed during work on the panel menu.
  * window-list@cinnamon.org: Don't fetch the metaWindow's actor until it's needed, it isn't always there initially.  This also allows recovery on subsequent attempts if null is returned once.

  [ Stephen Collins ]
  * SettingsWidgets.py: remove duplicate IconChooser widget

  [ Clement Lefebvre ]
  * cs_backgrounds: Use symbolic icons in sidebar

  [ Stephen Collins ]
  * GWL: fix focus stealing when the previews are showing (#8984)

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 28 Nov 2019 20:07:50 +0000

cinnamon (4.4.1) tricia; urgency=medium

  [ Michael Webster ]
  * startup: Change the startup effect, and allow a logo icon name or path to be displayed based on a settings key.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 25 Nov 2019 16:22:07 +0000

cinnamon (4.4.0) tricia; urgency=medium

  [ Steve M ]
  * Stock theme - improve modal and run dialog layout (#8740)

  [ Clement Lefebvre ]
  * l10n: Update files
  * menu: Don't show hidden files in recents

  [ James Ross ]
  * menu applet: if all recents are hidden act like there are none (#8780)
  * menu applet: fix typo in system box nav fix (#8781)

  [ Michael Webster ]
  * CinnamonGtkSettings.py: Fix a runtime warning.

  [ Clement Lefebvre ]
  * Settings: Fix picture chooser in HiDPI

  [ Simon Brown ]
  * remove some error_trap deprecations (#8643)

  [ Stephen Collins ]
  * Change xlet about dialog to external python/gtk in it's own process (#8734)

  [ James Ross ]
  * Fix some compile warnings. (#8722)

  [ Clement Lefebvre ]
  * Window settings: Simply layout settings

  [ Eric Larson ]
  * Update cs_windows.py: Add setting for new window focus (#8798)

  [ Clement Lefebvre ]
  * Window settings: Rephrase new option and reorder focus stealing combo options

  [ Michael Webster ]
  * panel.js: Simplify the initial panel context menu. (#8803)

  [ James Ross ]
  * Partially revert "cinnamon-global.c: fix repaint function signatures"

  [ Michael Webster ]
  * cinnamon-window-tracker.c: remove 'tracked-windows-changed' signal.
  * window-list@cinnamon.org: Restore async window-added signal handler.

  [ Clement Lefebvre ]
  * Add an XAppStatus applet (#8823)
  * Applets: Hide tooltip when set to an empty string
  * XappStatus applet: Hide tooltip on click events

  [ Michael Webster ]
  * search_provider.py: port search provider example to python3

  [ Clement Lefebvre ]
  * Fix cs_privacy in LMDE3

  [ JosephMcc ]
  * Add a display settings python module (#8829)

  [ Sander Steenhuis ]
  * cin-debug: Fix time code (#8812)

  [ claudiux ]
  * xlet-settings.py - Adding option to reload the xlet in the burger menu of its configuration screen (#8818)

  [ Germán Franco ]
  * Notifications: add support for silent notifications (#8825)
  * Enable management of system-wide extensions through the spices settings UI (#8827)
  * Spices.py: don't try to load themes twice (#8828)

  [ Clement Lefebvre ]
  * Panel: Rework context menu
  * Remove unecessary npm/gulp files

  [ Simon Brown ]
  * panel: minor corrections after context menu change (#8840)

  [ Stephen Collins ]
  * cs_default.py: fix missing declaration causing crash when desc not found (#8855)

  [ Clement Lefebvre ]
  * Panel context menu: Re-add system settings

  [ Michael Webster ]
  * xapp-status applet: Update to utilize XAppStatusIconMonitor.
  * system tray: Keep the _NET_SYSTEM_TRAY_ORIENTATION window property in sync with the orientation of the panel our systray applet resides on.
  * xapp-status applet: Hide icon labels in a vertical panel.
  * xapp-status applet: Display icons in a consistent order.
  * xapp-status applet: sort symbolic after color icons.

  [ claudiux ]
  * Fix translation issues (#8739)

  [ Simon Brown ]
  * Workspace switcher : remove arbitrary cutover to buttons (#8757)

  [ itzexor ]
  * menu applet: break out app loading into its own file

  [ James Ross ]
  * menu applet: remove some pointless state tracking
  * menu applet: code cleanup
  * menu applet: always reuse vectorBox actor
  * menu applet: SimpleMenuItem docs/helper funcs
  * menu applet: finish adding SMI type strings
  * menu applet: small searching optimizations
  * menu applet: don't close context menu when deleting favorite
  * menu applet: refreshless and more consistent icon settings
  * menu applet: rework refreshing
  * menu applet: allow turning off recent category

  [ itzexor ]
  * window-list: use SignalManager more
  * panel-launchers: add destroy() to launcher object

  [ Pyroxar ]
  * System Settings: Add gnome-disks (#8839)

  [ Germán Franco ]
  * Calc search provider example: copy result on activate (#8847)

  [ James Ross ]
  * main.js: remove dead code and style cleanup (#8848)

  [ Clement Lefebvre ]
  * GWL: Remove list-monitor-windows
  * GWL: Remove show-pinned
  * GWL: Remove system favorites
  * GWL: Remove show-alert
  * GWL: Remove icon spacing
  * GWL: Remove hotkeys

  [ Michael Webster ]
  * xapp-status applet: Refactor/optimize for better readability.

  [ dutta64 ]
  * Fix window closing for windows quick list applet. Truncate titles. (#8844)

  [ Michael Webster ]
  * cs_mouse: Expose disable-with-external-mouse touchpad setting.
  * popupMenu.js: Update the position of a menu even when not animating.

  [ Stephen Collins ]
  * Expose new features in the XAppIconChooserDialog to the settings widget (#8885)

  [ Clement Lefebvre ]
  * SettingsWidgets: Rename custom to icon_categories
  * SettingsWidgets: Add a default_category for icon_chooser widgets
  * Calendar applet: Fix date format

  [ Michael Webster ]
  * xapp-status@cinnamon.org: Add proper style classes to the default theme, Fix some spacing issues in horizontal and vertical orientations, fix icon sizing, some general refactoring.
  * xapp-status@cinnamon.org: Use applet-box style class for individual icons.

  [ Clement Lefebvre ]
  * Configuration: Remove bluetooth@cinnamon.org from enabled-applets

  [ James Ross ]
  * window-list: fixups (#8894)

  [ Steve M ]
  * cs_info: Wrap labels (#8869)

  [ Michael Webster ]
  * xapp-status@cinnamon.org: clean up leftover style class  (removed in 5c87fd7f8d).

  [ claudiux ]
  * ExtensionCore.py: Add a sort by available update (#8902)

  [ Norbert Preining ]
  * cinnamon-launcher: Allow to disable user spices (#8873)

  [ Clement Lefebvre ]
  * cinnamon-launcher: Beautify dialog and msgids
  * GWL: Switch launch animation to scale

  [ claudiux ]
  * cinnamon-settings: add 'update' to --sort option available values (#8927)

  [ James Ross ]
  * dnd.js: add animation done callback support to placeholder (#8868)
  * extension.js: fix variable scope regression (#8930)

  [ Stephen Collins ]
  * settings.js: allow distributions to override individual settings keys (#8919)

  [ Michael Webster ]
  * network applet: Remove the rescan button, instead trigger a scan when the menu is opened.

  [ James Ross ]
  * menu-applet: don't show user-hidden categories
  * window-list: don't flash focused windows

  [ itzexor ]
  * util: add escapeRegExp utility function

  [ James Ross ]
  * menu-applet: escape user input before using in RegExp

  [ Lars Mueller ]
  * Fix: Handle GFileIcon file changes This monitors file changes for GFileIcon and updates the StIcon accordingly

  [ Michael Webster ]
  * cinnamon-global: Notify muffin when the ui_scale changes, so window decorations and pointer size can be updated properly.
  * xapp-status applet: Remove an invalid comment argument.
  * js: Use global.ui_scale instead of checking the theme context for the scale factor.

  [ hipoloco ]
  * Apply HighContrast theme in WM (#8939)

  [ itzexor ]
  * panel-launchers: add support for add/move without reload
  * dnd/applets: don't use two names for one thing
  * panel-launchers: rework DND

  [ Eli Schwartz ]
  * Cinnamon-0.1.typelib: do not link to libnm typelib

  [ Michael Webster ]
  * panel-launcher applet: Add a slight transition effect for dragging items.

  [ Stephen Collins ]
  * cs_calendar.py Port the remaining date/time settings to python

  [ Michael Webster ]
  * accessibility settings: Add some padding around dependency labels.

  [ Clement Lefebvre ]
  * Python: Switch cgi.escape to html.escape

  [ hipoloco ]
  * a11y applet: don't display "Screen reader" button when gnome-orca is not installed (#8954)

  [ OneQuid ]
  * Dialog: Treat Escape key as Gtk.Response.NO (#8960)

  [ Clement Lefebvre ]
  * l10n: Update POT
  * l10n: Generate files

  [ Michael Webster ]
  * messageTray.js: remove an old hack that was messing up notification timeout accounting.
  * window-list applet: Remove window-actor check during window-monitor- changed.
  * messageTray.js: Cancel a timeout instead of just zeroing out the id, this can cause the callback to issue well after the notification has been destroyed.

  [ James Ross ]
  * window-list: proper fix for incorrect flashing (#8968)

  [ Stephen Collins ]
  * cs_themes.py: speed up loading of the icon for the icon theme widget

  [ Garry Filakhtov ]
  * Make the libnm library optional (#8617)

  [ Michael Webster ]
  * Panel: Configurable size per zone for text and symbolic icons (#8971)

  [ okaestne ]
  * cinnamon-settings.py: fix ctrl+c
  * cinnamon-settings.py: remove unused vars and formatting
  * ExtensionCore.py: replace GtkDialog with GtkInfoBar for outdated cache
  * ExtensionCore.py: generate download spices tab on demand

  [ Eli Schwartz ]
  * Revert the incorrect and problematic addition of overlinking in Cinnamon-0.1.gir (#8972)

  [ James Ross ]
  * sound-applet: don't error when missing input or output
  * sound-applet: dbus fixes
  * sound-applet: clean up callbacks
  * sound-applet: default next/previous controls to unsupported
  * sound-applet: consume event properly on button press

  [ Michael Webster ]
  * sound applet: Remove call to nonexistent method.

  [ Stephen Collins ]
  * cinnamon-settings: migrate to using python-xapp widgets and remove dups

  [ Michael Webster ]
  * control: Add python3-xapp dependency.
  * SettingsWidgets.py: Re-apply 9cc821bd9793 due to refactoring from python-xapp move (be7fd9da917322).
  * cs_calendar.py: Use python3.5-compatible api for localizing time for lmde3.

  [ Eli Schwartz ]
  * fix regression in ExtensionCore not working when updates are available (#8964)

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 22 Nov 2019 21:18:09 +0000

cinnamon (4.2.3) tina; urgency=medium

  [ Clement Lefebvre ]
  * l10n: Generate files

  [ Michael Webster ]
  * cinnamon-app-system.c: Fix a leak, nothing was freeing the GPtrArrays for collecting apps with duplicate names.  On the other hand, the arrays don't need to free their elements (CinnamonApps).

  [ dependabot[bot] ]
  * build(deps): bump lodash from 4.17.11 to 4.17.14 (#8713)

  [ Clement Lefebvre ]
  * Privacy settings: Add missing import
  * Sound settings: Make the module slightly taller

  [ James Ross ]
  * menu applet: only update label on orientation change (#8731)

  [ Clement Lefebvre ]
  * Revert "IndicatorManager: Clean up (#8004)"

  [ Michael Webster ]
  * cinnamon-window-tracker: Add a window-app-changed signal to notify the window list when a window<->app association changes.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 25 Jul 2019 10:24:56 +0200

cinnamon (4.2.2) tina; urgency=medium

  [ Clement Lefebvre ]
  * Main: Don't warn about 2D in live mode
  * Main: Rephrase 2D warning and link to driver manager
  * l10n: Update POT

  [ Germán Franco ]
  * Stop using deprecated function Settings.prototpe.bindProperty (#8705)

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 11 Jul 2019 15:55:44 +0200

cinnamon (4.2.1) tina; urgency=medium

  [ Clement Lefebvre ]
  * l10n: Don't translate vsync methods

  [ Michael Webster ]
  * cs_themes: Set a more realistic lower and upper limits for the scrollbar size slider, and fix its page size to 2 (it defaulted to 10, which is too course).
  * cs_power.py: Create UPower.DeviceLevel if it doesn't exist (needed for upower < 0.99.0).
  * cs_themes.py: Reword scrollbar click behavior setting slightly.

  [ Clement Lefebvre ]
  * l10n: Update POT

  [ Simon Brown ]
  * grouped-window-list: setStyleOptions still getting called if labels on (#8689)

  [ Clement Lefebvre ]
  * Privacy settings: Add support for connectivity checking (#8693)
  * l10n: Update POT
  * Privacy settings: Specify GI version

  [ Germán Franco ]
  * sound applet: show seekbar for Audacious (#8696)

  [ Noam ]
  * Fixed checking whether device is already set. (#8679)

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 10 Jul 2019 11:49:55 +0200

cinnamon (4.2.0) tina; urgency=medium

  [ NikoKrause ]
  * Add printers applet (#8485)

  [ Simon Brown ]
  * cinnamon-app: initialise a variable (#8486)
  * cinnamon-doc-system: tidyup of recents (#8487)
  * st-texture-cache: use a slightly more efficient linked list method (#8488)

  [ Eli Schwartz ]
  * PIL: remove unnnecessary version check and code fork (#8496)

  [ Jason Hicks ]
  * Make the sync method configurable (#8481)
  * cinnamon-doc-system: Switch back to GSList (#8502)

  [ Simon Brown ]
  * st-icon: quiet a build warning (#8501)

  [ Jason Hicks ]
  * Replace some GLib wrappers (#8443)
  * Improve property access performance (#8245)
  * Reduce public function invocation in C code for simple getters with no logic (#8395)
  *  wm: Apply window effects to clones (#8497)
  * layout: Misc. clean up (#8465)

  [ JosephMcc ]
  * cinnamon-settings-ui: Remove the hack to center the stack switcher (#8520)

  [ Michael Webster ]
  * workspace-switcher applet: Fix updating the focus window position and size at startup, and ensure the focus window starts out on top of the graph button.

  [ Cobinja ]
  * Fix: update the input regions when going fullscreen (#8523)

  [ Jason ]
  * runDialog: Fix run dialog not opening when cursor is hovering over a panel
  * messageTray: Call updateRegions after notifications complete their effect

  [ Clement Lefebvre ]
  * SettingsWidgets: Remove obsolete classes

  [ JosephMcc ]
  * SettingsWidgets: Convert to use the new style used in xapps (#8577)

  [ Michael Webster ]
  * cinnamon-settings.py: Improve bring_selection_into_view  calculations.

  [ Jason Hicks ]
  * windowEffects: Fix opacity during the close effect, stacking during the minimize effect (#8596)
  * layout: Ensure regions update after the keyboard is hidden (#8585)
  * overview: Fix some thumbnails not appearing (#8594)
  * st-label: Move St-specific shadow processing out of the paint vfunc (#8588)
  * layoutManager: Always update regions when untracking an actor (#8601)

  [ Clement Lefebvre ]
  * window-list: Fix skip_taskbar call on metawindow
  * Revert "runDialog: Fix run dialog not opening when cursor is hovering over a panel"
  * Revert rect caching and obstructed windows optimizations (#8606)

  [ dependabot[bot] ]
  * build(deps): bump js-yaml from 3.12.0 to 3.13.1 (#8610)

  [ Jason Hicks ]
  * git ignore auto-generated files (#8586)
  * issue template: Request info about daily builds PPA usage (#8605)
  * Update vulnerable NPM dependencies (#8614)

  [ Clement Lefebvre ]
  * Change onscreen keyboard icon to input-keyboard

  [ BeatLink ]
  * Remove All Caps from default workspace naming (#8513)

  [ dilinger ]
  * cinnamon-settings-users.py: update symlink vulnerability fix (#8515)

  [ claudiux ]
  * Consider the "last-edited" field as integer even when enclosed in quotation marks. (#8459)

  [ Cobinja ]
  * Fix: update the input regions when going fullscreen (#8523)

  [ Jason ]
  * messageTray: Call updateRegions after notifications complete their effect

  [ Jason Hicks ]
  * layoutManager: Always update regions when untracking an actor

  [ Clement Lefebvre ]
  * Revert layout.js optimizations (#8624)

  [ JosephMcc ]
  * Revert some changes to fix icon and text shadow issues on the panel (#8630)

  [ Clement Lefebvre ]
  * Notifications: Small fixes

  [ montagdude ]
  * Use ConsoleKit instead of old upower for suspend/hibernate (cs_power.py) (#8438)

  [ Stephen Collins ]
  * Workspace switcher applet settings: add tooltip with informative note (#8524)

  [ Jason Hicks ]
  * overview: Fix some thumbnails not appearing (#8594)

  [ Clement Lefebvre ]
  * cinnamon2d: Remove CLUTTER_PAINT=disable-clipped-redraws

  [ Odyseus ]
  * Xlets removal confirmation dialogs (#8636)

  [ Michael Webster ]
  * Add a utility script for accessing cinnamon's dbus methods from a terminal (#8628)

  [ Germán Franco ]
  * Ripples: use St.Widget instead of St.BoxLayout (#8640)
  * Fix misplaced windows in overview

  [ Michael Webster ]
  * st-theme-node.c: Allow parsing of 'symbolic' (and -warning, -error, and -success) as a color.
  * spacer applet: Outline applet during panel edit mode to make spacers more apparent when arranging panel items.
  * appsys: When processing apps in the menu tree, watch for and de- (#8550)

  [ Clement Lefebvre ]
  * l10n: Update POT
  * l10n: Generate additional files

  [ Michael Webster ]
  * runDialog.js: Go back to using the original spawnCommandLineAsync, as well as the original code using it in runDialog.

  [ Simon Brown ]
  * modemManager: fix cjs warning (#8667)

  [ James Ross ]
  * "Peek" panel for 1.5 seconds when highlighted (#8659)

  [ Germán Franco ]
  * Notifications applet: proper i18n of plurals (#8645)

  [ Simon Brown ]
  * st: pass framebuffer parameter to avoid excess call to get_draw_framebuffer (#8590)

  [ Gabriel Medina Pegoraro ]
  * cinnamon-settings: Use global proxy settings when available (#8589)

  [ Simon Brown ]
  * st: Move processing after early returns where possible (#8576)

  [ pwfrank ]
  * Workspace switcher: shade labels of empty workspaces in simple button mode (#8555)

  [ Sean Adams ]
  * power@cinnamon.org: improved support for multiple batteries (#8400)

  [ Simon Brown ]
  * Systray: Indicator alignment fix (#8208)

  [ claudiux ]
  * Cinnamon Settings: Adding capability to open specific tab and choose sort type (#8333)

  [ Clement Lefebvre ]
  * Menu: Tune search results

  [ LingMan ]
  * Cinnamon Settings: Fix search for locales with a non-Latin character set (#8674)

  [ Clement Lefebvre ]
  * cinnamon-xlet-makepot: Switch to subprocess module

  [ Michael Webster ]
  * theme settings: Add capability to override some scrollbar-related Gtk settings. (#8547)

  [ Clement Lefebvre ]
  * l10n: Update POT
  * Add files/usr/share/applications/cinnamon-settings-online-accounts.desktop

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 29 Jun 2019 15:38:01 +0200

cinnamon (4.0.10) unstable; urgency=medium

  [ Michael Webster ]
  * cinnamon-desktop-editor.py: Check for item_path before modifying it.

  [ Jason Hicks ]
  * IndicatorManager: Clean up (#8004)
  * [Next] perf: Add a simple benchmark utility for prototype methods (#8081)
  * Refactor spawnCommandLineAsync for stdout/stderr output (#8130)

  [ NikoKrause ]
  * Preferred Applications: Add entry for "PDF viewer" (#8133)

  [ Jason Hicks ]
  * recorder: Use clutter_stage_capture instead of cogl's read_pixels  (#8159)

  [ Simon Brown ]
  * st-entry: remove an explicit destroy (#8215)
  * st-icon: remove unused size values (#8218)
  * st-texture-cache: Use right event to detect file changes (#8219)

  [ Jason Hicks ]
  * gwl: Fix progress not fully resetting when the last window from a group is closed (#8160)

  [ MTzukanov ]
  * cs_keyboard.py:Fix category search in layout tab (#8184)

  [ Mikhail Bodrov ]
  * Use push instead of unshift for array (#8193)

  [ Jason Hicks ]
  * misc/util: Fix typo in tryFn function (#8201)

  [ Simon Brown ]
  * Default theme: document css used by symbolic icons (#8205)
  * st-bin: Destroy child in ClutterActor:destroy vfunc (#8220)

  [ Jason Hicks ]
  * gwl: Fix incorrect window accounting in multi-workspace cases (#8192)

  [ Stephen Collins ]
  * Menu applet settings: move the favbox height setting (#8291)

  [ Jason Hicks ]
  * JsonSettingsWidgets: Fix TypeError (#8286)

  [ Germán Franco ]
  * Overview: don't close on key release just after opening from keyboard (#8249)
  * settings.js: Add a method to get the default value from settings-schema (#8292)

  [ Clement Lefebvre ]
  * Backgrounds settings: Rework bg colors

  [ Jason Hicks ]
  * Use icon-changed signal
  * runDialog: Always close on loss of key focus (#8306)
  * gwl: Average the progress of all windows belonging to an app group button (#8161)
  * gwl: Fix thumbnails not populating the menu when opened by click (#8302)
  * gwl: Simplify AppList.prototype.windowAdded (#8148)

  [ Simon Brown ]
  * st-theme-node: fix text shadow 'none' to correctly draw no shadow (#8216)
  * st-icon: create shadow pipeline only at paint (#8238)
  * st-drawing-area: use pipeline_copy (#8241)

  [ Clement Lefebvre ]
  * Simplify DocSystem/DocInfo (#8278)
  * Backport appsys changes (#8295)

  [ James Ross ]
  * Various menu improvements (#8297)

  [ Clement Lefebvre ]
  * Menu applet: Don't call recalc_height() in refreshFavs()

  [ Jason Hicks ]
  * st-cogl-wrapper: Get context from Clutter once (#8325)
  * st-private: Remove redundant calculations (#8323)
  * st-drawing-area: Call cogl_pipeline_new when needed (#8324)

  [ Germán Franco ]
  * Stop using deprecated bindProperty method (#8318)

  [ Jason Hicks ]
  * cinnamon-app: Fix function call in cinnamon_app_launch (#8336)

  [ Clement Lefebvre ]
  * Revert "Backport appsys changes (#8295)"
  * Simplify Appsys (#8367)

  [ Jason Hicks ]
  * appsys: a couple changes for more optimal muffin usage (#8369)
  * gwl: Fix icon-changed handler
  * cinnamon-app: Get a fallback icon from Muffin for some window-backed apps (#8151)
  * gwl: Fix the thumbnail menu not closing on leave after closing a window (#8376)

  [ ghostslayer989 ]
  * [ImgBot] Optimize images (#8379)

  [ Jason Hicks ]
  * cinnamon-app: Simplify icon retrieval for window-backed apps (#8370)
  * windowManager: Cache settings, various clean up (#8290)

  [ James Ross ]
  * all/python: use setproctitle (#8403)

  [ Clement Lefebvre ]
  * WindowManager: Reduce the number of signal listeners (#8399)

  [ Simon Brown ]
  * gwl: apply style class to the thumbnail menu (#8096)

  [ Jason Hicks ]
  * window-list: Fix MetaWindowActor TypeError (#8445)

  [ Simon Brown ]
  * quiet some ISO C90 compile warnings (#8435)
  * remove some unused variables (#8429)

  [ Damien Simonin Feugas ]
  * Slideshow applet: Show current file name in popupmenu (#8003)

  [ Jason Hicks ]
  * Replace MetaShapedTexture usage with MetaWindowActor (#8269)
  * Add compatibility for the obscured window optimization in Muffin (#8300)

  [ Stephen Collins ]
  * Spices.py: fix a bug causing gwl to be removed when wl is disabled (#8309)

  [ James Ross ]
  * Menu applet: Various improvements (#8314)
  * General optimizations (#8351)
  * menu applet: fix last eslint warning (#8396)
  * Melange/all: huge style refactor (#8447)

  [ Mirko Girgenti ]
  *  FIX: https://github.com/linuxmint/cinnamon-settings-daemon/issues/192 (#8145)

  [ Simon Brown ]
  * st-scroll-view: fix a couple of fall-through situations (#8431)

  [ Stephen Collins ]
  * Workspace switcher applet: various improvements to the graph style (#8352)

  [ Jason Hicks ]
  * cinnamon-global: Only setup paint callbacks for performance monitoring when enabled (#8337)

  [ Stephen Collins ]
  * xlet settings list widget: some fixes and improvements to the tree (#8311)
  * sound chooser widget: add all mimetypes option and improve default (#8312)

  [ Nicolai Weitkemper ]
  * Add tooltip to window focus behaviour (#8247)

  [ Jason Hicks ]
  * st: Move allocation calls out of paint vfuncs (#8326)

  [ Stephen Collins ]
  * Spices.py: fix disabling of desklets and extensions (#8466)

  [ James Ross ]
  * layout.js: fix typo (#8468)

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 28 Mar 2019 11:10:59 +0000

cinnamon (4.0.9) tessa; urgency=medium

  [ Michael Webster ]
  * menu/desktop editor: Run update-desktop-database on the user's applications folder when modifying a desktop entry.

  [ Jason Hicks ]
  * window-list: Prevent _addWindow from getting called before windows finish mapping (#8180)
  * PopupSubMenu: Set sourceActor active before closing menu (#8242)

  [ Simon Brown ]
  * st-private: Don't try to create shadow for empty texture (#8217)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 08 Jan 2019 16:38:19 +0000

cinnamon (4.0.8) tessa; urgency=medium

  * Cinnamon Settings: Make directly launched modules feel like standalone apps (#8146)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 17 Dec 2018 11:30:52 +0000

cinnamon (4.0.7) tessa; urgency=medium

  [ Clement Lefebvre ]
  * GWL: Fix blurry logout/shutdown dialog icon
  * RunDialog: Fix pkexec support

  [ Jason Hicks ]
  * gwl: Fix incorrect app group button widths on close with labels enabled (#8137)

  [ Clement Lefebvre ]
  * GWL: Launch new instances on Shift+Click
  * cinnamon-settings: Fix if->elif statement

  [ Steve M ]
  * Stock theme - fix expo workspace entry not expanding to fit scaled fonts (#8142)

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 15 Dec 2018 13:59:20 +0000

cinnamon (4.0.6) tessa; urgency=medium

  [ Michael Webster ]
  * cs_default.py: Improve heuristic used to find calculator programs.
  * cd_keyboard.py: Escape the accel label when setting the markup for the shortcut conflict-resolution dialog.
  * cs_fonts.py: Rename title to 'Font Selection' so it doesn't conflict with the font viewer (also called 'Fonts').

  [ Clement Lefebvre ]
  * l10n: Regenerate cs_fonts desktop file

  [ Jason Hicks ]
  * gwl: Always persist pinned apps' positioning after drag, fix duplicate thumbnails on init in vertical menu orientation (#8115)

  [ NikoKrause ]
  * menu-applet: fix broken option `Open menu on hover` (#8117)

  [ Jason Hicks ]
  * gwl: Fix the thumbnail menu not closing when using Super + # keys (#8121)
  * gwl: Always check the skip-taskbar hint (#8126)
  * window-list: Fix icons not appearing for some apps (#8123)

  [ NikoKrause ]
  * gwl: add missing icons for libreoffice actions (#8127)

  [ Jason Hicks ]
  * gwl: Only use notify::icon signal for un-grouped apps (#8113)
  * gwl: Add support for dragging files to windows from the thumbnail menu (#8118)
  * gwl: Fix a couple ungrouped mode bugs, fix thumbnail menu positioning on window add/remove (#8120)
  * gwl: Fix DND ops originating from menu items leaving large gaps (#8125)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 11 Dec 2018 11:14:18 +0000

cinnamon (4.0.5) tessa; urgency=medium

  * Revert "gwl: Open new windows by holding ctrl and left clicking (#8103)"
  * gwl: Open new windows by holding ctrl and left clicking

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 06 Dec 2018 15:17:14 +0000

cinnamon (4.0.4) tessa; urgency=medium

  [ Clement Lefebvre ]
  * Revert "Panel settings: Move symbolic setting to customize section"

  [ Leigh Scott ]
  * Update muffin minimum required version (#8076)

  [ Michael Webster ]
  * grouped window list: appGroup.js: account for the desktop scale factor when determining window list item widths

  [ NikoKrause ]
  * menu-applet: fix vanishing system buttons (#8107)

  [ Clement Lefebvre ]
  * Settings: Fix mintlocale-im launcher

  [ NikoKrause ]
  * fix broken slideshow applet (#8099)

  [ James Ross ]
  * AppletManager: perform _removeAppletFromPanel on idle (#8101)

  [ Jason Hicks ]
  * utils: Simplify URL regex to only support one layer of parentheses (#8079)
  * gwl: Fix the drag actor being too big in high DPI (#8098)
  * gwl: Fix spacing between icons and labels (#8091)
  * gwl: Fix icon alignment in left oriented panels (#8084)
  * gwl: Translate preferences context menu item (#8086)
  * gwl: Speed up initialization (#8092)

  [ Clement Lefebvre ]
  * Xlet settings: Fix UUID filtering
  * Adjust the default look of Cinnamon 4.0 (#8108)

  [ Jason Hicks ]
  * gwl: Fix unresponsive window dialog appearing when closing windows with middle click (#8109)
  * gwl: Open new windows by holding ctrl and left clicking (#8103)

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 06 Dec 2018 13:24:54 +0000

cinnamon (4.0.3) tessa; urgency=medium

  [ Michael Webster ]
  * cinnamon-settings.py: Don't animate stack transitions when launching directly to a sidepage.

  [ Clement Lefebvre ]
  * l10n: Simplify msgids in gwl applet
  * l10n: Update POT

  [ Jason Hicks ]
  * extension: Prevent loading xlets that use imports.gi.NMClient that have no 4.0 directory (#8050)

  [ Germán Franco ]
  * gwl: Pin badge position to icon corner (#8040)

  [ Jason Hicks ]
  * gwl: Fix focus change (#8045)

  [ Simon Brown ]
  * grouped-window-list: ensure thumbnails are same size in hidpi (#8041)

  [ James Ross ]
  * panel.js: be more consistent about closing menu (#8047)
  * PopupMenu: update position and fix size before tweening out (#8046)

  [ Simon Brown ]
  * systray: stop indicator icons coming up oversize (#8051)

  [ Michael Webster ]
  * panel-launcher applet: Make sure the icon's aspect ratio is correct, even if that means using a non-optimal size.
  * sound applet: Use player Identity property for labels if available.
  * menu applet: Initialize the favBoxIter when the menu opens, since we try to access it when closing the menu, whether we've interacted with favorites or not (which is ordinarily when the iterator would first be populated).
  * sound applet: Capitalize the player name only when the bus name is used to generate it, and convert to lowercase when needed for matching our support lists.
  * sound applet: Use string.capitalize() for fixing up the player name.

  [ brownsr ]
  * panel launcher: ensure icon aspect is correct in any panel extends eda3e20d6b530169c625eb00977d8f5255ad4141

  [ Jason Hicks ]
  * Make transitions between restarts seamless

  [ Michael Webster ]
  * panel/theme: Use just a single relative percentage for sizing symbolic icons. (#8055)

  [ Clement Lefebvre ]
  * Panel settings: Move symbolic setting to customize section

  [ Jason Hicks ]
  * popupMenu: Avoid unnecessary relayouts (#8065)
  * gwl: Improve thumbnail menu input and button label handling (#8057)
  * gwl: Round the actor transformed position (#8067)

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 27 Nov 2018 17:15:50 +0000

cinnamon (4.0.2) tessa; urgency=medium

  [ Leigh Scott ]
  * Network: Port to libnm (#7699)

  [ NikoKrause ]
  * network-applet: use new network-wireless-signal-secure icons (#8022)
  * menu-applet: several fixes (#8021)

  [ James Ross ]
  * menu applet places hover fixup/forEach cleanup (#8023)

  [ NikoKrause ]
  * systray-applet: more spacing between icons (#8006)
  * gwl: use generic icon names (#8027)

  [ Michael Webster ]
  * network applet: Keep track of unmanaged networks (and listen to their (#7628)

  [ Jason Hicks ]
  * st-texture-cache: Don't add NULL textures to cache (#8036)
  * gwl: Improve thumbnail scaling for lower resolutions (#8035)

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 19 Nov 2018 10:00:33 +0000

cinnamon (4.0.1) tessa; urgency=medium

  [ Clement Lefebvre ]
  * Menu: Add style classes for new objects and fix motion on hover
  * Systray: Fix icon size in HiDPI when zone icon size changes
  * Panel settings: Call the zones appropriately
  * Packaging: Fixed breaks/replaces/recommends
  * Packaging: Relax dependencies
  * Menu: Change default logo to cinnamon-symbolic

  [ Michael Webster ]
  * cinnamon-desktop-editor.py: Allow custom paths for icons.

  [ Jason Hicks ]
  * st-polygon: Fix memory leak during picking (#7983)

  [ IAmTheRedSpy ]
  * Reduce word duplication in README.rst (#7982)

  [ Jason Hicks ]
  * panel: Preserve logic to only emit icon-size-changed on actual change, while exempting symbolic changes (#7981)

  [ Michael Webster ]
  * cs_panel.py: Re-arrange and group new panel settings.

  [ Clement Lefebvre ]
  * l10n: Update POT

  [ Jason Hicks ]
  * panel: Fix icon size, panel height defaults (#7984)

  [ Clement Lefebvre ]
  * Notifications: Fix symbolic icons rendering as fullcolor

  [ JosephMcc ]
  * applet-separator: Better support vertical panels (#8013)

  [ NikoKrause ]
  * show-desktop applet: use symbolic icon for "show desklets" action (#8001)

  [ Jason Hicks ]
  * panel: Fix invalid object access case (#7997)
  * cinnamonDBus: Handle stale xlet settings (#7996)

  [ Clement Lefebvre ]
  * Menu applet: Ignore keywords/descriptions/ids when name is an exact match

  [ Michael Webster ]
  * st-texture-cache.c: Don't use a GIcon with fallback names.

  [ James Ross ]
  * melange: clean up a bunch of deprecation warnings (#8015)

  [ Clement Lefebvre ]
  * Menu applet: Go back to previous layout
  * Menu applet: Fix height

  [ Jason Hicks ]
  * gwl: Give the number label badge styling, misc. clean up (#7986)

  [ Clement Lefebvre ]
  * Menu: Fix camelCase in previous menu commit

  [ James Ross ]
  * melange/lookingGlass: better object inspection (#7978)

  [ Germán Franco ]
  * gwl: Remove unnecesary styles that make themes look bad by default (#8005)

  [ Jason Hicks ]
  * indicatorManager: Fix icons not appearing (#7999)

  [ Germán Franco ]
  * st-theme-node: Fix border color blending (#7990)

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 12 Nov 2018 15:01:24 +0000

cinnamon (4.0.0) tessa; urgency=medium

  [ Michael Webster ]
  * cs_sound.py: Gracefully handle input streams that don't have a name, ignore streams created by sound effects and a11y utilities, and don't add the same source id more than once.
  * cs_themes.py: Add xdg user data dir to theme search paths, search all system data dirs.  This corresponds to the same behavior as code that actually loads these themes in Gtk, Cinnamon.
  * menu applet: Make sure the menu is fully reset when the search entry is cleared (thru any means) and don't let the favorites Del key handler steal keystrokes from an active search.

  [ NikoKrause ]
  * Translation for "Users and Groups" policy (#7763)

  [ Jason Hicks ]
  * popupMenu: Fix undefined _delegate property warning (#7706)

  [ Michael Webster ]
  * power: Show primitive battery level for devices that don't support percentages.
  * cs_power.py: Use symbolic icons for battery status.
  * cs_power.py: Align the new peripheral battery status at the end of the row, and do the same for the charge status of battery devices for consistency.
  * power applet/settings: Lock keyboard backlight changes to only valid increments.
  * power applet: override scroll handler for the brightness sliders, to use the step value obtained from csd-power (if available.)
  * power applet: Don't attempt to send csd-power a brightness over 100%.

  [ Jason Hicks ]
  * deskletManager: Fix launcher-list gsetting resetting on desklet snap grid width change
  * Issue template: Start requesting logs

  [ Clement Lefebvre ]
  * Spices.py: Fix connection to server with certain connexions
  * Keyboard applet: Hide when Fcitx is running

  [ Jason Hicks ]
  * Migrate to private Clutter and Cogl libraries (#7771)
  * Fix incorrect _updatePanelVisibility documentation (#7829)

  [ Germán Franco ]
  * Fix typo (#7842)

  [ Abdur-Rahmaan Janhangeer ]
  * import change (#7867)

  [ Jason Hicks ]
  * ChooserButtonWidgets.py: Handle GLib.Error (#7820)
  * signalManager: Migrate to ES2015 class, improve code readability
  * Add a method to GObject.Object.prototype that checks if it is finalized
  * tweener: Fix invalid object access errors (#7863)
  * Fix various cases of invalid object access (#7870)
  * systray: Fix invalid access errors, implement a reloading API for xlets (#7869)
  * DND, tweener: Fix invalid object access errors (#7873)
  * environment: Override Clutter.Actor.prototype.destroy and add is_finalized check (#7875)
  * tweener: Check if instance of GObject.Object before calling is_finalized (#7874)
  * window overview, menu applet: Fix invalid object access cases (#7880)

  [ Germán Franco ]
  * Update calculator search provider example (#7879)

  [ Abdur-Rahmaan Janhangeer ]
  * string formatting - line 112 (#7881)
  * migrated print to py3 - line 19 (#7888)

  [ Michael Webster ]
  * cs_power.py: Add "Lock Screen" to the lid close action combobox.

  [ Stephen Collins ]
  * Spices.py: don't set permissions on the source files when installing from a local folder via cinnamon-install-spice (#7913)
  * settings.js: fix updgrade so that settings don't get overwritten by the default (#7915)

  [ Jason Hicks ]
  * Move restart handling to Muffin, reload theme on video memory purged errors (#7908)
  * applet, desklet, popupMenu: Migrate to class syntax (#7523)

  [ Fabien LEFEBVRE ]
  * Update applet.js (#7905)

  [ Germán Franco ]
  * Hot corners: don't block a click after another click (#7923)
  * Hot corner: remove ripple tween before animating (#7936)

  [ James Ross ]
  * looking glass window tracker cleanup/fix (#7581)

  [ Jason Hicks ]
  * menu: Fix issues preventing the container children from rendering (#7900)

  [ James Ross ]
  * window-list: don't try to destroy clutter clone multiple times (#7883)

  [ Jason Hicks ]
  * window-list: Fix TypeError in _set_position (#7901)

  [ Germán Franco ]
  * Cinnamon Settings: Remove Gtk warnings (#7930)
  * Xlet Settings: remove Gtk warnings (#7932)
  * Don't lookup the monitor index (#7587)
  * Overview: Remove META_KEYBINDING_ACTION_PANEL_MAIN_MENU (#7911)

  [ Jason Hicks ]
  * StScrollView: Clean up gsettings on dispose (#7929)

  [ Germán Franco ]
  * Allow margins in panel tooltips too (#7551)
  * Sound applet: fix seeking not detected for not hardcoded players (#7589)

  [ Abdur-Rahmaan Janhangeer ]
  * migrated print to py3 - line 62 (#7889)

  [ mrmajik45 ]
  * [CodeFactor] Apply fixes (#7887)

  [ Abdur-Rahmaan Janhangeer ]
  * pep8ify - equals (#7877)

  [ Germán Franco ]
  * Remove unused bottomMonitor property (#7561)

  [ Mikhail Bodrov ]
  * Simplify getting timestamp in DebugTimers (#7570)

  [ Kevin West ]
  * inhibit applet: Display list of inhibiting programs (#7748)

  [ Mikhail Bodrov ]
  * Optimize parse params. Return defaults if params not passed (#7569)

  [ Isaac Carter ]
  * Fix 'Win' button issues in 'Alt + F2' dialog (#7619)

  [ Levi Bard ]
  * Menu applet: autoselect exact matches (#7395)

  [ Germán Franco ]
  * Menu applet: add support for theming opacity to greyed category icons (#7847)

  [ Jason Hicks ]
  * menu: Fix application items not rendering (#7938)

  [ Germán ]
  * Overview: Fix window close buttons offset
  * Overview: Add windows hover indicator
  * Overview: Better utilize the available space to maximize windows size
  * Overview: Code fixups

  [ Germán Franco ]
  * Overview: Replace Lang.bind with native bind and arrow functions
  * Overview: Use MetaButtonLayout to get side of close button
  * Overview: Fix close button flashing in the corner when opening
  * Overview: Keep keyboard focus on the last mouse-focused window
  * Overview: Improve open animation performance

  [ Germán ]
  * Overview: Style window close button hover state

  [ Germán Franco ]
  * Overview: Remove zoom-on-scroll feature

  [ Germán ]
  * Overview: Hidden windows appear with a zoom-in animation
  * Overview: Add left/right style class to the close button
  * Overview: Close if the last window is closed
  * Overview: Add empty placeholder
  * Overview: Smooth background shade appear/disappear
  * Overview: Respect animation effects settings
  * Overview: Exit with a click when there are no windows
  * Overview: Don't delay windows repositioning after closing a window
  * Overview: Unify window close code
  * Overview: Don't hijack workspace switching keybindings
  * Overview: Improve workspace switch swipe responsiveness
  * Overview: Windows added while in the overview do zoom-in animation

  [ Clement Lefebvre ]
  * CI: Fix apt segfault in LMDE3

  [ Michael Webster ]
  * window list applet: Don't display windows with skip-taskbar set.

  [ NikoKrause ]
  * notifications applet: new icons (#7947)

  [ claudiux ]
  * js/ui/panel.js - Delete annoying message in .xsession-errors (#7946)

  [ Germán Franco ]
  * params: don't return reference to defaults object, make a copy instead (#7942)

  [ Tuomo Syvänperä ]
  * Add setting to window-list applet for minimizing. (#7925)

  [ Michael Webster ]
  * windowManager.js: Update window dragging/tiling OSD message to reflect new capabilities in muffin.
  * KeybindingWidgets.py: Disallow keypad shortcuts without modifiers.
  * cs_desktop: use Nemo.DesktopPreferences widget
  * cs_windows.py: Update edge resistance label and tooltip to reflect changed functionality.

  [ Clement Lefebvre ]
  * Add a couple of keywords for cs_default and cs_startup

  [ Jackson Dearnley ]
  * cs_default.py: Add a SettingsWidget() for a default calculator application (#7957)

  [ Germán Franco ]
  * Alt-TAB: Don't bypass workspace switching restrictions (#7956)
  * Latest overview fixes (#7954)

  [ Stephen Collins ]
  * cinnamon-desktop-editor: use XApp.IconChooserDialog rather than the custom icon picker (#7969)

  [ Michael Webster ]
  * cs_screensaver.py: Remove screensaver selection page.

  [ Jason Hicks ]
  * Add grouped-window-list@cinnamon.org and related utilities
  * Add a gulpfile for xlet reloading on code change
  * Disable console.log lint restriction for gulpfile.js
  * Add misc/state.js to js/Makefile.am

  [ Clement Lefebvre ]
  * Panel: Replace panel-launchers/window-list with grouped-window-list
  * Panel: Re-order default applets (bluetooth - network - sound - clock)
  * Grouped window list: Pin Firefox, terminal, nemo.
  * modalDialog: Switch buttons

  [ Jason Hicks ]
  * Misc. clean-up
  * Remove Firefox bookmarks, history, and most visited
  * gulpfile: Clear the system xlet directory incase of file removal, add some sanity checks
  * Fix some Codacy issues
  * Add dedicated style classes, remove theme work-arounds
  * Add a specific focus pseudo class for Mint-Y
  * Always use symbolic icons in the context menu

  [ Germán Franco ]
  * window-list: Fix blurry icons in vertical mode

  [ Jason Hicks ]
  * Fix typo in each function
  * [WIP] Implement per-panel-zone icon sizes
  * Remove back slashes from gschema
  * applets: Update icon size on change
  * Don't allow float sizes
  * minor: make signal names more consistent
  * Implement IconApplet compatibility, let panels take care of handling icon size change on panel height change
  * gwl: Fix off-center icons on icon size change
  * gwl: Move icon spacing and transition duration options to panel page
  * gwl: Fix padding issues when labels are present
  * gwl: Set number display default to None
  * gwl: Make per-monitor window lists default
  * .pylintrc: Cut some slack on max branches, number of statements
  * Fix incorrect per-monitor windows on init
  * Don't remove focus styling on focused apps on window monitor change when only one instance is in use
  * Make sure window lists reload when different instances are added or removed
  * Refresh only windows on instances changed
  * Fix untranslated strings
  * Start checking the skip-taskbar hint, remove "Include all windows" option

  [ Clement Lefebvre ]
  * Panel: Disgregard panel height (and scaling) define in the theme
  * Panel settings: Small fixes
  * Panel: Fix icon scaling in systray/status
  * Fix systray icon size in HiDPI
  * Grouped-window-list: Close windows on middle-click
  * Grouped-window-list: Remove thumbnails icons
  * Grouped-window-list: Remove icon-padding pref
  * Grouped-window-list: Remove close-button-size
  * Grouped-window-list: Fix previous commit
  * Default panel sizes: 40px + 0/0/24px

  [ Jason Hicks ]
  * Don't allow panel sizes below 20
  * Fix invalid object error case
  * Make sure we remove the corresponding zone config for a panel that is removed
  * Also check panel height minimum in _getScaledPanelHeight
  * gwl: Fix thumbnails not updating on size change
  * gwl: Hide non-vital options under "advanced" toggles
  * Fix incorrect window accounting in AppList.prototype.refreshWindows
  * gwl: minor clean up
  * Make sure thumbnails are cleared when the last window of a pinned app is closed
  * panel: Cache icon size calculations, re-calculate on settings change
  * gwl: Remove thumbnail padding option, default to 3 * global.ui_scale

  [ Clement Lefebvre ]
  * Panel: Don't scale text

  [ Jason Hicks ]
  * Switch thumbnail size to a combobox, use Medium (6) default
  * Convert number display option to a toggle between off and on (smart)
  * Let themes control transition-duration

  [ Clement Lefebvre ]
  * Menu: Use gsettings keys for default icon and label

  [ Jason Hicks ]
  * gwl: Switch thumbnail timeout to use the configured value on menu open except when transitioning between menus, and on close
  * gwl: Make hover-peek option a combobox, add a fade-out delay
  * gwl: Remove advanced toggles
  * panel: Don't store all zone configurations in every panel
  * gwl: Fix thumbnail scaling in high-DPI mode
  * Fix invalid object access when deselecting the selection tool and toggling ctrl in Melange
  * Fix thumbnail menu key navigation
  * gwl: Make sure thumbnail window textures scale in high DPI
  * gwl: Fix off-center icons in high-DPI mode
  * gwl: padding logic clean up
  * gwl: When left click action cycles windows, revert to normal behavior when windows < 2
  * gwl: Default to auto-start option disabled
  * gwl: Shrink the thumbnail label container a bit to fit the close button
  * gwl: Give actors their own unique class names
  * gwl: Make sure the Preferences sub-menu is above Recent
  * Fix "Close others" option
  * gwl: Minor formatting clean up
  * state: Fix docs for gtk-doc
  * gwl: Prevent missing listener store errors and invalid object access errors when using "Close all" on an unpinned app
  * gwl: Add icons for desktop actions
  * gwl: Use the provided icon for non-action "New Window" entries
  * gwl: Add pin/unpin icons
  * gwl: Make pin/unpin icons less blurry

  [ NikoKrause ]
  * gwl: use key/value array for desktop actions (#7964)

  [ Jason Hicks ]
  * gwl: Minor style clean up
  * ui/applet: Remove duplicate setOrientation method
  * ui/applet: Make sure icon sizes reset on orientation change
  * panel: Fix applets loading in incorrect zones when re-adding a previously removed panel with applets
  * ui/applet: Fix applets not loading when re-adding a previously removed panel with applets
  * gwl: Fix the thumbnail menu not rendering after adding a new panel
  * gwl: Support dragging of unpinned apps
  * gwl: Check if a group has windows before refreshing thumbnails in acceptDrop
  * systray: Don't defer loading of icons
  * gwl: Move thumbnail timeout option next to on-click option
  * gwl: Remove remaining ITM references
  * ui/applet: Don't depend on data passed from applets
  * panel: Remove scaleMode
  * systray: Set icon size before re-display
  * gwl: Clarify alerts option

  [ Germán Franco ]
  * Some fixes to the new panel layout (#7967)

  [ Jason Hicks ]
  * menu: Wrap favorites in a scroll box, separate system buttons
  * menu: Fix key navigation
  * menu: Fix key navigation transition between favorites and system buttons
  * menu: Make sure the favorites scroll box scrolls with key navigation
  * gwl: Keep the drag actor contained within the applet area
  * gwl: Fix the drag actor sticking to the cursor
  * menu: Add user settings button
  * panel: Remove user@cinnamon.org from default enabled-applets
  * menu: Add switch-user button
  * gwl: Round thumbnail sizes
  * menu: Use the categories container instead of the monitor for the favorites scroll box height calculation
  * menu: Remove user button
  * menu: Make the menu shorter
  * gwl: Make sure the demands attention styling is removed when an app is closed
  * panel: Always re-adjust symbolics

  [ Stephen Collins ]
  * SettingsWidgets.py: use the new XApp.IconChooserDialog for icon choosers (#7973)
  * xlet-settings: add the ability for xlets to provide custom widgets for the settings window and add one to the settings example applet (#7977)

  [ Germán Franco ]
  * Menu applet: don't hardcode favorites button padding (#7582)

  [ Clement Lefebvre ]
  * Menu: Place system buttons beside the search field

  [ Jason Hicks ]
  * panel: Fix undefined height warning (#7979)

  [ Clement Lefebvre ]
  * Menu: Minor fixes
  * Menu: Fix system button size in HiDPI
  * Panel: Make symbolic icon size configurable
  * Menu: Don't hide other results when one if found by name
  * l10n: Update POT and additional files

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 04 Nov 2018 15:56:15 +0000

cinnamon (3.8.8) tara; urgency=medium

  [ Michael Webster ]
  * network applet: Initialize CinnamonNetworkApplet._updateFrequencySeconds before using in _periodicUpdateIcon.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 17 Jul 2018 09:41:21 +0200

cinnamon (3.8.7) tara; urgency=medium

  [ Michael Webster ]
  * spices: Remove support for installing/removing system-wide gsettings schemas.

  [ Matthias Gerstner ]
  * cinnamon-settings-users.py: fix symlink attack vulnerability

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 05 Jul 2018 11:45:59 +0200

cinnamon (3.8.6) tara; urgency=medium

  * Revert "network applet: Fix typo with showing access points in certain instances -"
  * Revert "network applet: show the actual active connection's signal strength"

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 24 Jun 2018 17:19:57 +0200

cinnamon (3.8.5) tara; urgency=medium

  [ David H. Gutteridge ]
  * Update po/README: provide a link to Launchpad (#7655)

  [ Michael Webster ]
  * cs_windows.py: have the 'auto-raise' setting only visible when supported focus modes are active.

  [ Clement Lefebvre ]
  * Revert "shell-embedded-window: change realize to map (#6965)"

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 22 Jun 2018 20:59:33 +0200

cinnamon (3.8.4) tara; urgency=medium

  [ Michael Webster ]
  * SettingsWidgets.py: strip pkexec from standalone module exec strings when checking for their existence.  Simplify the check as well.
  * st-theme-node-drawing,transition.c: initialize framebuffer early to check for error.
  * cs_startup.py: Don't lose 's' for delay time when editing and saving an entry.
  * tooltips.js: use ClutterActor's has-pointer property for timeout callback check.
  * network applet: Fix typo with showing access points in certain instances - caused by 319958fac2dd9347
  * cs_power.py: Eliminate redundant check for screen backlight.  It fails incorrectly.

  [ Clement Lefebvre ]
  * systray: Fix skype
  * Revert "network applet: Don't show unmanaged networks in the list."

  [ Michael Webster ]
  * cs_power.py: Display a keyboard backlight section on the brightness (#7621)

  [ Clement Lefebvre ]
  * l10n: Update POT file

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 08 Jun 2018 11:51:41 +0100

cinnamon (3.8.3) tara; urgency=medium

  [ NikoKrause ]
  * Use default icon names in Online Accounts (GOA) (#7559)
  * fix symbolic icons and delete obsolete (#7566)
  * Cinnamon theme: window-list progress improvements (#7562)

  [ Clement Lefebvre ]
  * Settings: Fix launching mintsources/mintdrivers/lightdm-settings

  [ Michael Webster ]
  * cs_startup.py: Always have delay widgets, but hide/show them depending on if there's a delay or not.

  [ Jason Hicks ]
  * extension: Fix inability to force xlet installs (#7571)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 21 May 2018 13:00:33 +0100

cinnamon (3.8.2) tara; urgency=medium

  [ Clement Lefebvre ]
  * Startup settings: Fix blurry icons
  * Startup settings: Fix using the wrong variable
  * Startup settings: Use icons in button box

  [ Michael Webster ]
  * Spices.py: Use https for spices downloads.

  [ Clement Lefebvre ]
  * Startup settings: Show delay units and only show delay when it's not 0
  * l10n: Update POT file

  [ Cobinja ]
  * Startup settings: Fix creation of autostart files

  [ Germán Franco ]
  * notificationDaemon: Fix fallback icon names (#7533)

  [ Jason Hicks ]
  *  Make the key binding setting for Show Desklets global (#7538)

  [ Clement Lefebvre ]
  * l10n: Rephrase a few msgids

  [ James Ross ]
  * Notification clearing on app focus + blacklist + limit (#7513)

  [ Michael Webster ]
  * cs_default: Don't print info before checking that it's valid.
  * menu applet: Wrong parent class for SystemButton (fixes focus stealing when hovering over system buttons.)

  [ Germán Franco ]
  * Fix window list previews position

  [ Stephen Collins ]
  * Spices.py: refactor downloading code for better error handling
  * Spices.py: fix file permissions durring install

  [ Michael Webster ]
  * Spices.py: Handle the cinnamon proxy better regardless of whether cinnamon is running or not.

  [ Fabio Fantoni ]
  * debian: now that python3 migration is completed remove python2
  * debian/control: increase deps version of muffin, cjs and cinnamon-desktop

  [ Germán Franco ]
  * popupMenu: fix menu cutoff during open/close animation (#7547)

  [ Stephen Collins ]
  * Fix some issues with the download refactoring in Spices.py (#7549)

  [ Arda Güler ]
  * Minor lang changes (#7554)

  [ Jason Hicks ]
  * fileUtils: Fix module exporter bug, fix line numbers in stack traces being incorrect (#7553)

  [ Germán Franco ]
  * Notification close policy (#7531)

  [ Michael Webster ]
  * chrome: Improve visibility conditions for panels and other chrome (#7552)

  [ Clement Lefebvre ]
  * l10n: Update POT file

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 06 May 2018 16:12:57 +0100

cinnamon (3.8.1) tara; urgency=medium

  [ Michael Webster ]
  * network applet: Disconnect all signals for NMDevice when our proxy gets destroyed. When the device became unavailable, we would connect to 'firmware-missing' to get notified when it was available again.  At some point, a change to networking caused the NMDevice to get destroyed rather than lingering for the firmware to 'return.'
  * st-label.c: remove the reference to our ClutterText when  it gets finalized during a Clutter.Actor.destroy() chain.

  [ NikoKrause ]
  * add symbolics cs-desklet and cs-backgrounds

  [ Michael Webster ]
  * network applet: Don't show unmanaged networks in the list.
  * network applet: refresh the panel icon more frequently when the menu is open.
  * network applet: show the actual active connection's signal strength in the AP list, rather than the strongest AP for a given ssid, which may not be the same thing.

  [ JosephMcc ]
  * cs_themes.py: Remove the setting for prefer-dark-themes (#7517)

  [ Germán Franco ]
  * Fix panel tooltips position with multiple monitors (#7503)
  * window-list: update icons on panel height/orientation changed (#7514)
  * Workspace switcher improvements (#7508)

  [ Clement Lefebvre ]
  * systray: Bail out if the plug window is gone

  [ Germán Franco ]
  * Allow colons in hot corners commands (#7528)
  * Remove exported variable warning (#7524)
  * Xlet settings: don't show a row for "generic" settings entries (#7526)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 01 May 2018 16:05:14 +0100

cinnamon (3.8.0) tara; urgency=medium

  [ Stephen Collins ]
  * debian/control: remove unneeded dep (#7073)
  * switch js doc gen scripts to python3 (#7066)
  * Port urgentwindow.py and check-for-missing.py to python3 (#7077)
  * cinnamon-settings-users: port to python3 (#7072)
  * port cinnamon-menu-editor and cinnamon-desktop-editor to python3 (#7074)
  * Fix cinnamon-desktop-editor import error (#7152)
  * move spices settings install schema scripts to /usr/bin, switch to python3 and clean up/simplify the schema installation code in Spices.py (#7063)
  * utils: port all to python3 (#7075)
  * port melange to python3 (#7154)

  [ Clement Lefebvre ]
  * Add dependency on python3-pyinotify

  [ Stephen Collins ]
  * launcher desklet: switch editor dialog to python3 and fix a warning (#7155)
  * screensaver lock dialog: use python3 instead of python2 (#7157)

  [ Clement Lefebvre ]
  * Simplify the look of the screensaver away message dialog
  * Melange: Add a margin in the log tab

  [ Simon Brown ]
  * st-private: Update shadow APIs for Cogl deprecations (#6931)

  [ Jason Hicks ]
  * Add eslint configuration (#7192)
  * overrides.js: Add Tweener patch from CJS
  * overrides.js: Add Signals patch from CJS
  * Refactor the extension system and add commonjs compatible module importation (#6878)
  * Fix issues related to Cinnamon running with cjs/mozjs52 (#7126)

  [ Michael Webster ]
  * debian/control: Remove gnome-dbg from cinnamon-dbg dependencies (no longer offered)

  [ Clement Lefebvre ]
  * Add CI configuration
  * CI: Set locale
  * CI: Install locales
  * CI: Fix locale generation in Debian

  [ Simon Brown ]
  * St: fix some cogl deprecations (#7206)
  * St: Use G_DEFINE_TYPE_WITH_PRIVATE() (#7200)
  * St: Drop vfuncs from StThemeNodeTransition (#7201)
  * shell-tray-manager: Disconnect theme_widget signals on finalize (#6956)
  * shell-embedded-window: change realize to map (#6965)
  * magnifier: remove a run time warning (#7213)
  * dnd: declare some js variables to avoid warning (#7216)
  * main: avoid a run time warning (#7214)

  [ Stephen Collins ]
  * Allow column options in the xlet settings list widget (#7040)

  [ Leigh Scott ]
  * Fix some depreciation warnings (#7170)

  [ Stephen Collins ]
  * Spices: Fix update all button not updating correctly when updates are installed (#7163)

  [ Jason Hicks ]
  * windows-quick-list: Fix icon allocation warnings (#7164)

  [ Jusix ]
  * sound applet middle click mute refinement (#7172)

  [ icarter09 ]
  * dbusMenu.js: Formatted code to allow for better readability.  (#7044)

  [ Clement Lefebvre ]
  * Titlebar button layout: Stop using org.cinnamon.muffin button-layout
  * Packaging: Depend on libcanberra-pulse
  * Sound: Make maximum sound volume configurable (#7238)
  * Sound applet: Repaint the sound volume bar when max sound vol changes.

  [ Mikhail Bodrov ]
  * Remove needless check in compareNew (#7241)

  [ Clement Lefebvre ]
  * Theme settings: Restrict metacity selection to metacity-3 themes.
  * Speed up windows mapping (#7251)

  [ Germán Franco ]
  * Power applet: truly hide label when there are no devices (#7246)

  [ Jason Hicks ]
  * dnd: Fix scope warning (#7233)

  [ itzexor ]
  * popupMenu.js: PopupSubMenu: add prototype method closeAfterUnmap (#7190)

  [ NikoKrause ]
  * menu-applet: fix dnd cursor icon (#7253)

  [ Clement Lefebvre ]
  * Sounds Settings: Rename Effects tab
  * Sound applet: Fix control buttons being squashed.
  * Sound applet: Don't show player launcher when the option to control players is disabled.
  * Sound applet: Next/Previous track on Scroll Right/Left
  * Sound applet: Add a setting to keep aspect ratio

  [ Michael Webster ]
  * cinnamon-app: Add cinnamon_app_create_icon_texture_for_window - allows supplying a MetaWindow to more correctly retrieve the correct icon.
  * cinnamon-app.c: Revert cinnamon_app_create_icon_texture to work as it did prior to 8d7a8755352a20d21efc001.  The behavior of the new method (cinnamon_app_create_icon_texture_for_window) is unchanged.

  [ JosephMcc ]
  * Fix a couple visual issues in Melange (#7288)

  [ schachmat ]
  * Prevent users from editing locked settings (#7260)

  [ JosephMcc ]
  * cs-sound: Fix the width of the amplification slider (#7280)
  * panel-launchers: Set the default icon size to 22 (#7276)
  * cinnamon-settings-info: Make some labels selectable (#7275)
  * window-animations: Make the animations a bit less drastic (#7274)

  [ Simon Brown ]
  * cinnamon-app-system: various minor cleanups, dead code removal etc. (#6948)

  [ Abdous Kamel ]
  *  Improving a piece of code in cinnamon-settings.py (#7019)

  [ Björn Esser ]
  * cinnamon-settings: Add defaults for Fedora, RHEL and CentOS (#7079)

  [ Jason Hicks ]
  * Notifications: Add support for a bottom position option (#7111)

  [ itzexor ]
  * docs: Fix build with gtk-doc 1.27+ (#7130)

  [ Simon Brown ]
  * st-private: Fix offscreen leak if cogl_framebuffer_allocate fails (#7273)
  * st: Do not try to unref potentially NULL CoglObjects (#7277)
  * st: Don't assert when corner texture creation fails (#7278)

  [ Stephen Collins ]
  * Add a dbus method to activate scale overview. We already had one for expo. (#7279)

  [ Germán Franco ]
  * SettingsWidgets: prevent toggling disabled switches (#7282)

  [ Simon Brown ]
  * st-entry:don't possibly allocate actors a negative size (#7285)
  * cinnamon-recorder: treat some switch compile warnings (#7290)

  [ Filip Ayazi ]
  * Sound: reuse cover temp file (#7291)

  [ Stephen Collins ]
  * background slideshow: move to python3 (#7158)

  [ Jason Hicks ]
  * Fix panel applet clearing (#7286)

  [ JosephMcc ]
  * [gtk3.22] cinnamon-settings: Remove some broken and hardcoded theming (#7284)

  [ itzexor ]
  * window-list: preview: new style class, options, layout (#7134)

  [ Stephen Collins ]
  * cinnamon-settings: move everything to python 3 (#6992)
  * desktop file gen scripts: port to python3 (#7153)

  [ Clement Lefebvre ]
  * User settings: Fix a couple of broken things in LMDE 3

  [ Mikhail Bodrov ]
  * Optimize RegExprs in ui serach (#7242)
  * Optimize appFavorites (#7239)

  [ Clement Lefebvre ]
  * sound applet: configurable maximum volume fixes (#7250)

  [ Germán Franco ]
  * Fix blurry switches in the default theme (#7269)

  [ Simon Brown ]
  * st: remove some cogl deprecations (#7272)

  [ Jason Hicks ]
  * appletManager, deskletManager: Fix change handlers
  * Ensure applets are queried by applet_id
  * Skip unnecessary panel loading in change handlers, fix settings destruction on desklet move

  [ Clement Lefebvre ]
  * Xlet Settings: Fix regression in python3 migration
  * KeybindingWidgets.py: Fix index out of range error

  [ Germán Franco ]
  * Improve label settings widget (#7283)

  [ Clement Lefebvre ]
  * Packaging: Update python3 dependencies
  * Change gnome-terminal.desktop -> org.gnome.Terminal.desktop

  [ Jason Hicks ]
  * Fix multi-version xlets loading twice, address metadata availability (#7306)

  [ itzexor ]
  * Melange fixes (#7299)

  [ Michael Webster ]
  * keybindingWidgets.py: Cancel teach mode on focus-out.  Fixes issues caused by clicking out of a cell renderer currently being edited.
  * notifications: destroy unwanted notifications explicitly, or they linger and continue to get updates (and, not being on the stage, cause a huge amount of warnings);

  [ itzexor ]
  * cinnamon-settings: make keybinding tooltip generic

  [ Jason Hicks ]
  * Redirect logging output to .xsession-errors

  [ JosephMcc ]
  * cinnamon-settings-users: Clean up the use of stock icons (#7326)

  [ Steve M ]
  * Remove deprecated .panel-launcher-add-dialog selectors (#7332)

  [ Simon Brown ]
  * cinnamon-slicer: remove some deprecations (#7307)
  * st-scroll-view: resolve some switch warnings (#7308)
  * tray manager: resolve some GdkColor deprecations (#7309)
  * cinnamon-perf-helper: resolve a function definition compile warning (#7310)
  * tray: avoid deprecation warning by dropping use of gdk_display_supports_composite (#7311)
  * cinnamon-global: resolve a gdk_cursor_new deprecation warning (#7312)

  [ Clement Lefebvre ]
  * Menu applet: delegate auth responsibility to cinnamon-remove-application

  [ Simon Brown ]
  * gtk-embed: fix null pointer dereference (#7341)

  [ itzexor ]
  * notifications: close button and no fade on mouseover (#7336)

  [ tanderson-google ]
  * Don't clear notifications when an app becomes focused (#7252)
  * Fix resident notifications not displaying (#7248)

  [ Simon Brown ]
  * cinnamon-tray-icon: remove an include that seems unneeded (#7342)
  * tray: remove some deprecations for gdk_window_set_composited (#7338)
  * Systray: remove the resize delay in scale mode (#7340)

  [ Jason Hicks ]
  * Fix indicator icons being off-center
  * Systray: Fix indicators cache being iterated as a keyed object
  * Remove unused circular reference on indicator objects
  * Fix incorrect invocation of formatError in extension.js
  * Fix duplicate applets of the same UUID disappearing when added to the panel
  * Minor clean up of _removeAppletFromPanel
  * deskletManager: Fix handling of duplicates, avoid unnecessary load cycling on drag

  [ Stephen Collins ]
  * Create new cinnamon-xlet-makepot utility for automattically extractin… (#7149)

  [ Mikhail Bodrov ]
  * Simplify for loop in search (#7296)

  [ itzexor ]
  * appletManager.js: fix getRunningInstancesForUuid() (#7298)

  [ NikoKrause ]
  * menu: recalc height after deleting favorites (#7346)

  [ Ilya Zlobin ]
  * Added app switcher option for cycle windows on current workspace (#7316)

  [ Clement Lefebvre ]
  * Alt-tab: Make the app-switcher honor the same setting as the Alt-tab switcher.

  [ NikoKrause ]
  * inhibit applet: use even more common icon (#7353)

  [ Germán Franco ]
  * Fix bad allocation of panels with borders (#7325)

  [ Jason Hicks ]
  * Add ability to raise desklets above windows (#7315)

  [ Clement Lefebvre ]
  * Drop usage of gksu

  [ Jason Hicks ]
  * Add desklet visibility toggling to the Show Desktop applet context menu, update with class syntax (#7354)

  [ Eli Schwartz ]
  * cs_user.py: Add compatibility for multiple pam modules (#7327)

  [ Clement Lefebvre ]
  * Remove cinnamon-extension-tool and support for jhbuild

  [ NikoKrause ]
  * on-screen-keyboard applet: change icon to keyboard (#7361)
  * keyboard applet: change icon to cs-keyboard (#7359)
  * power applet: change icon to cs-power (#7358)
  * network applet: change icon to preferences-system-network (#7363)

  [ Simon Brown ]
  * cinnamon-recorder: Update for new cogl apis (#7369)

  [ Michael Webster ]
  * cs_keyboard: Use Gtk.accelerator_parse_with_keycode() to compare accel strings when checking for collisions  instead of string compare.
  * Add .pylintrc file.  All of it defaults except the following disabled items:

  [ itzexor ]
  * user-applet: fix loading with newer accountsservice

  [ JosephMcc ]
  * keyboard-settings: Fix the use of wide separators (#7421)

  [ Clement Lefebvre ]
  * Docs: Fix python3 unicode errors

  [ Eli Schwartz ]
  * Retire outdated bluetooth code. (#7482)

  [ Germán Franco ]
  * Sound applet: fix missing muted icon (#7402)

  [ Fabio Fantoni ]
  * circleci: remove mint18 job (#7483)

  [ Jason Hicks ]
  * Update eslintrc.json for more flexibility (#7485)

  [ NikoKrause ]
  * user applet: use system-switch-user icon (#7387)
  * keyboard applet: centering text (#7468)
  * hicolor icon: Add removable-drives icon (#7396)

  [ Jason Hicks ]
  * ui/settings: Check for null values on this.settingsData (#7404)
  * overrides: Clean up overrideDumpStack (#7405)
  * Notifications: Remove circular reference on notification actors (#7466)

  [ Stephen Collins ]
  * ExtensionCore: show the number of available updates in the 'Update all' button tooltip (#7366)

  [ Germán Franco ]
  * Inhibit applet icon: fix uncolored parts (#7399)

  [ James Ross ]
  * Notifications fixups (#7413)

  [ Germán Franco ]
  * Workspace switcher: fix blurry #panelRight's applets in visual mode (#7456)
  * Reduce huge gap in top notifications
  * Fix bottom notification position with multiple monitors

  [ Robert Antoni Buj Gelonch ]
  * calendar@cinnamon.org closes #7378 (#7381)

  [ Stephen Collins ]
  * cinnamon-json-makepot: fix some issues (#7390)
  * Cinnamon Settings: Add window-list progress support to the spices management/downloads pages (#7374)

  [ Steve M ]
  * tooltips.js - base #PanelTooltip position on panel width / height (#7388)

  [ Germán Franco ]
  * Sound applet: move close button to the right (#7391)

  [ Clement Lefebvre ]
  * System settings: Don't crash when failing to set up file monitors

  [ Germán Franco ]
  * Window list applet: fix bad allocation of icons and labels (#7386)

  [ claudiux ]
  * sound@cinnamon.org applet - Solves issue #7375 (#7376)

  [ Maximiliano Curia ]
  * PEP8ify (#7434)

  [ James Ross ]
  * Melange: slight UI rework (#7424)

  [ Germán Franco ]
  * Modal dialog: don't stretch icon, align it to the top (#7397)

  [ NikoKrause ]
  * user-applet: use symbolic icon from themes (#7494)

  [ Germán Franco ]
  * Fix blurry st scrollbars (#7498)

  [ Maximiliano Curia ]
  * PEP8ify (#7448)
  * Use ints for the menu position (#7449)

  [ Odyseus ]
  * [Spices.py] Added missing import, fixed typo and removed unnecessary semicolons (#7459)

  [ Steve M ]
  * menu applet - if no selected item when adding search provider results make first search provider result selected item (#7414)
  * Default menu - fix unused selector .menu-category-button-button (#7393)

  [ Germán Franco ]
  * Fix top panel overlapping the on-screen keyboard (#7398)
  * Sound applet: make optional horizontal scroll to move between tracks (#7407)
  * Hot corners cleanup and fixes (#7442)
  * Fix JS exporter parsing (#7477)
  * PopupMenu.js: Use some lambdas to create half the functions on each action (#7493)
  * Workspace switcher: fix buttons sizing (#7495)

  [ Stephen Collins ]
  * Add a script to install 3rd party spices from a local folder. This is… (#7420)

  [ Clement Lefebvre ]
  * Spices.py: Initiate monitor variable

  [ Stephen Collins ]
  * SettingsWidgets.py: TextView widget - fix focus-stealing bug (#7377)

  [ Steve M ]
  * default theme - add .menu-background{} as placeholder (#7416)
  * date applet - add option to theme calendar menu separately from other applet menus (#7415)

  [ Maximiliano Curia ]
  * Sync the logic in cs_startup with cinnamon-session (#7463)

  [ James Ross ]
  * report paint volumes / don't use stage "paint" signal (#7478)

  [ Jason Hicks ]
  * Debugging: Add GObject property value logging (#7490)

  [ Germán Franco ]
  * Repaint node when background position changes (#7408)

  [ Jason Hicks ]
  * Applets, desklets: switch to class syntax, remove try-catch blocks (#7389)

  [ Mikhail Bodrov ]
  * Use for of for arrays (#7431)
  * Optimizr nextIndex in grid navigator (#7450)

  [ Clement Lefebvre ]
  * User applet: Don't show switch-user when it's disabled in lockdown schema
  * User applet: Fix compatibility with python3-pampy 1.8.2

  [ Vanov ]
  * Added "shutdown immediately" entries for lid close and power critical. (#7426)

  [ Stephen Collins ]
  * Spices.py: fix placement of docstrings (#7488)
  * settings.js: remove 'units' from the list of required properties for the spinbutton widget - it isn't actually necessary (#7500)
  * xlet-settings: improvements to key dependency handling (#7419)

  [ Fabio Fantoni ]
  * debian: wrap-and-sort -bst
  * remove debian/cinnamon-maintscript entry are all related to very old version
  * debian: small improve to .install files
  * debian: create links for doc in /usr/share/doc/cinnamon
  * add debian/not-installed
  * Bump debhelper build-dep and compat to 10
  * improve debian/rules
  * improve debian/control
  * debian/rules: avoid adding libcinnamon.so plugin to shlibs files
  * debian/rules: fix override_dh_girepository
  * debian: remove unused lintian override entries

  [ Clement Lefebvre ]
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 24 Apr 2018 15:03:18 +0100

cinnamon (3.6.7) sylvia; urgency=medium

  [ NikoKrause ]
  * Online Accounts: Use translations (#7088)

  [ Michael Webster ]
  * cinnamonDBus.js: Have GetMonitors throw an error back to GDBus if something goes wrong.

  [ itzexor ]
  * menu-applet: rework vectorBox

  [ jrsrjrsr ]
  * Fix Issue #7114

  [ NikoKrause ]
  * Spices description: Do not cut off the letter `n` (#7103)
  * Xlets: Fix shown info for overwritten xlets. (#7090)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 18 Dec 2017 12:52:43 +0000

cinnamon (3.6.6) sylvia; urgency=medium

  * Sound settings: Assign the selected device to the profile selector.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 23 Nov 2017 09:55:33 +0000

cinnamon (3.6.5) sylvia; urgency=medium

  [ Michael Webster ]
  * cs_sound.py: Replace tab with space.
  * calendar applet: Fix formatting.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 20 Nov 2017 15:15:07 +0000

cinnamon (3.6.4) sylvia; urgency=medium

  [ Michael Webster ]
  * calendar applet: Just listen to the gsetting key for 24h to make sure the vertical panel default clock obeys global date/time settings.

  [ Simon Brown ]
  * st-theme.c: st_theme_resolve_url could assert with a theme issue (#7046)

  [ brownsr ]
  * st-theme: ensure callers of st_theme_resolve_url cater for it returning null knock-on from previous commit

  [ JosephMcc ]
  * cinnamon-settings: Use icon buttons in the xlet management pages

  [ François Lachèse ]
  * Fixes crash if device.get_icon_name() is Null (#7054)

  [ Corbin Auriti ]
  * Allow showing seconds on vertical panel (#7038)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 20 Nov 2017 10:05:39 +0000

cinnamon (3.6.3) sylvia; urgency=medium

  [ Clement Lefebvre ]
  * Show-desktop: Disable peek-at-desktop by default

  [ Michael Webster ]
  * menu applet: recalculate applications list box height when the menu's allocation changes.

  [ Stephen Collins ]
  * Applets: when setting an icon, make sure it's actually an St.Icon. Some applets (such as the keyboard applet) set _applet_icon to something other than an St.Icon, so it causes an error when trying to set the icon using one of the api functions. This was causing the keyboard applet not to show in panel edit mode after a keyboard layout was added and removed. (#7008)
  * applet settings: fix panel switch buttons not being hidden when there is only one panel (#7023)

  [ Bernhard Landauer ]
  * add Adwaita-dark thumbnails (#7015)

  [ Stephen Collins ]
  * extesion settings: scan system folder for extensions. While we don't ship with any extensions, other distros may choose to do so

  [ brownsr ]
  * initialise applet position to avoid drag and drop errors in edit mode occasionally the null applet position was being carried through to the writing of the new applet causing apparent drop failures, and to the disappearance of the highlighted drop box.  Much visible weirdness with a very simple solution

  [ Stephen Collins ]
  * workspace switcher: fix undeclared variable warning
  * applet settings: Improve the logic for highlighting the panel. The panel is now only highlighted when there is more than one panel, and it's better about selecting and highlighting the correct panel when one is added or removed

  [ icarter09 ]
  * Fixed spacing. Added missing semicolon. (#7032)

  [ Jason Hicks ]
  * popupMenu: Prevent warning of this._triangle (#7033)

  [ Corbin Auriti ]
  * Clock applet: Respect 12h/24h choice in vertical mode (#7034)

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 17 Nov 2017 10:48:22 +0000

cinnamon (3.6.2) sylvia; urgency=medium

  [ Simon Brown ]
  * st-texture-cache: avoid potential null pointer dereference (#7001)

  [ Clement Lefebvre ]
  * Packaging: Add missing polkit policy file

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 11 Nov 2017 17:19:36 +0000

cinnamon (3.6.1) sylvia; urgency=medium

  [ Germán Franco ]
  * Fix blurry and off-centered arrow in popup submenus (#6986)

  [ Stephen Collins ]
  * cinnamon-settings: remove ui file that is no longer used since the extension-settings-rework (#6990)

  [ Jason Hicks ]
  * Spices.py: Fix xlets not installing if a file without an extension is in the po directory (#6968)

  [ Germán Franco ]
  * TreeListWidgets.py: edit elements with double click (#6978)

  [ Abdous Kamel ]
  * Fixing Gtk-Message when running a dialog (#6977)

  [ itzexor ]
  * window-list: account for hidden items during DnD repositioning (#6987)

  [ Clement Lefebvre ]
  * Spices: Don't fail if the spice directory is missing

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 09 Nov 2017 13:30:28 +0000

cinnamon (3.6.0) sylvia; urgency=medium

  [ itzexor ]
  * melange/cinnamon-looking-glass.py: convert to normal toplevel window
  * melange/page_results.py: fix scrolling
  * melange/page_inspect.py: add ability to insert property path into entry
  * melange/page_log.py: implement autoscrolling
  * melange/all: various cleanups

  [ NikoKrause ]
  * xlets-about-dialog: improvements for about dialog

  [ brownsr ]
  * st-theme-node-drawing: correct logic for calculation of cover and contain fixed upstream a long time ago https://github.com/GNOME/gnome-shell/commit/3dbf06420df0ad669f12939a788ed44061dcc1e1
  * st-theme-node-drawing: Group multiple cogl_rectangle calls https://github.com/GNOME/gnome-shell/commit/d8540819af7978b3c244877ddb85109a55278bee#diff-8a01b40c2c1be22ef97916811be0ab65
  * st-theme-node-drawing: move setting of corner material before rendering box shadow https://github.com/GNOME/gnome-shell/commit/36fc3a5c9671c45ca17e8169826e21ae4f9d5fa8#diff-8a01b40c2c1be22ef97916811be0ab65

  [ Michael Webster ]
  * cinnamon-app.c: read the icon name or icon path from muffin when getting a window- backed icon, if it's been set (by us in some other app via gdk_window_set_icon_name()
  * remove a comment
  * cinnamon-app.c: If a custom icon_name is set in the MetaWindow, always use that, whether we have a matched desktop entry or not.
  * Update for XApp api
  * xlet-settings.py: Use XAppGtkWindow, which takes care of all setting of icon names by shadowing the respective GtkWindow methods.
  * Fix scaling for icon-name app icons

  [ brownsr ]
  * st: Remove _st_allocate_fill https://github.com/GNOME/gnome-shell/commit/24ad59ea3728cf55ad127085e486d73345e33a35#diff-578ccc5ce70c4a11d7f30e3f38002f0b plus a very minor simplification in st-box-layout
  * st-bin: Make sure not to allocate hidden children https://github.com/GNOME/gnome-shell/commit/7e343f11f28a736d88619b85c9b9c6ea52a7e142#diff-b948bb195b709c61ce7275142a2fbdfd
  * st-widget: Unset hover when setting track_hover to FALSE https://github.com/GNOME/gnome-shell/commit/79bfea5970a055a3990f7e52a3669a59594851a1#diff-b948bb195b709c61ce7275142a2fbdfd
  * st-bin: Don't allocate a hidden actor https://github.com/GNOME/gnome-shell/commit/50f8ae6fc756d1a0fb33912e6b9d08a8fa71c197#diff-b948bb195b709c61ce7275142a2fbdfd
  * st-private: Don't create attr lists if we don't need them https://github.com/GNOME/gnome-shell/commit/7e5f1fe41104dfcf4ca2a104651441ae49ee5865#diff-b948bb195b709c61ce7275142a2fbdfd
  * StDrawingArea: fix texture drawing https://github.com/GNOME/gnome-shell/commit/587c93eadf01fafc6a6a6cb53aac94d9802de44d#diff-b948bb195b709c61ce7275142a2fbdfd
  * st-widget: remove stylable property https://github.com/GNOME/gnome-shell/commit/5c0ee02251ebd21f72ee8d32b93d707547a06803#diff-b948bb195b709c61ce7275142a2fbdfd

  [ Michael Webster ]
  * osdWindow.js: Always check the theme node on first showing - an actor's width isn't necessarily filled if it hasn't been explicitly set, causing the first few activations of the OSD to not show an accurate level bar.
  * cs_default: Fix incorrect button label (but preserve translations).

  [ itzexor ]
  * main.js: remove obsolete Meta enum member reference
  * workspace.js: use our normal prototype init method
  * workspace.js: initalize WindowClone._zoomStep to 0

  [ NikoKrause ]
  * slideshow-applet: fix translation

  [ Michael Webster ]
  * cs_themes.py: Create the file "~/.icons/default/index.theme" and set the selected cursor theme inside of it.  This ensures other (non-gtk) applications end up using the same theme (though they are required to be restarted for these changes to take effect.)

  [ NikoKrause ]
  * keyboard-applet: applet icon vanishes when moved in edit mode

  [ Jason Hicks ]
  * cinnamon-json-makepot: Add keyword option, change language used by xgettext to JavaScript

  [ brownsr ]
  * expoThumbnail:  correct a couple of calls with mismatched argument counts

  [ itzexor ]
  * window-list: set AppMenuButtons unreactive during panel edit mode
  * panel-launchers: set PanelAppLaunchers unreactive during panel edit mode
  * windows-quick-list: fix argument warning

  [ Jason Hicks ]
  * Fix reference to undefined actor._delegate warning
  * ui/environment: Handle undefined actors in containerClass.prototype.add
  * ui/cinnamonDBus: Handle null xlet objects in CinnamonDBus.highlightXlet

  [ brownsr ]
  * deskletManager: initialise some variables and remove the variables that were initialised, probable typo

  [ NikoKrause ]
  * panel settings: split height/width translation strings

  [ Stephen Collins ]
  * cinnamon-settings.py: allow search box placeholder text to be translated

  [ leigh123linux ]
  * Fonts: Add setting for RGBA order

  [ Michael Webster ]
  * network applet: Add a menu item to re-scan for wireless networks.

  [ NikoKrause ]
  * Translation: fetch some strings with ngettext

  [ Michael Webster ]
  * cinnamon-settings: Use an XAppGtkWindow, and update the icon depending on what sidepage we're on.
  * window-list: Update the icon according to notifications from an item's underlying MetaWindow.
  * cinnamon-screensaver-lock-dialog.py: use XApp window wrapper to set an icon name.  Fix the dialog's icon to use the same icon if the user's can't be found (the old 'fallback' doesn't exist anymore, at least in a fresh Mint installation.)

  [ Jason Hicks ]
  * js/ui/panel: Change for ... in loops to length caching for loops since they are iterating arrays

  [ Michael Webster ]
  * cs_themes: set a parent window for the cinnamon themes spice window.

  [ Jason Hicks ]
  * popupMenu: Migrate signals to SignalManager management, add...

  [ Michael Webster ]
  * debian/control: Add libcjs-dbg to cinnamon-dbg depends.
  * sound applet: Avoid warnings when changing applet settings with no currently active player.

  [ Lars Mueller ]
  * Make cinnamon-settings unaware of installation location

  [ Jason Hicks ]
  * Fix TypeError regression when resizing panels

  [ Michael Webster ]
  * Add utils/cin-debug-run, a simpler trace tool.

  [ brownsr ]
  * fix some signed vs unsigned compiler warnings
  * avoid signed ints for bit flags results are implementation specific and can give odd results if bit operators are used.  gboolean maps to int, not unsigned, so replace gboolean bit flags with guint. based on https://github.com/GNOME/gnome-shell/commit/69f17da5ca191c57acb6dfc5bbedc6f14f768e9b#diff-9ad11fdf581414b0f2501e50921d1052 with one additional instance found
  * systray: Improve icon scaling in hidpi They were coming up a bit small. Indicator icons were coming up double size. The default of 16px indicator icons in non-scaled panels was awfully blurry. Icon spacing appeared to be scaled up in hidpi for no good reason.
  * panel: correct margin calculation in hidpi + minor correction to regression from 718ce025dc360d62c6e510b5b57483553bf80c1c

  [ Stephen Collins ]
  * cinnamon-settings <spices>: rewrite to simplify code and implement a more modern ui
  * Add a dbus method to open the about dialog for applets, desklets and extensions, and a button in extension settings to call it.
  * Applet settings: fix error on removing multiple instances

  [ Jason Hicks ]
  * windows-quick-list: wrap menu in scrollable submenu container

  [ brownsr ]
  * panel: Remove dead code

  [ NikoKrause ]
  * recent-applet: always show icon in panel-edit-mode
  * notifications-applet: always show applet icon in panel-edit-mode

  [ itzexor ]
  * cin-debug: don't suggest backgrounding

  [ brownsr ]
  * st-drawing-area: Fix Cogl deprecations from upstream https://github.com/GNOME/gnome-shell/commit/ad75739fc5fc03173648a5c7a636b7d7ee0918e5#diff-b0a9fbb0a9269c620f76c568a690c7aa

  [ itzexor ]
  * panel.js: don't error on nonexistent panel

  [ Jason Hicks ]
  * trash applet: Fix arguments warnings

  [ brownsr ]
  * various: replace deprecated macros

  [ Michael Webster ]
  * recent applet: the visibility check can be distilled into just checking if the recent list is not empty, and clutter_actor_show/_hide do their own visiblity check before doing anything.
  * notification applet: don't change the icon when panel-edit mode changes - just show it, whatever its icon.  Also, no need to check for existing visibility, we want it to show regardless.

  [ Jason Hicks ]
  * main: Improve logging

  [ Michael Webster ]
  * CinnamonGtkSettings.py: set switch valign to centered, to prevent it being stretched by multi-line text.

  [ Stephen Collins ]
  * Spices settings: fix prompt getting 'stuck' when cache is downloaded for the first time
  * Spices settings: Fix the trasition animation when switching to the downloads page

  [ Jason Hicks ]
  * extension: Use imports.searchPath instead of imports.addSubImporter
  * Ensure only applets, desklets, and extensions are added to imports.searchPath

  [ Michael Webster ]
  * calendar applet: Remove timer code and use updated WallClock api.
  * clock desklet: Refactor to use new WallClock api. calendar applet: track the notify handler id better thru applet_added and _removed functions.
  * debian/control: update cinnamon-desktop runtime dependency for dev version.

  [ brownsr ]
  * st: Make BoxLayout use a Clutter layout manager internally https://github.com/GNOME/gnome-shell/commit/aa394754b6d78e682f99d3aff7f170bea04b0a8a#diff-b948bb195b709c61ce7275142a2fbdfd NB align-end left present but non-functional, to be returned to
  * st: Remove empty dispose/finalize methods from StBoxLayoutChild https://github.com/GNOME/gnome-shell/commit/741b204fc7e023493d378d9fea8323f6a9a17823#diff-b948bb195b709c61ce7275142a2fbdfd
  * st: Notify on BoxLayout property changes https://github.com/GNOME/gnome-shell/commit/6a19b7c1b0cea3eb78c581e5ed417a0f9e04f9c7#diff-b948bb195b709c61ce7275142a2fbdfd
  * st: Translate StBoxLayoutChild properties to ClutterBoxChild https://github.com/GNOME/gnome-shell/commit/144f7d6813a9c2e43bc2b17055a5337db97d05d3
  * panel, st-box-layout: Remove align_end, enabled by using a clutter layout manager This allowed the standard clutter alignment to be used, and the retirement of align_end

  [ Jason Hicks ]
  * Ensure extensions fully reload
  * Update documentation for xlet importation
  * Update grammar, formatting for xlet importation docs

  [ brownsr ]
  * various: correct some iso C compiler warnings
  * cinnamon-embedded-window, st-scroll-bar: fix deprecations cinnamon-embedded-window needs correcting from https://github.com/linuxmint/Cinnamon/commit/348186dabeb2063afffc379410b963c3992e9493
  * texture-cache: Remove FBO path for padding icons adapted from https://github.com/GNOME/gnome-shell/commit/4184edc7f8cd17e0dbfe5c6c3422b2bf94e85e45#diff-3ca4e78fe4368510730192b6d59c2c80 Premise is that GtkIconTheme now pads icons, so it's dead code. Please comment if you think this premise is not right
  * st-entry.c: make it recognise upper case ctrl-c, x, v adapted from https://github.com/GNOME/gnome-shell/commit/387f5143f02f720b4d084aa4fca65e2ff31176b0#diff-b948bb195b709c61ce7275142a2fbdfd
  * st-texture-cache: port to GTask from https://github.com/GNOME/gnome-shell/commit/f2731d4d6a9ca1338dbc38c8f33fdde0113f9b50#diff-b948bb195b709c61ce7275142a2fbdfd and https://github.com/GNOME/gnome-shell/commit/df0b465e76305e011c5106d78b6fd19891db900d#diff-b948bb195b709c61ce7275142a2fbdfd
  * st-box-layout: Fix Cogl deprecations From upstream https://github.com/GNOME/gnome-shell/commit/8dab692f93522e3adbe3d03e59ddaca5c9a1e6ee
  * st-entry.c: Fix spacing on right icon in entry https://github.com/GNOME/gnome-shell/commit/954d262d674f597a35a4b4342a6d4fc41dc8ff43#diff-b948bb195b709c61ce7275142a2fbdfd
  * st-widget: Don't add hidden actors to the paint volume https://github.com/GNOME/gnome-shell/commit/ea55c36a3a2f1abcaa8e202e0f67a29ed807cebe#diff-b948bb195b709c61ce7275142a2fbdfd
  * St: avoid blocking IO to resolve relative urls https://github.com/GNOME/gnome-shell/commit/f7af96dbb2152c796c5877585e7d1e555471d6ce#diff-c391ade4ef6206f5dd58f1a00c6a6217 https://github.com/GNOME/gnome-shell/commit/9860b1c677430fe96f6afdd95a2958bce398ca62#diff-c391ade4ef6206f5dd58f1a00c6a6217
  * popupmenu: fix an undeclared variable
  * popupMenu: ensure all tweens are controlled by the settings

  [ Jakob Stigloher ]
  * settings.js: Do not write valid settings files again to the disk

  [ brownsr ]
  * st-texture-cache:remove unused base64 code path https://github.com/GNOME/gnome-shell/commit/2dc41c944e3594bc0d9636d2515c50a1cbc4f88c
  * st-icon: remove custom size request/allocate https://github.com/GNOME/gnome-shell/commit/f5431612341887a339f545ddef5268d362c62755#diff-b9152792660693113ebfebfbd89105a2
  * st-scroll-view-fade: Refuse to work without GLSL https://github.com/GNOME/gnome-shell/commit/ce5cd3bf30f9778746b94daa1f68c07854d2cfaa#diff-b948bb195b709c61ce7275142a2fbdfd

  [ Michael Webster ]
  * window-list applet: Add rudimentary support for progress display.

  [ Stephen Collins ]
  * Fix dnd position calculations for horizontal panels
  * Fix dnd for icon-only applets in vertical panels

  [ Michael Webster ]
  * window-list: Don't break when muffin doesn't support progress. (just softens the dependency, this can be removed later)

  [ brownsr ]
  * st-clipboard: Add the ability to choose the clipboard type https://github.com/GNOME/gnome-shell/commit/0616261a9455574fc26b452343b6bf9b8e0400b1#diff-f46ca0c0ff266172bd910e27927f342d
  * st-entry: Implement middle click paste https://github.com/GNOME/gnome-shell/commit/eaf184b5852825d49c85c683bd7bde96df02baf2#diff-f46ca0c0ff266172bd910e27927f342d adapted up to latest gnome st code
  * scroll-bar: Remove jitter on the scroll bar when moving the mouse https://github.com/GNOME/gnome-shell/commit/2492dc50db89042d19edb2210fdeac7f5c54d8db#diff-b948bb195b709c61ce7275142a2fbdfd
  * st-theme-node-transition: stop using clutter alpha https://github.com/GNOME/gnome-shell/commit/50f96d1c9cfc422128c5325fbbb03c0ab256d069#diff-58ec506f144fcf489b16beab596a99af

  [ collinss ]
  * Remove old applet download-related code that is no longer used

  [ Fabio Fantoni ]
  * Remove deprecated and unused gnome-keyring
  * Added missed gettext and xdg-utils to cinnamon-common deps

  [ itzexor ]
  * layout.js: special case handling of panel actors
  * layout.js: slight optimization for popup window tracking
  * layout.js: optimize signals a bit
  * layout.js: only update hotcorners once on monitor change
  * layout.js: queue region update directly in _updateVisibility
  * layout.js: add same guarantee to Chrome.findMonitorIndexForActor
  * layout.js: small short circuiting optimization
  * layout.js: add LayoutManager.updateChrome() and docs
  * panel.js: use new updateChrome helper from LayoutManager

  [ NikoKrause ]
  * spices about dialog: clearify what the date means ...

  [ Stephen Collins ]
  * dnd: call handleDragOut on a drop tartget (if available) when leaving the area, and use this function to remove the drag placeholder when dragging an applet. This fixes an issue where the drag placeholder would get stuck after a dnd, leaving an empty space with no applets
  * Simplify how applet positions are saved after a dnd operation and allow extra properties to be added to a definition in the enabled-applets key
  * Improve the way cinnamon handles applets that are added to an unsupported panel. Previously, Cinnamon would send a message to cinnamon-settings saying there was an error. With this change, the user is now prompted with the following options: 1. Leave the applet on the panel anyway (some applets are still suitable for vertical panels under certain circumstances - even if they aren't marked as such). In this case an override is added to the applet definition to avoid the user being prompted in the future. 2. Remove the applet. 3. Try to move the applet to a different panel. If a suitable panel cannot be found, the applet is removed instead.
  * Don't let hidden panels offset the menu position. It can lead to awkward placement in situations such as when there are mixed panels and auto-hide is involved

  [ brownsr ]
  * st-theme-node.c: Correct a function call that was missed in https://github.com/linuxmint/Cinnamon/commit/5a9ad973e766db9a0781d1791e31d89ce8d66dcb#diff-ea7efd941b083a785ba5e4b928a26d59
  * st-entry: change deprecated key symbols

  [ Michael Webster ]
  * Fix a couple issues from previous commits:

  [ Fabio Fantoni ]
  * Change deprecated python-imaging to new fork pillow

  [ Michael Webster ]
  * st-label.c: Apply upstream patch -
  * st-label.c: Use correct type check instead of cast.

  [ itzexor ]
  * menu-applet: use a generic clutter actor container
  * panel.js: add some hacks to account for panel corners in clip region

  [ brownsr ]
  * st-box-layout.c: remove a couple of unused variables
  * st-box-layout-child.c: treat compiler warnings

  [ Cobinja ]
  * extension.js: Fix startup with invalid xlet uuid (#6858)

  [ Simon Brown ]
  * cinnamon-app.c: Don't crash when trying to dispose (#6853)
  * st-bin: delegate popup-menu signal to child if we have one (#6849)
  * boxpointer: Don't hide when we're already hidden (#6854)
  * tweener: Remove the onAnimationStart/onAnimationComplete callbacks (#6855)

  [ Fabio Fantoni ]
  * Use pkexec instead deprecated gksu for cinnamon-settings-users (#6827)

  [ Leigh Scott ]
  * fix indent (#6844)

  [ Jason Hicks ]
  * extension.js: Fix ReloadExtension error in forgetExtension (#6862)
  * window list: Prevent the progress indicator from showing when set to 0 (#6866)
  * window-list/fixup e6c3a21: Make sure the progress is shown if its > 0 on init (#6867)

  [ leigh123linux ]
  * Bump version for muffin build dep

  [ itzexor ]
  * panel.js: check if the panel corner has a parent (#6869)

  [ Clement Lefebvre ]
  * Settings: Add the ability to select HybridSleep
  * Settings: Show the URL in the terminal when a download fails

  [ Michael Webster ]
  * cinnamonDBus: add api to allow nemo startup timing to be more consistent.
  * main.js: Fix invalid ref to Main during no-animation startup.

  [ brownsr ]
  * panel: ensure rightbox has something to drag into in edit mode when empty
  * Defend against failure of cairo_pattern_get_surface() https://github.com/GNOME/gnome-shell/commit/6d22670307928dfdce75a7536598486fa25d51d7#diff-8a01b40c2c1be22ef97916811be0ab65

  [ Jason Hicks ]
  * panel: Increment panelCount by 1

  [ brownsr ]
  * window-list: correct progress overlay logic it was showing unwanted artefacts as it was using .visible instead of a direct show or hide of the actor. Simplified the use of the pseudoclass to ensure it was only set once.  Theme Graphite-Zero can be used for testing if required the unwanted artefacts are particularly visible in a vertical left panel

  [ Jason Hicks ]
  * dnd, appletManager: Fix applet DND on mozjs52

  [ Michael Webster ]
  * window-list applet: Use clipping to adjust the progress overlay, instead of changing the width.

  [ Jason Hicks ]
  * main.js: Add search_providers to xlet types in _addXletDirectoriesToSearchPath

  [ Michael Webster ]
  * popupMenu.js: Stop relying on an idle callback to toggle menus.
  * dnd.js: Use get_transformed_allocation instead of get_allocation_box
  * panel dnd: Improve stability when dragging.
  * applet.js: Only try to add a context menu separator once, to prevent warnings during DnD operations.
  * panel dnd: ensure a clean slate when an applet drag begins.  We work with lists across all panels (with 3 zones apiece), but only the final drop zone can know when a drag ends.  It's easier to make sure we're cleared out at the start of a drag instead.
  * panel.js: Clean up some unused variables.
  * cinnamonDBus.js: catch an invalid monitor index before it goes to muffin (where it will g_assert and crash cinnamon.)

  [ JosephMcc ]
  * Use a style class name for the new window list progress indicator

  [ NikoKrause ]
  * xlet-settings: translate title in list widget

  [ brownsr ]
  * panel: tidy up some indentation
  * dnd: avoid use of deprecated reparent
  * dnd: Don't queue an idle handler if we already have one https://github.com/GNOME/gnome-shell/commit/fce2930b859af8530c4fed9f258e8186649455d2#diff-902d56799170f0dc27500667c665b683 no observable difference in use
  * theme-node: Fix font family formatting https://github.com/GNOME/gnome-shell/commit/6fc5b0477ba1c77b6bcdd23e07254fbe97c92b83#diff-b948bb195b709c61ce7275142a2fbdfd

  [ slepton ]
  * Update cs_power.py

  [ wesdawg ]
  * Search provider updates (#6905)

  [ BG Stack ]
  * add Show all workspaces setting to window list (#6922)

  [ Simon Brown ]
  * st-texture-cache: Plug some pixbuf refcount leaks on async operations (#6921)

  [ guzzard ]
  * indicatorManager.js: add support for appindicator SecondaryActivate (#6915)

  [ Björn Esser ]
  * cinnamon-settings: Add online-accounts (#6881)

  [ Clement Lefebvre ]
  * Settings: Add an icon for GOA
  * Settings: Wrap Online Accounts into a Python module and provide information about supported accounts

  [ Albert Pool ]
  * Make touchpad settings compatible with libinput (#6694)

  [ Clement Lefebvre ]
  * On-screen keyboard: Don't register Caribou's daemon DBUS name
  * On-screen keyboard: Don't register Onboard's DBUS name
  * On-screen keyboard: Add 'tablet' as a layout option in the settings
  * On-screen keyboard: Remove animations
  * On-screen keyboard: Make size and position configurable
  * On-screen keyboard: Default position to top and layout to tablet

  [ Simon Brown ]
  * environment: stray semicolon (#6936)

  [ Ingo Lafrenz ]
  * improve menu search results (#4053) (#6929)

  [ NikoKrause ]
  * removable-drives applet: show applet in panel edit mode (#6917)

  [ Simon Brown ]
  * st: add some default cases and avoid compiler warnings (#6932)
  * st-icon: remove unused fields (#6934)

  [ BG Stack ]
  * Add 'show all workspaces' option to appSwitcher (#6938)

  [ Jason Hicks ]
  * Performance: Avoid caching `this` context in SignalManager instances (#6918)

  [ NikoKrause ]
  * Applets: fix linter warnings (#6927)

  [ JosephMcc ]
  * window-manager: Show the workspace OSD even when effects are disabled (#6944)

  [ Jason Hicks ]
  * Improve JS logging

  [ brownsr ]
  * cinnamon-util: fix GFile leak https://github.com/GNOME/gnome-shell/commit/447246da741da9126aadb41c98a9179290bbcd86#diff-e13d0669f81906a880112b462a031c53 also fix an instance of deceptive indentation
  * cinnamon-util: fix some more leaks

  [ Simon Brown ]
  * st-texture-cache:  load file simple, avoid leaks (#6953)

  [ H8to ]
  * Add alternative alt+tab behaviour to appSwitcher (#6952)

  [ Clement Lefebvre ]
  * Alt-tab: Set alttab-minimized-aware to false by default.
  * Main: Use black for the default stage color
  * XDG Menu: Remove legacy items

  [ Simon Brown ]
  * cinnamon-mime-sniffer: fix a GFile leak (#6955)

  [ Clement Lefebvre ]
  * l10n: Update POT file and fix some msgids

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 24 Oct 2017 16:33:22 +0100

cinnamon (3.4.4) sonya; urgency=medium

  [ Michael Webster ]
  * classicSwitcher.js: Fix hidpi issues.
  * KeybindingWidgets.py: fix parsing of accelerators that are shifted but not alpha-numeric characters.
  * xlet-settings.py: Don't crash when an invalid xlet id is provided.

  [ itzexor ]
  * window-list applet: fix argument warning

  [ Michael Webster ]
  * add issue template

  [ Jason Hicks ]
  * ui/settings: Handle undefined old settings values

  [ Michael Webster ]
  * hotCorner.js: Fix hover delay callback.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 06 Jul 2017 11:17:41 +0200

cinnamon (3.4.3) sonya; urgency=medium

  [ Michael Webster ]
  * panel-launchers: put individual launcher actions back in the main popup, having an options and preferences submenu was a bit ambiguous.

  [ Simon Brown ]
  * Panel-launchers: remove an undeclared variable warning (#6648)
  * deskletManager: Correct call to file.delete (#6650)

  [ Clement Lefebvre ]
  * Add a menu item to toggle the on-screen keyboard

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 26 Jun 2017 12:44:24 +0200

cinnamon (3.4.2) sonya; urgency=medium

  [ Michael Webster ]
  * st-texture-cache.c: don't cache st_texture_cache_load_from_raw - its only user is the notificationDaemon.  These are transient images that were being stored in the cache that would never be evicted during theme changes (this does not just mean times when the user changed the icon them.)

  [ Clement Lefebvre ]
  * l10n: Translate hardcoded string for settings reset confirmation dialog

  [ Michael Webster ]
  * Silence a few more warnings new warnings.
  * expo, overview: unreference actors that we destroy whenever the respective view closes.
  * cinnamon-slideshow.py: only allow a single instance to run.

  [ brownsr ]
  * Sound applet: avoid spacing problem in vertical panel Knock on from commit 3870e42fe58533598ef8998ffb7d6bd3f213cbec

  [ JosephMcc ]
  * photoframe-desklet: Fix a few issues

  [ Michael Webster ]
  * notificationDaemon.js: Silence an occasional warning.
  * SettingsWidgets.py: Make switch widgets use "center" vertical alignment instead of "fill," to prevent the switch growing in height when the label text gets ellipsized (either thru resizing of the window, or localization.)

  [ BinHong Lee ]
  * Progress bar text initializes and resets

  [ Michael Webster ]
  * cinnamon-settings-users: Restrict the size of user images, as they are displayed in the right view when a user is selected.  If the image at /var/lib/AccountsService/icons/<user> is set to a ridiculously-sized image, it won't break the ui.
  * cs_user: Don't let large images break the ui - make sure we scale the selected image to an appropriate size.  Also, don't crop user-selected images (but keep cropping webcam images) - it's strange to select an image file and have the ends of it cut off.
  * cinnamon-settings-users.py: Fix picture preview in file selector to maintain a reasonable size.
  * cs_user.py: Handle image previews better in the face chooser dialog.

  [ Jason Hicks ]
  * ChooserButtonWidgets.py: Fix Python 3 error

  [ brownsr ]
  * window-list: bring space around preview down and correct a calculation problem beta testing user asked for the space around the window preview to be brought in a bit that in turn highlighted a bug where the scaling was calculated without taking the icon+title into effect I've brought the spare space down a bit, but I can't bring it down further and have it look right in all themes without major surgery, which would be best done in a development cycle.  The space allowance for the icon is not fully adequate as the title font could be set large, and so take up more room than the icon. But I've tried with this height adjustment and this scaling across a wide selection of themes, and it appears to stand up.

  [ Michael Webster ]
  * cinnamon-settings-users, cs-user, ChooserButtonWidgets: let GdkPixbuf do the work of restricting the size of images while maintaining aspect ratio.  Follow-up to last few commits.
  * StScrollView: queue redraws whenever the adjustments change, to prevent artifacts outside of the view itself.
  * StScrollView: More effective way of fixing the graphical artifacts generated during scrolling.  This also appears to fix some unrelated tearing issues I was seeing in the menu while testing.
  * main.c: Own onboard's dbus name to prevent it starting when gnome's a11y keyboard settings key is active (org.gnome.desktop.a11y.applications screen-keyboard-enabled.) Also own caribou's daemon.  Caribou's OSK won't interfere in a Cinnamon session, but its daemon will run needlessly in the background otherwise.

  [ brownsr ]
  * panel: avoid cjs giving a warning that dummyPanels[i][j] is undefined

  [ Michael Webster ]
  * systray applet: make sure an icon actually got parented to this.manager_container before calling remove_child.  This issue can occur during session startup.
  * StScrollView: queue redraws whenever the adjustments change, to prevent artifacts outside of the view itself.
  * spacer applet: use a unique style class in the theme to prevent the applet from appearing active when hovered.
  * theme: add applet-spacer class for spacer applet.
  * spacer applet: use track_hover instead of a new style to prevent highlighting.

  [ leigh123linux ]
  * Remove unused dep

  [ Michael Webster ]
  * osdWindow: get the correct child allocation when calculating the width of the level bar.  If a padding or margin is added to the level-bar style class, it was causing the parent bin to expand to accomodate the child's width plus its required padding.
  * Revert "StScrollView: queue redraws whenever the adjustments change, to prevent"

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 20 Jun 2017 16:16:34 +0200

cinnamon (3.4.1) sonya; urgency=medium

  [ Clement Lefebvre ]
  * Remove usage of GTK_POLICY_EXTERNAL

  [ Stephen Collins ]
  * checkBox.js: remove extra unused argument which was causing a warning with new cjs/mozjs

  [ Michael Webster ]
  * st-bin.c: Fix y_fill setter (it was setting x_fill to the value of the existing y_fill, before it is set in the same call).
  * menu applet: fix keyboard navigation of recent context menu.  Fix closing of same menu when switching to another category.  Also fix closing when opening another recent's context menu.
  * menu applet: notify when a recent file is activated that can't be accessed.
  * menu applet: make missing file notification transient.
  * menu applet (vector box): partially revert c0d37dd79d68c97 - there is flickering as events go from a button to the vector box and back.  Remove the idle callback, and directly react to the enter even once more.  To compensate, increase our maybeUpdateVectorBox delay timeout, which more or less fixes the original problem the above commit was attempting to fix.
  * menu applet: _select_category - only call displayButtons if the category has really changed.
  * menu applet: fix keyboard navigation when a second recent context menu is toggled open.

  [ Clement Lefebvre ]
  * Sound settings: Fix device icons

  [ Stephen Collins ]
  * xlet-settings.py: ignore files and directories in the config directory that aren't created by our settings api as well as instances that no longer exist
  * ExtensionCore.py: Don't scrub the config directory on load. This is no longer necessary since xlet settings now ignores anything that isn't an active instance, and some applets need a place to store extra files so they get cleaned up on uninstall.
  * cs_panel.py: Fix crash when there are no panels

  [ itzexor ]
  * sound-applet: remove extraneous arguments on add_actor calls

  [ Michael Webster ]
  * radioButton.js: remove extra argument to add_actor.

  [ itzexor ]
  * window-list-applet: fix undefined reference warning

  [ Odyseus ]
  * [cinnamon-json-makepot] Added support to extract "title" and "units" keys on list elements

  [ Michael Webster ]
  * debian/control: use correct runtime dependency on caribou introspection only.

  [ Clement Lefebvre ]
  * User applet: Remove ability to switch to guest with LightDM

  [ JosephMcc ]
  * runDialog.js: Fix undefined variable warning (#6539)

  [ Clement Lefebvre ]
  * Reorganize the default applets in the panel
  * User applet: Remove trailing spaces
  * Applets: Make TextIconApplet smarter and adapt to vertical panels.

  [ Michael Webster ]
  * menu applet: use _select_category to select recents and places, so we can cache the current selection more accurately and prevent needless calls to _displayButtons.

  [ Stephen Collins ]
  * window list: add missing dependency to settings (#6551)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 23 May 2017 15:44:25 +0100

cinnamon (3.4.0) sonya; urgency=medium

  [ Lars Mueller ]
  * Fix gnome terminal losing desktop file association during cinnamon restart

  [ Odyseus ]
  * cinnamon-json-makepot: Added support to scan for JS files inside sub-dirs.

  [ leigh123linux ]
  * Start systray applet first
  * Use generic marshaller
  * Fix file permissions

  [ Jason Hicks ]
  * Pull functions out of loops in _refreshPlaces, _refreshApps...
  * Move uri assignment in _refreshRecent's while loop into new...
  * Use let instead of var in new handler functions

  [ brownsr ]
  * panel: rework allocation logic to avoid looping in edit mode this was causing the context menu animation to fail to complete causing the user not to be able to exit edit mode
  * theme-node: Fix leak on stylesheet change. From upstream https://github.com/GNOME/gnome-shell/commit/72bfa9125945919e9d69505d3e739480855f331e
  * cinnamon_dbus_acquire_name: don't leak the result from upstream https://github.com/GNOME/gnome-shell/commit/3f0fbae7e213b2fbe7267b9d25ac7fcfaa8afcff
  * cinnamon_dbus_acquire_name: Don't leak error from upstream https://github.com/GNOME/gnome-shell/commit/7f1a258ff9fc768a7fc13e5c37e1fd6d7ab5c33b
  * keyboard: destroy the key's boxpointer from upstream https://github.com/GNOME/gnome-shell/commit/9d933356e171a1dc49b61b5864826531c0f24d97

  [ Lars Mueller ]
  * Fix hotcorner hover delay timeout removal This fixes a "Invalid or null source id used when attempting to run Mainloop.source_remove()" when leaving a hotcorner. The timeout is already destroyed by returning false in the callback, but we still knew about the timeout id and tried to remove the non-existing timeout.

  [ brownsr ]
  * st-box-layout: Don't report a paint volume when we have no allocation from upstream https://github.com/GNOME/gnome-shell/commit/aa6f352cb06d3ae8940af323f048c8c7886fa0cd
  * window-tracker: fix memory leak from upstream https://github.com/GNOME/gnome-shell/commit/ac22172a6ec37a158ca4cecf8c18f8fb29c1aa97

  [ Michael Webster ]
  * tooltips.js: Remove leftover logging.
  * Add cinnamon-stap-monitor utility.
  * panel.js: Couple fixes to previous commit.  Let the panel sections cover the entire panel in edit mode.  Clean up _allocate a bit - since we always have the center zone occupied (artificially or naturally,) we don't ever need to handle cases where it isn't.
  * panel.js: Fix dnd pseudo-class style application for vertical panels.
  * panel: Allow right and left panel zones to naturally fill space.  Fix vertical allocate calculations in st-box-layout (align_end was only working for horizontal box layouts).
  * panel.js: Cleanup actor and style class names, simplify some code that no longer needs to differentiate between vertical and horizontal panels.
  * cs_screensaver.py: Expose setting for floating widgets.
  * panel.js: restore 'important' style flag, accidentally removed from panel zones.

  [ Chris Allan ]
  * expoThumbnail.js: Don't reposition thumbnails on position-changed.

  [ Michael Webster ]
  * cs_screensaver.py: Use a stack to switch between default screensaver and plugin previews.
  * panel.js: Restore some allocation code mistakenly removed in a previous commit.  This restores the behavior of allowing left/right panels to occupy more than half the panel if the center zone is empty.

  [ Lars Mueller ]
  * [Sound applet] Fix a segmentation This fixes a segmentation fault that happened when menu animations were disabled. Fixes #5977

  [ itzexor ]
  * cinnamon-desktop-editor: use the default icon when file is nonexistent

  [ brownsr ]
  * st-theme-node.c: rename a confusing variable At the moment we have an outer loop on i, and then a separately declared internal loop on i This changes the name of the variable in the internal loop to avoid confusion
  * st-theme-node: Improve error reporting from upstream https://github.com/GNOME/gnome-shell/commit/1d235395765226a981fd31f16adae505ad8642de#diff-ea7efd941b083a785ba5e4b928a26d59
  * St: support css margin property From upstream https://github.com/GNOME/gnome-shell/commit/2935fd4ffe9176d28f68192bb34bdba1a0e57a2b and https://github.com/GNOME/gnome-shell/commit/216e996f6680a3ffb797caafe1ed29990360c8f1

  [ leigh123linux ]
  * Fix cursor black background when taking screenshot

  [ Jason Hicks ]
  * JS API misc/util.js: Add spawnCommandLineAsync

  [ JosephMcc ]
  * recent-applet: Fix wrong menu placement

  [ NikoKrause ]
  * Cinnamon Tutorial: Add instructions for xlet l10n

  [ Stephen Collins ]
  * User applet: Remove inaccurate comment - This is not actually the shutdown applet by Shelly

  [ JosephMcc ]
  * windowManager: Move handling of workspace switch effects to one place
  * window-list: Don't lose our focus style class when opening the context menu

  [ Stephen Collins ]
  * Settings widgets range: Add an optional argument to show the current value of on the scale widget. This was originally the way it worked in the xlet settings, but with the rework, that functionality wasn't reimplemented. This rendered the settings of several applets less usefull. This pull request reimplements the functionality for applets and also makes it available for cinnamon settings as well.
  * Show desktop applet: fix preview being stuck by keyboard-triggered menu open
  * settings.js: Rebuild the settings file if it becomes corrupted. If the settings have already been loaded, we use the latest version we have, otherwise we restore from defaults.

  [ JosephMcc ]
  * vertical-panels: Make proper calculations for panel intellihide

  [ Stephen Collins ]
  * Keyboard applet: always show something in panel edit mode
  * Power applet: always show something in panel edit mode

  [ Jason Hicks ]
  * JS API util.js: Add doNotReap parameter to trySpawn ct. itzexor

  [ Stephen Collins ]
  * util.js: add documentation for spawn_async

  [ Sam Burgos ]
  * added support to manage the systemd services available on the system

  [ Michael Webster ]
  * cs_startup.py: Add a "Run now" button for when a row is selected.

  [ Stephen Collins ]
  * Make sure applets that don't support vertical panels don't get droped on a vertical panel. This was happening with at least some applets, causing them to 'disappear', and could only be recovered by removing them from applet settings and readding them again.

  [ JosephMcc ]
  * cinnamon-settings: Fix some sliders being drawn backwards

  [ Stephen Collins ]
  * settings.js: Handle corrupt settings the right way. Fixes several issues with the previous implementation.
  * xlet settings: add list widget

  [ Odyseus ]
  * [Xlet settings] Fix reference to new option added to wrong element

  [ Clement Lefebvre ]
  * Settings: Add support for lightdm-settings

  [ NikoKrause ]
  * [xlets-about-dialog] show timestamp if exists else show version & show "more info" button

  [ itzexor ]
  * spawn_async: clean up the callbacks after we're done
  * looking-glass: use bracket notation for property accessors when inspecting
  * Environment: don't fail in toString()
  * looking-glass: set null results' value to "[null]"

  [ Lars Mueller ]
  * Fix panel timeout spinbuttons jumping around Fixes #6374

  [ Madh93 ]
  * Add Manjaro Support in System Info #6387

  [ brownsr ]
  * systray: add css class to permit theming
  * st-theme.c: rename confusing variable Compiler is complaining about shadow variables because the same variable names are defined in a function and in an if statement in the function

  [ itzexor ]
  * systray-applet: don't crash in on_applet_removed_from_panel

  [ brownsr ]
  * st-theme-node: remove a double declaration that gives a compiler warning
  * cinnamon-app-system: rename a doubly declared variable causing a compiler warning
  * st-background-effect: avoid a couple of ISO C90 compiler warnings

  [ Daniel Schürmann ]
  * Start inode/directory app instead unregistered x-scheme-handler/file in case of unmounted bookmarks

  [ brownsr ]
  * st-entry: change variable type to avoid compiler warning

  [ Lars Mueller ]
  * Add a chooser for "inode/directory" to be able to choose the default file manager

  [ brownsr ]
  * st-polygon: avoid a couple of ISO C90 compiler warnings

  [ leigh123linux ]
  * remove ENABLE_EXPERIMENTAL_API defines

  [ NikoKrause ]
  * xlet-settings: add missing string for l10n

  [ brownsr ]
  * st-box-layout: remove unused variable

  [ itzexor ]
  * panel.js: refactor Panel._showPanel and Panel._hidePanel
  * panel.js: don't clip the panel box shadow when showing after hide

  [ JosephMcc ]
  * cs_accessibility: Restore previous theme when disabling High Contrast

  [ Michael Webster ]
  * remove panelMenu.js, which is unused but for 2 applets.  There are a bunch of applets that import it but don't use it, all of which can be fixed now.

  [ JosephMcc ]
  * hotcorners: remove the icon option

  [ itzexor ]
  * cinnamon-looking-glass.py: handle numpad enter in entry

  [ leigh123linux ]
  * Remove aclocal as autoreconf runs it

  [ Odyseus ]
  * Fix for non translated applet names on Remove context menu items.

  [ Lars Mueller ]
  * [Xlets] Expose config deletion request to xlet
  * Revert "Fix panel timeout spinbuttons jumping around"
  * [cs_panel.py] Remove unused methods
  * [cs_panel.py] Better fix for jumping spinbuttons This fixes it, avoiding excessive disk writing

  [ brownsr ]
  * st-texture-cache: use convenience function to free linked list
  * modalDialog: avoid a js warning

  [ Michael Webster ]
  * utils: add check-js, to scan for runtime-breaking javascript syntax errors.

  [ brownsr ]
  * Adjustments after enabling margin for st
  * st-box-layout: change variable type to avoid compiler warning
  * st-drawing-area: redefine a variable to avoid a compiler warning
  * st-private: change variable types to match and so avoid compiler warnings
  * st-button: avoid redundant redeclaration compiler warnings
  * st-label: avoid redundant redeclaration compiler warnings
  * st-theme-node: avoid compiler warnings about redundant redeclarations
  * st-widget: avoid redundant duplicate declarations giving compiler warnings
  * st_theme: add missing enums and default case avoids compiler warnings done upstream

  [ Nicholas Carrington ]
  * cs_user.py: Save appropriately sized .face for cinnamon-screensaver

  [ JosephMcc ]
  * cs_mouse: Add new settings to control acceleration/sensitivity
  * power-applet: Add support for warning and error style classes

  [ Stephen Collins ]
  * cs_panel.py: rework individual panel page to simplify code, fix some bugy behavior, and improve readability

  [ brownsr ]
  * st-widget: use g_clear_pointer https://github.com/GNOME/gnome-shell/commit/4d1358b7ed483b3822ab889e4851cca2c3fa8841#diff-9ad11fdf581414b0f2501e50921d1052

  [ Harry Wynn-Williams ]
  * Update keybindings.js

  [ Clement Lefebvre ]
  * Adapt Cinnamon to multi-process CSD

  [ JosephMcc ]
  * messageTray: Show critical notifications in fullscreen

  [ itzexor ]
  * panel.js: fix missing variable declaration

  [ Stephen Collins ]
  * cs_panel.py: replace panel widgets with backended ones. This will hopefully ensure that the widgets are consistent with the rest of Cinnamon in terms of behavior and appearance, as well as easier to maintain.

  [ itzexor ]
  * panel.js: improve code uniformity in show/hide functions
  * panel.js: cleanup _processPanelAutoHide usage
  * panel.js: move clipping code into new _setClipRegion helper
  * panel.js: keep track of panelPosition and monitor changes
  * panel.js: refactor _moveResizePanel

  [ brownsr ]
  * St: support margin: corrections to PR 6271
  * st-scroll-bar: add default to case statement to avoid compiler warning done using g_return_val_if_reached as upstream
  * st-scroll-view: add missing enums and default case statements avoids compiler warnings missing enums are placed in the same places as upstream

  [ itzexor ]
  * layout.js: don't include clipped off areas in input region

  [ brownsr ]
  * st-theme-node: add defaults to case statements to avoid compiler warnings also treat an iso C warning by moving a variable declaration

  [ Elias Ojala ]
  * README file to reStructuredText file

  [ brownsr ]
  * st-widget: add missing enums to avoid compiler warnings
  * cinnamon-window-tracker: add default to case statement to avoid compiler warnings and a couple of other very minor changes, again to avoid compiler warnings
  * St: Margin: remove margin:auto from menu applet and default theme This avoids warning messages as margin:auto is not supported And it also means third party theme developers will not copy non-functional CSS The warning messages for the programmatic insertion of margin:auto in the menu applet were particularly cryptic

  [ JosephMcc ]
  * st: Fix a couple icon/text-shadow bugs

  [ Odyseus ]
  * cinnamon-json-makepot: Fix for undefined global name.

  [ mikee805 ]
  * Update cs_power.py

  [ Michael Webster ]
  * Use St.Icon instead of fetching icons from St.TextureCache.
  * all: adapt to changes for new cjs (gjs 1.48/mozjs38)

  [ itzexor ]
  * panel.js warning fix
  * lookingGlass.js: fix warning
  * sound-applet: fix warning

  [ JosephMcc ]
  * osdWindow: Fix the level bar display

  [ Michael Webster ]
  * Remove memory info stuff from looking glass, cinnamon-global.
  * control: adjust version reqs for libcjs
  * all: Some additional warning fixes due to gjs 1.48.0->1.48.2 changes.

  [ JosephMcc ]
  * panel-launchers: Fix the panel launcher animation

  [ itzexor ]
  * melange: don't freeze on quit with custom log watchers

  [ JosephMcc ]
  * desklet.js: Ignore an extra argument to setContent()

  [ Jason Hicks ]
  * js/ui/tooltip.js: Check if this.mousePosition is defined
  * Move this.mousePosition initial assignment to TooltipBase
  * Supress CJS mozjs38 warnings in applet, dbusMenu, indicator...
  * Correct indentation

  [ SteveMoto ]
  * reformatting and fix css (#6510)

  [ Simon Brown ]
  * cinnamon-util: sort out various compiler warnings (#6506)
  * cinnamon-perf-log: treat a couple of compiler warnings (#6503)
  * cinnamon-tray-manager: remove an ISO C compiler warning (#6505)
  * cinnamon-recorder: remove some compiler warnings (#6504)
  * cinnamon-doc-system: remove a couple of compiler warnings (#6502)
  * cinnamon-app-system: treat various compiler warnings (#6501)
  * cinnamon-app: avoid default case and integer/unsigned compiler warnings (#6498)
  * st-theme-node-drawing:  add default cases to switch statements to avoid compiler warnings (#6495)
  * workspace-switcher: correct undefined property warning (#6497)
  * na-tray-manager: remove an ISO C compiler warning (#6508)

  [ Jason Hicks ]
  * js/ui/dnd.js: Fix undefined error with mozjs38
  * ui/js/panel.js: Fix undefined this._dragShowId error with mozjs38
  * js/ui/appletManager: Fix undefined error with mozjs38
  * js/ui/extension: Fix undefined requiredArray[2] error with mozjs38
  * js/ui/appletManager: Fix invalid parameter count with mozjs38 for Gio.File.delete

  [ itzexor ]
  * main.js: improve logging of GLib.Errors and objects (#6486)

  [ NikoKrause ]
  * [menu-applet & panel-launchers] added new mouse cursors while dragging apps (#5859)

  [ Clement Lefebvre ]
  * l10n: Update POT file
  * l10n: Generate additional files

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 04 May 2017 16:02:56 +0100

cinnamon (3.2.8) serena; urgency=medium

  [ Michael Webster ]
  * menu applet: Only construct one context menu for recent files, and re-use it.
  * cs_screensaver.py: Re-use the Gtk.Socket always - it can hold both Gtk.Plugs and normal Gtk.Widgets, just treat it like a normal bin/container.  This seems to assist on ref-cleanup and child reaping when switching screensavers. (observed on Arch, reported on Arch and Fedora)
  * menu applet: Don't reconstruct recent files, just re-order, add, remove as required.
  * menu applet: Fix a couple of minor leaks (actors created but never added to a container - being GInitiallyUnowned, they never get their floating ref sunk, and so can't be unreffed.  Fix a prototype mis-match, and just rename GenericButton to NoRecentDocsButton, since that's the only user of it.
  * menu applet: Some fixes for previous commits, don't be so destructive when refreshing applications.
  * Revert "cs_screensaver.py: Re-use the Gtk.Socket always - it can hold both Gtk.Plugs"
  * Fix tuples for python 3.6
  * tooltips.js: add a hide timer to check if a tooltip should hide itself, but for various reasons never got to act on a leave-event (due to vagaries in event reporting).
  * recent applet: Rework to be non-destructive when updating the recent list (this brings a lot of the recent changes to the menu applet over to this one.)
  * recents, applets: Couple warning cleanups
  * network applet: Remove a useless log warning.  At some point more than a year ago we started getting these (possibly a change to network-manager), they have no value whatsoever, but fill up the log.

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 07 Jan 2017 11:19:30 +0000

cinnamon (3.2.7) serena; urgency=medium

  [ JosephMcc ]
  * cinnamon-settings: Do a better job of handling long labels

  [ Niklas Kreer ]
  * Update polling frequency to make the mouse tracking smoother

  [ Clement Lefebvre ]
  * Layout: Ignore NaN numbers when updating regions

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 22 Dec 2016 11:45:01 +0000

cinnamon (3.2.6) serena; urgency=medium

  * Revert "Remove the 20 recent files limit"
  * Recent documents: Don't store objects we don't need
  * Menu applet: Try/catch call to decodeURIComponent

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 13 Dec 2016 22:27:47 +0000

cinnamon (3.2.5) serena; urgency=medium

  * l10n: Generate additional files

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 12 Dec 2016 14:28:39 +0000

cinnamon (3.2.4) serena; urgency=medium

  [ Stephen Collins ]
  * Partial revert of 864f632a and handle premature signals from the file monitor gracefully

  [ Michael Webster ]
  * cs_screensaver.py: clear preview container any time the default screensaver is selected.

  [ JosephMcc ]
  * cinnamon-settings: Fix a couple of ugly buttons

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 11 Dec 2016 11:24:41 +0000

cinnamon (3.2.3) serena; urgency=medium

  [ Albert Pool ]
  * Remove the 20 recent files limit

  [ Odyseus ]
  * Default theme: Added support for applets with :checked pseudo class.

  [ Clement Lefebvre ]
  * sound applet: Add rhythmbox to the list of known players

  [ NikoKrause ]
  * [menu-applet] symbolic icons for contextMenu of appsButtons

  [ JosephMcc ]
  * icons: Add an icon for the "Run with NVIDIA" option in the menu

  [ Stephen Collins ]
  * Tutorials: Update the xlet settings tutorial and reference pages to reflect changes to the api in Cinnamon 3.2

  [ Germán Franco ]
  * workspace-switcher: avoid fast consecutive moves

  [ leigh123linux ]
  * Fix gi import version warning
  * Change shebang to use system python

  [ lestcape ]
  * Do not make inecessary iteration on popupmenu close function

  [ JosephMcc ]
  * SoundFileChooser: Fix showing incorrect names
  * SoundFileChooser: Change play icon

  [ NikoKrause ]
  * [menu-applet] fix file-exists-query and indentation

  [ Germán Franco ]
  * Fix typo, missing parenthesis

  [ brownsr ]
  * remove rtl code in vertical panel will require testing by 3rd party

  [ Michael Webster ]
  * menu applet, overrides.js: fix some loss in effectiveness of our vectorbox caused by feacb693f529bd7db2.  Having these calls within a callback, even one with no delay, was enough to provide for a bit of 'fuzziness' when defining/picking against the vectorbox's triangle, and preventing accidental category selection.

  [ Clement Lefebvre ]
  * cinnamon-launcher: Add support for mate-panel
  * cinnamon-launcher: Center fallback message dialog

  [ leigh123linux ]
  * add depends wget

  [ Clement Lefebvre ]
  * Calendar applet: Allow custom date formats in vertical panels
  * Calendar applet: Remove trailing spaces
  * Panel Launchers: Fix the ability to edit
  * l10n: Update POT file
  * Fallback mode: Kill the panel when restarting Cinnamon

  [ leigh123linux ]
  * Add setting to disable automatic screen rotation on tablet's
  * add orientation lock keybinding
  * add tooltip

  [ Darshaka Pathirana ]
  * screensaver settings: Add button with info on custom format

  [ Michael Webster ]
  * cs_screensaver.py: A few changes to improve reliability of the screensaver plugin previews.  Use Gio.Subprocess, it seems to be more reliable at cleaning up after itself.  And don't re-make the GtkSocket every time - connecting to socket's plug-removed and returning True prevents the socket from auto-destructing and also improves cleanup when changing row selection.

  [ itzexor ]
  * appletManager.js: fix max instance check when pasting applet config

  [ Clement Lefebvre ]
  * Info settings: Rephrase tooltip
  * l10n: Update POT file
  * Window list applet: Move preferences up in the context menu
  * General settings: Rephrase automatic rotation option
  * l10n: Update POT file

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 10 Dec 2016 12:15:31 +0000

cinnamon (3.2.2) serena; urgency=medium

  [ Clement Lefebvre ]
  * build: Make AX_ macros optional

  [ Odyseus ]
  * [Xlet settings] Fix for icon choosers stuck dialogs
  * [cinnamon-json-makepot] Added support for "title" key

  [ lestcape ]
  * Ensure a default icon size of 16px if the icon-size is not set in the indicator icon theme class.

  [ Germán Franco ]
  * [workspace-switcher] Fix buttons' size Buttons didn't get proper height (or width in vertical mode) if the auto-scale font setting was not enabled.

  [ NikoKrause ]
  * [sound-applet] removed ancient code for timeLabel
  * uniform names

  [ Stephen Collins ]
  * Restore ability to theme the menu applet menu separately from other menus

  [ JosephMcc ]
  * cs_effects: Disable menu animations when turning of window effects

  [ Odyseus ]
  * [applet.js] Re added ability to display a separator on applets context menus.
  * [applet.js] Added a mechanism to highlight applets with open menus.

  [ NikoKrause ]
  * [menu-applet] fix keynav issues with TAB and right

  [ lestcape ]
  * Use the Gio library for establish the file permissions in replace of the spawnCommandLine usage.

  [ itzexor ]
  * panel-launchers: close the menu before destroying when removing launcher

  [ Odyseus ]
  * [Xlet settings] Added translation mechanism to xlets settings windows

  [ itzexor ]
  * cs_backgrounds.py: fix thumb generation on LMDE2

  [ NikoKrause ]
  * [sound-applet] remove show percentage label for slider option

  [ JosephMcc ]
  * theme: Fix theming of the workspace switcher

  [ NikoKrause ]
  * typo

  [ Clement Lefebvre ]
  * l10n: Update POT file

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 23 Nov 2016 13:02:10 +0000

cinnamon (3.2.1) serena; urgency=medium

  [ kloun ]
  * rm obsolute and unsupport NEWS file

  [ Michael Webster ]
  * keyboard applet: Fix positioning of the flag render within its actor.
  * Fix some runtime warnings - in the sound applet, object construction is too soon to get the theme node, wait until 'style-changed' signal is sent by the main actor.  In the menu applet, remove return values of navigateContextMenu() - there is only one user of this function, and they don't check for a value.
  * keyboard applet: Allow flag icon to properly scale its size to match the panel and preferences.  Monkey patch some St.Icon methods to the EmblemedIcon class so we can use the existing applet icon sizing calculations by pretending we're just another icon hanging around, getting things done.

  [ NikoKrause ]
  * [menu-applet] fix warnings caused by keynavigation

  [ Clement Lefebvre ]
  * Update ./test script
  * Info settings: Add upload-system-info button
  * l10n: Update POT file
  * Info settings: Add tooltip to upload button
  * Fix typo
  * l10n: Update POT file

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 08 Nov 2016 14:26:20 +0000

cinnamon (3.2.0) serena; urgency=medium

  [ Margarita Manterola ]
  * Re-order and re-word idle-delay and re-word lock-enabled

  [ AlbertJP ]
  * Resize a thumbnail when the window resizes

  [ Henry Williams ]
  * Add Remove button for Xlets

  [ dralley ]
  * Added gi.require_version() in many, many, many places

  [ Michael Webster ]
  * cs_keyboard.py: Fix keybindings for quiet volume up and down (they were showing the same keys as normal volume-up/down.)

  [ JosephMcc ]
  * Add the ability to play a sound effect when showing notifications

  [ Corbin Auriti ]
  * Clean up output filenames on the tracker search provider

  [ Antti Nilakari ]
  * Show flags based on short name of language in keyboard applet

  [ Stephen Collins ]
  * Settings: switch gsettings widgets to use new settings backend:
  * Add json settings backend to settings widgets
  * settings.js: rewrite to simplify code and aviod the use of object.watch() which can be costly on resources
  * Revamp the xlet settings: - xlet settings now open in their own window/process - matches new style of cinnamon settings - now supports pages and sections in the settings file - instances are now automatically highlighted in the panel when the instance is selected in the settings window (uses a new 'highlight' pseudoclass) - uses the new JSON backend for easier maintenance and simplification of the code - added support for backendable widgets which were not previously available to the xlet settings api - updated for newer Gtk versions - added a new configure function to applets and desklets
  * Udate some of the applets and desklet to use the new settings api

  [ brownsr ]
  * Give more informative message when starting to remove applet
  * wrap applet description At the moment a long applet description will push the subsequent icons off the visible screen which is likely to confuse some.  Scaling up font or text scaling exacerbates this Some simple column wrapping avoids the issue

  [ Michael Webster ]
  * Add cinnamon-related debug packages to cinnamon-dbg package

  [ Clement Lefebvre ]
  * Localize the applet name in previous commit

  [ Maximiliano Curia ]
  * Migrate away from gnome-common deprecated vars and macros

  [ IHaveThatPower ]
  * Corrected "output" to "input"

  [ collinss ]
  * settings.js: fix some settings not updating due to unspecific conditional
  * appletManager.js: (multi-instance) fix applet setting file not being removed with applet

  [ Marcus Lundgren ]
  * sound applet: Add a menu that allows the user to switch between active players

  [ JosephMcc ]
  * panel-launchers: Fix an undeclared variable warning

  [ Giulio Girardi ]
  * Menu applet: Show 'Run with nVidia GPU' in context menu

  [ collinss ]
  * Fix background settings color chooser not working

  [ brownsr ]
  * Vertical panels

  [ JosephMcc ]
  * build: Bump the required gtk version

  [ Marcus Lundgren ]
  * sound applet: Remove entry in players list if player doesn't exist when switching - Make sure to always use the correct player owner when performing a switch

  [ Michael Webster ]
  * workspace-switcher applet: Use the WindowManager functions to switch workspaces when using the mousewheel - this ensures that:

  [ collinss ]
  * JsonSettingsWidgets.py: Ignore dependency key that doesn't exist with a warning rather than failing with an error
  * Settings widgets: add backendable date chooser widget
  * Refactor sound chooser widgets to simplify and avoid unnecessary duplication of code
  * Fix xlet settings not upgrading properly with new key
  * Fix panel-launchers add/edit dialog not working

  [ Michael Webster ]
  * keyboard layout applet: Fix showing the correct flags.

  [ JosephMcc ]
  * window-list: Don't hide the current workspace in context menu
  * ExtensionCore.py: Don't show the uuid to the user

  [ itzexor ]
  * cinnamon-settings: remove unused webkit code and dependency

  [ Corbin ]
  * Make the whole BalanceBar insensitive when the channel map is changed
  * Fix some device icon spacing issues

  [ Dan Dascalescu ]
  * Explain where to look for components to file bugs properly

  [ MajidSas ]
  * change the maximum delay for backgrounds slideshow

  [ collinss ]
  * settings.js: fix error caused by missing quotations

  [ dralley ]
  * Convert cinnamon bin utils to Python 3

  [ Michael Webster ]
  * window-list applet: Listen to a new signal from muffin's MetaScreen which will notify when an item should be add or removed due to its skip_taskbar hint changing.

  [ JosephMcc ]
  * cs_panel: Fix some terminology
  *  panels: Allow themes to set separate default width and height values for panels
  * theme: Stop panel launchers from jumping around in vertical panels on hover
  * theme: Use a larger width for vertical panels in the default theme

  [ Michael Webster ]
  * menu applet: Make the hover delay create a delay in opening the menu on hover, *not* changing categories.  There should never be a delay switching categories.

  [ Pierre G. Bogossian ]
  * sound applet: bind mouse buttons 4/5 to previous/next track NB: mouse buttons 4 and 5 (aka back/forward buttons) are numbered 8 and 9 by X

  [ Michael Webster ]
  * st-cogl-wrapper.c: Don't ignore cogl parameters.

  [ itzexor ]
  * cs_backgrounds.py: Use built in mimetypes module
  * cs_backgrounds.py: Refactor disk caching

  [ Clement Lefebvre ]
  * Fixed build

  [ JosephMcc ]
  * window-list: Rework for vertical panels
  * theme: Set a 32px size for vertical panels
  * window-list: Allow themes to control spacing between items

  [ brownsr ]
  * vertical panels: put the notification count under the notification symbol This keeps things central in the panel and avoids problems with the panel width being able to accomodate icon+text label unless there is a silly number of notifications.

  [ Marcus Lundgren ]
  * sound applet: Removed unnecessary call to remove player.

  [ Michael Webster ]
  * cinnamon-util: Add cinnamon_get_file_contents_utf8 asynchronous function with callback.  Mark _sync version as deprecated.
  * cinnamon-util.c: Don't leave a cinnamon_get_file_contents_utf8 caller hanging, always run the callback, even with a NULL result.

  [ Balló György ]
  * Follow the Icon Naming Specification

  [ itzexor ]
  * cs_backgrounds.py: Don't check mimetype if filename is None

  [ Balló György ]
  * removable-drives applet: don't hardcode Nemo

  [ Lars Mueller ]
  * Remove panel barriers on panel removal

  [ itzexor ]
  * cs_backgrounds.py: Apply white background to RGBA images

  [ Michael Webster ]
  * JsonSettingsWidgets.py: close file objects.  settings.js: remove file monitor, push all settings changes thru Cinnamon's dbus interface.

  [ brownsr ]
  * Indentation corrections to remove inadvertent tabs also corrected an erroneous variable reference in a log message

  [ NikoKrause ]
  * [show-desktop applet] new feature added: Peek at desktop
  * [keyboard applet] added switch in settings to use uppercase letters in panel

  [ brownsr ]
  * minor change into a more natural case statement
  * centre align the centre box in a vertical panel and also clean up an if sequence, a few related comments, and a misalignment

  [ Michael Webster ]
  * settings.js: don't try to use python in javascript.  Also, payload is just the raw value string, not an array or variant array.

  [ itzexor ]
  * panelMenu.js: fix incorrect logic

  [ Clement Lefebvre ]
  * Show-desktop applet: Enabled peek-at-desktop, rephrased settings
  * Keyboard applet: Fixed typo
  * Fixed typos in files/usr/bin/cinnamon-settings

  [ JosephMcc ]
  * applet.js: Properly layout applets in vertical panels
  * user-applet: Properly hide the panel label in vertical panels
  * applet.js: Fix visual alignment of Text applets in vertical panels
  * notification-applet: Fix the layout in vertical panels
  * menu-applet: Fix the layout of the menu applet in vertical panels
  * power-applet: Fix layout in vertical panels
  * workspace-switcher: Don't allow the visual style layout in vertical panels
  * spacer-applet: Adapt layout for vertical panels

  [ Michael Webster ]
  * Revert "Revert "keyboard layout applet: Fix showing the correct flags.""

  [ JosephMcc ]
  * sound-applet: Adapt layout for vertical panels
  * separator applet: Clean up some code styling
  * a11y-applet: Don't allow the a11y applet in vertical panels
  * sound-applet: Properly hide/show label on initial load
  * applet.js: Clean up the code a bit

  [ itzexor ]
  * write-applet.xml: fix incorrect example code

  [ brownsr ]
  * correct applet context menu on panel orientation move Thanks @lestcape

  [ Jess Wu ]
  * Fix grammar mistakes in source files

  [ NikoKrause ]
  * [menu-applet] hiding favorites box leaves an empty box in the menu, this should fix this

  [ itzexor ]
  * show desktop applet: keep track of peek timeout id
  * show desktop applet: various cleanups

  [ brownsr ]
  * Correct drag and drop bugs in panel launcher 1) an issue that looks to have been there before the vertical panels change where    drag and drop within the panel launcher would drop icons in unscaled rather    than at the same scale as the other icons 2) a vertical panels issue where the drag and drop code was assuming horizontal orientation    and so was calculating both the position in the list of icons and the new position in the    actor incorrectly 3) took the opportunity to correct a number of minor indentation issues
  * correct window list internal drag and drop for vertical panels 1) The override on the allowable drag direction was not set to allow vertical dragging    also previous override needed clearing when orientation changed 2) Removed a few stray tabs etc. 3) Calculated the drop position correctly for vertical panels

  [ NikoKrause ]
  * [window-list applet] using icons on context menu

  [ itzexor ]
  * panel.js: add dialog to launch settings when the last panel is removed
  * panel.js: don't try to hide the panel if it's destroyed

  [ Michael Webster ]
  * Keyboard layout applet: Update to use new XAppKbdLayoutController to supply appropriate icons and short names, and as a general wrapper around libgnomekbd for layout control.
  * Remove flag folder for keyboard applet (provided by libxapp now)

  [ JosephMcc ]
  * systray: Clean up code formatting

  [ Michael Webster ]
  * keyboard layout applet: Use this._config.get_enabled() to check whether applet should be 'active'

  [ NikoKrause ]
  * [menu-applet] a more intuitive way of navigating through the menu with the keyboard

  [ itzexor ]
  * appletManager.js: fix removeAppletFromPanels

  [ collinss ]
  * Move all settings chooser button code to it's own file
  * xlet settings: Replace old binding function in settings.js with two new ones and allow multiple bindings on the same key

  [ JosephMcc ]
  * applets: Change how applets set the type of panel they are allowed in

  [ leigh123linux ]
  * remove grabber

  [ NikoKrause ]
  * [menu-applet] fixed key-navigation of filesystem search path

  [ Lars Mueller ]
  * Fix tooltip position This fixes the tooltip position on the first show of a tooltip. Previously, the extents fetched from the actor were wrong, because the actor had never been allocated before.

  [ JosephMcc ]
  * cs_themes: Don't show duplicate themes

  [ NikoKrause ]
  * [menu-applet] create favBox, even if it's not shown at Cinnamon restart

  [ itzexor ]
  * st-scroll-view.c: move comment up and remove indentation For whatever reason, this comment hangs g-ir-scanner indefinitely with version 1.50 of gobject-introspection in Arch Linux, at least on my machine. Moving the comment onto its own line fixes this issue.

  [ NikoKrause ]
  * [menu-applet] clear recent list applet with ENTER-key
  * [menu-applet] show AppDescription only on hovered buttons and hover allAppsCatButton when search pattern is deleted

  [ Balló György ]
  * Remove dependency on GConf

  [ collinss ]
  * ChooserButtonWidgets.py: add missing imports

  [ Michael Webster ]
  * cs_screensaver.py: rename date/time section to customize, rename combobox selections to be more grammatically correct

  [ itzexor ]
  * cinnamon-global.c: fix a gi warning

  [ JosephMcc ]
  * messageTray: Fix the placement of notifications

  [ Michael Webster ]
  * keyboard applet: restore upper-case option, fix regression from xlet settings revamp.

  [ brownsr ]
  * workspace switcher - change whether graph is shown or not At the moment the graph is suppressed in vertical panels because a long wide workspace resulting from multiple monitors results in an unworkable graph when scaled to fit the panel width. Change this to test on the workspace size ratio, as this will permit single monitor setups to have the workspace graph
  * add vertical style class to workspace switcher No code is needed to remove it as buttons are rebuilt from scratch when panels are moved between orientations. Linked to a change to improve appearance of this applet in vertical panels in Mint-X themes

  [ NikoKrause ]
  * [menu-applet] decodeUriComponent in placesManager.js and docInfo.js

  [ brownsr ]
  * refactor if sequence to case statement, and sort alignment

  [ NikoKrause ]
  * added PopupSwitchIconMenuItem and used it in sound-applet

  [ Michael Webster ]
  * cinnamon-settings: On widgets that don't use bind functions, connect to the widget changed handlers only after setting their initial value.  This prevents on_settings_changed() from being triggered right away, as well as a subsequent trigger of the widget changed handler (for a second time.)

  [ brownsr ]
  * make accessibility applet suitable for vertical panels The issue is that sticky keys make use of the applet label to display and this is not compatible with a vertical panel. Resolve this by re-purposing the applet tooltip to show the sticky keys in a vertical panel The functionality in a horizontal panel is unchanged.  The tooltip also shows normally in all cases excepting when the relevant keys are actually pressed

  [ JosephMcc ]
  * inhibit-applet: Fix an oversized menu item

  [ Clement Lefebvre ]
  * Fixed typo in js/ui/popupMenu.js
  * Revert "Fixed typo in js/ui/popupMenu.js"

  [ Michael Webster ]
  * windowAttentionHandler.js: fix logic for matching ignored wmclass names.

  [ brownsr ]
  * correct unreactive top/bottom strip in vertical panels fixes #5748.

  [ Germán Franco ]
  * Style sound applet overlay controls  * Added buttons styling same as other in the theme  * Change color to fit the theme

  [ JosephMcc ]
  * panel-launchers: Redesign the launcher context menu
  * window-list: Add the standard applet context menu items
  * window-list: Tweak the settings layout
  * panel-launchers: Tweak the layout of the settings
  * notifications-applet: Tweak the layout of the settings
  * calendar-applet: Tweak the layout of the settings
  * keyboard-applet: Tweak the layout of the settings
  * expo-applet: Tweak the layout of the settings

  [ Michael Webster ]
  * menu applet: Fix hover delay tooltip

  [ JosephMcc ]
  * window-list: Fix an undeclared variable warning

  [ collinss ]
  * Remove the boxpointer from popup menus

  [ NikoKrause ]
  * [menu-applet] fixes https://github.com/linuxmint/Cinnamon/issues/5820
  * [sound-applet] added dependencies in the settings-schema
  * [menu-applet] rewritten keynavigation codeblock

  [ Odyseus ]
  * [Hot Corners] Added hover delay functionality. Added tooltips to hot corner icons. Corrected some minor indentation/white space inconsistencies. Closes linuxmint/Cinnamon#1050

  [ Clement Lefebvre ]
  * Enable vfade effect by default

  [ NikoKrause ]
  * [sound-applet] add option: show percentage next to volume slider

  [ Lars Mueller ]
  * Fix menu item order in window list This fixes a problem, when the menu orientation is not St.Side.TOP. the menu box layout was is reverse order.

  [ JosephMcc ]
  * popupMenu: Mark the new 'menu' style class as important

  [ lestcape ]
  * Improving slightly the appindicators.
  * Allow the appindicator used the theme icon size if is not in scale mode.
  * Remove the boxpointer features of the indicator API.

  [ JosephMcc ]
  * panel.js: Change the order which panels are drawn

  [ itzexor ]
  * cs_screensaver.py: expose new cinnamon screensaver settings
  * cinnamon-settings.py: refactor maybe_resize slightly

  [ brownsr ]
  * ensure applets that override on_panel_height_changed  get to scale properly The logic in the common applet code has been changed so that the scaling is not overridden by the locally overridden function.  The local function thus becomes additional to the core function, rather than overriding it in its entirety. This also corrects errors associated with turning scale mode on and off. One more associated change to the window-list applet in a vertical panel will be needed but as there are changes queued up for that I think it's best done subsequently fixes #5700
  * Ensure that the edge of the screen reacts to mouse clicks Previously the outside couple of pixels were unreactive.  This was set so as to avoid recursion errors but these seem no longer to be there, so this resets to the desired behaviour

  [ itzexor ]
  * lookingGlass.js: inspect: better handle undefined and null values
  * menu applet: remove keybinding when applet is removed from panel
  * menu applet: make menu hotkey binding per-instance

  [ Odyseus ]
  * [Menu applet] Added keyboard navigation for context menus.

  [ Clement Lefebvre ]
  * Simplify backgroundManager

  [ Odyseus ]
  * [Xlet settings] "entry" and "iconchooser" elements modifications.

  [ JosephMcc ]
  * workspace-swithcer: Fix the vertical style class

  [ NikoKrause ]
  * [menu-applet] hide recent files, which are no longer available

  [ Odyseus ]
  * [Xlet settings] Added support for "button" to extensions settings windows.
  * [Tooltips] Fixed positioning of tooltips.

  [ Clement Lefebvre ]
  * sound: Add xplayer to the list of players without seek support

  [ JosephMcc ]
  * panel-launchers: Fix 'Add' and 'Edit' not working
  * menu-applet: Add a setting for the new menu animations

  [ Clement Lefebvre ]
  * Update POT file
  * Generate additional files

  [ NikoKrause ]
  * [menu-applet] keynav: make sure to scroll the appsBox to top if category is changed

  [ Michael Webster ]
  * keyboard applet: Rework to sync with changes to XApp.KbdLayoutController - the controller provides only icon names now.  Handle icon construction ourselves.
  * cs_screensaver.py: Update to reflect new preferences, remove old ones that are now in keyboard->region panel.

  [ JosephMcc ]
  * popupMenu: Insert menus that open from the panel below the panels

  [ Alex Peters ]
  * avoid varying space between month and day

  [ Clement Lefebvre ]
  * screensaver setttings: Rephrase some of the msgids
  * Xlet settings: Add support for alpha colors in ColorChooser
  * Fix JS warning
  * Tooltips: Round coordinates
  * l10n: Update POT file

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 07 Nov 2016 16:12:22 +0000

cinnamon (3.0.7) sarah; urgency=medium

  [ Jonathan Washington ]
  * fixes https://github.com/linuxmint/Cinnamon/issues/5410 (Power settings segfault)

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 14 Jul 2016 22:51:08 +0200

cinnamon (3.0.6) sarah; urgency=medium

  [ JosephMcc ]
  * Add a generic "bluetooth" icon

  [ Michael Webster ]
  * power applet: Don't connect to any signals that call _devicesChanged until we have the power proxy (since the callbacks assume we do have it).
  * windowAttentionHandler.js: make the ignored app check case- insensitive.  While we're here make it a gsettings array for convenience.
  * org.cinnamon.gschema.in - add pidgin to ignored wm classes.

  [ Clement Lefebvre ]
  * Touchpad settings: Invert motion-threshold setting widget

  [ Michael Webster ]
  * appletManager.js: Fix copy/pasting applet panel applet layouts. Extension.get_max_instances() needed an extra argument, and then we were doing work twice - finished removing obsolete code.
  * cinnamon-recorder: fix crash when starting recorder...
  * cinnamon-recorder.c: restore avoidance of the panel when drawing the recording indicators.  This was removed during some panel work a while back and never restored.  Always draw them on the primary monitor now (the only monitor with reliable, simple-to-get workarea information).

  [ leigh123linux ]
  * fix spelling mistakes

  [ Michael Webster ]
  * onscreen keyboard: Add option to change activation behavior - accessible mode has the keyboard appear whenever focus demands it (ordinary accessibility behavior).  On-demand mode will have the keyboard only appear when the user requests it via an applet click or keyboard shortcut.

  [ Clement Lefebvre ]
  * Themes settings: Fixed loading icon themes when a theme isn't readable

  [ Michael Webster ]
  * popupMenu.js: use the signalManager.disconnect correctly - the source actor (the panel actor for the applet) has to be the second argument, the object to disconnect from.  Was causing flickering in the menu applet after repositioning it.

  [ Clement Lefebvre ]
  * Makepot
  * Settings: Don't hardcode "more info" link color in spices modules
  * [desrt] network: properly remove connections from list
  * Network applet: Fixed icon not showing VPN status
  * Network applet: Delete trailing spaces
  * Network applet: Fixed applet showing "Auto" wireless connection when turning wifi OFF and then back ON.

  [ Michael Webster ]
  * tray icons: Bump icon request to 24, then scale back to 20 in the applet.  This is needed due to changes to GtkIconSize values in Gtk3. GtkStatusIcon iterates thru the built-in icon sizes to pick an appropriate icon to use, and as of 3.18 there are no sizes between 16 and 24px.

  [ Clement Lefebvre ]
  * Preferred application settings: Set mimetypes more exhaustively

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 23 Jun 2016 13:39:10 +0100

cinnamon (3.0.5) sarah; urgency=medium

  [ JosephMcc ]
  * cinnamon-settings: Remove hard-coded theming for the main cinnamon-settings icon view

  [ Clement Lefebvre ]
  * Background settings: Apply EXIF rotations to thumbnails

  [ Michael Webster ]
  * cinnamon-util.c: cinnamon_util_get_icon_for_uri.c - use a custom icon if one is set in metadata (via file manager).

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 31 May 2016 09:54:44 +0100

cinnamon (3.0.4) sarah; urgency=medium

  [ Clement Lefebvre ]
  * Updated pot file

  [ Michael Webster ]
  * cs_effects: Only show overlay scrollbar toggle when using gtk3 >= 3.16.
  * sound applet: Use an icon that actually exists for blank coverart.

  [ JosephMcc ]
  * sound-applet: Fix an icon name

  [ Clement Lefebvre ]
  * Ignore accents/stokes when searching the menu or cinnamon-settings
  * Menu applet: Removed trailing spaces
  * Menu applet: Don't refresh twice at the same time.

  [ Lars Mueller ]
  * [Menu applet] Fix not cleared drag placeholder in favorites box This fixes the uncleared drag placeholder in the favorites box, if an application was dragged over, but not dropped on the favorites box This is for #5322

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 23 May 2016 12:51:41 +0100

cinnamon (3.0.3) sarah; urgency=medium

  [ Dustin Falgout ]
  * Ensure label text is properly escaped before applying it with set_markup() Fixes #5287
  * fix typo

  [ Michael Webster ]
  * SettingsWidgets.py: use a more compatible GFileMonitorFlags - WATCH_MOVES is not available in Mint 17/glib 2.40
  * cinnamon-settings: include module keywords in desktop files
  * cinnamon-app: provide access to desktop file keywords.  Use them in the menu applet search.
  * generated desktop files: re-run, to remove unnecessary comment
  * extensions: Check extensions for unsafe calls (synchronous, etc.. things that can potentially freeze Cinnamon) and make the user aware of them in cinnamon settings.
  * ExtensionCore.py: scan_extension_thread - if the metadata.json file is not found, this must be a versioned xlet, check the parent folder for it instead.
  * cs_power.py: Expose setting to allow lid-closed action even when external monitors are attached.
  * messageTray.js: Don't let notifications with buttons fade on mouse-over.

  [ itzexor ]
  * menu applet: use app id instead of app name for searches prevents duplicate search results for apps with the same desktop entry name when searching with a more specific term
  * sound applet: smplayer: fix artist metadata display and disable seek While seeking does work, after the first time you seek the amount seeked is incorrect. It appears to seek the amount between the beginning of the seek bar and where you released the click instead.

  [ Michael Webster ]
  * cs_themes: Add setting for dark theme variant preference.  This is only settable from ~/.config/gtk-3.0/settings.ini, so add the ability to modify that as well.
  * cs_effects.py: Expose gtk-overlay-scrollbar setting.

  [ JosephMcc ]
  * cs_sound: Set selection mode to none on the SoundBox() object

  [ NikoKrause ]
  * Missing semicolon
  * Missing semicolon

  [ Clement Lefebvre ]
  * Settings: Don't include text/html in the source code mimetypes

  [ Michael Webster ]
  * st-texture-cache.c: use g_themed_icon_new instead of g_themed_icon_new_with_default_fallbacks.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 20 May 2016 12:04:29 +0100

cinnamon (3.0.2) sarah; urgency=medium

  [ ion201 ]
  * Cache generated thumbnails

  [ Lars Mueller ]
  * Fix desktop effects on dialogs and menus This prevents desktop effects on dialogs and menus from being used if desktop-effects is turned off. It's like already like this in the effects settings dialog.

  [ Clement Lefebvre ]
  * Power applet: Fixed declaration of alias variable
  * Window list: Fixed call on null object

  [ Stephen Collins ]
  * Fix handling of device icon where gicon is None (partially fixes #5248)

  [ JosephMcc ]
  * cinnamon-settings: Don't set the stack switcher to use the main settings stack on creation This is causing visual glitches in a lot of gtk themes when changing from the main icon view to a page that displays the stack switcher

  [ Stephen Collins ]
  * Fix highlighting not working correctly for multiple instances of an applet

  [ Michael Webster ]
  * ExtensionCore.py: Don't break when an xlet provides a bad icon file.

  [ Jason Jackson ]
  * Added null conditional to return empty array when get_devices returns null

  [ brownsr ]
  * correct potential infinite loop

  [ Michael Webster ]
  * accessibility settings: don't use packagekit for now when looking for assistance programs that are installed.  Just look for their binaries, and notify if not installed.  Watch the bin folders in case the user installs the dependency and doesn't restart cinnamon settings.
  * cs_sound.py: Add a close button to the speaker test dialog.

  [ ion201 ]
  * Fix image close crash

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 10 May 2016 16:38:11 +0100

cinnamon (3.0.1) sarah; urgency=medium

  [ JosephMcc ]
  * extensions: Fix the alignment of the rating number in the "Get more" pages so it won't get covered by overlay scrollbars

  [ leigh123linux ]
  * bump muffin version because of API changes

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 25 Apr 2016 10:10:43 +0100

cinnamon (3.0.0) sarah; urgency=medium

  [ A-Shahbazi ]
  * add option to show/hide favbox in menu applet

  [ Corbin ]
  * Added new default application buttons

  [ trolleyyy ]
  * show panel-launchers actions
  * tab indents into space indents, more item without dots

  [ Stephen Collins ]
  * Move sound settings to python as a native module

  [ JosephMcc ]
  * Add a custom page to display when no input devices are available or applications are currently playing. Add a custom settings box for the sound effects page to prevent getting a very tall window when opening the settings. Make a few tweaks to the test sound dialog and add the relevant icons.

  [ Stephen Collins ]
  * Some visual tweaks to the sound settings:
  * Sound settings: add mute to all volume controls

  [ Michael Webster ]
  * cs_sound.py: Few fixes to the volume slider/mute button:
  * layout.js: Remove code for interaction with the screensaver.  It was always broken until 2.8.7, where I 'fixed' it, and has caused some reported regression where the panels will be hidden after returning from the screensaver.

  [ itzexor ]
  * cs_sound.py: add padding to the end of stream names in applications page

  [ s3rj1k ]
  * Viber stealing focus fix

  [ Michael Webster ]
  * magnifier.js: update the lens size as well as shape when we turn on lens mode.
  * Generate new desktop files for sound and accessibility

  [ Clement Lefebvre ]
  * Touchpad settings: Rename "natural scrolling" to "reverse scrolling direction"

  [ Martín Ferrari ]
  * Fix middle click action in the photo frame

  [ Maximiliano Curia ]
  * photoframe: recurse subdirectories

  [ Clement Lefebvre ]
  * Sound settings: Fixed device not showing when its icon isn't found (fixes bluetooth devices not showing up)
  * Power settings: Don't add the Gtk.Stack if it's empty (Fixes https://github.com/linuxmint/Cinnamon/issues/5194)
  * Power settings/applet: Let the user rename battery powered devices
  * Power settings: Fix power bars not being aligned
  * Startup settings: Fix https://github.com/linuxmint/Cinnamon/issues/5199

  [ Michael Webster ]
  * tooltips.js: hide if the stage's key focus changes - prevents tooltips from becoming stuck if you use the keyboard to switch focus (hit the menu key while a window list preview is showing.)

  [ JosephMcc ]
  * cs_keyboard: Add a "wide" style class to the pane separator in the shortcuts page and remove some unneeded padding so this looks a little nicer in most newer themes
  * effects: Enable effects on dialogs and menus by default

  [ Clement Lefebvre ]
  * Sound applet: Correctly identify changed artwork from Spotify (and add support for new URLs in version 0.27.x)
  * Theme settings: Don't filter themes missing gtk-3.0 if they provide gtk-3.*

  [ brownsr ]
  * show multi line descriptions in applet about:  Fix #5193

  [ Clement Lefebvre ]
  * Sound applet: Use wget to download remote artwork covers

  [ JosephMcc ]
  * layout: Tweak the handling of menus in the top_window_group to match muffin changes

  [ Clement Lefebvre ]
  * Cinnamon Settings: Fixed gi.require_version warnings
  * Cinnamon Settings: Remove a couple of old debug output
  * Cinnamon Settings: Retire cinnamon-bluetooth (replaced with Blueberry)

  [ Michael Webster ]
  * Revert "St-texture-cache: Don't monitor file changes (should increase performance, might cause regressions in cases where the St texture needs to be refreshed following a file change)"

  [ JosephMcc ]
  * panel-launcher: Fix an undeclared variable warning

  [ Daniel Alley ]
  * Fixed cinnamon slideshow error (Issue #4280)

  [ JosephMcc ]
  * Adjust to Muffin API changes for handling fullscreen windows
  * Extensions: Fix the "Disable all extensions" not working

  [ Clement Lefebvre ]
  * Updated generated files
  * Updated pot file
  * Packaging: Bumped internal dependencies

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 24 Apr 2016 14:02:02 +0100

cinnamon (2.8.7) rosa; urgency=medium

  [ Michael Webster ]
  * cs_keyboard.py: Fix event handlers for teaching keybindings - the cursor-down and -up keys were being incorrectly used to navigate the tree view during teach mode, and it was breaking focus (and cancelling the teach.)
  * magnifier: limit max zoom to a reasonable value
  * menu applet: Fix vfade in the program list - it was only showing when desktop zoom was turned entirely off.  We've reworked zoom since then, so that the .applications key only determines whether we listen to key and mouse bindings or not - actual zoom activation occurs only when the magnification factor becomes > 1.0.
  * screensaver: Fix proxy to listen to the correct service, fix layout changes when the screensaver starts/stops.
  * layout.js: get an actual boolean from the screensaver proxy.
  * signalManager.js: pass argument array correctly, and don't wipe out this._storage when filtering out disconnected items.
  * cinnamonDBus: rename Cinnamon to CinnamonDBus, and import Cinnamon so screenshot calls work.

  [ JosephMcc ]
  * window-list: Prevent the window list thumbnails from showing when the applets context menu is open
  * window-list: Properly update the label in the window preview. Fixes https://github.com/linuxmint/Cinnamon/issues/4879
  * cs_backgrounds: For an update of some of the reveal children on initial page load to fix some settings not showing properly

  [ Rob Adams ]
  * Fix D-Bus methods for screen capture

  [ itzexor ]
  * util.js: do not modify error message

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 07 Mar 2016 17:21:41 +0000

cinnamon (2.8.6) rosa; urgency=medium

  [ JosephMcc ]
  * launcher-editor: Implement the idea in https://github.com/linuxmint/Cinnamon/issues/4849 makes more sense for than the current behavior. Do the same for directory-editor.ui
  * window-list: Properly scale the window previews for hidpi

  [ Dexter Chua ]
  * popupmenu.js: Fix documentation

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 26 Nov 2015 20:35:01 +0000

cinnamon (2.8.5) rosa; urgency=medium

  [ Michael Webster ]
  * workspace-switcher applet: update relevant workspace graph when a window is added or removed from a workspace.
  * workspace-switcher applet: Don't ignore maximized windows in the graph

  [ Michal ]
  * #4767: Handle situations when /usr/lib64 is a symlink to /usr/lib and vice versa on some distributions causing modules are being loaded multiple times
  * #4357: Replace has_icon method with lookup_icon one to fix missing flags icons in keyboard applet

  [ Dexter Chua ]
  * signalManager.js: fix typo (fixes #4818)

  [ JosephMcc ]
  * effects: Currently when setting the minimize animation to "traditional" no sound effect is used when restoring the window. Change this so the minimize sound is played in this case.

  [ Clement Lefebvre ]
  * Sound applet: Close menu when closing media player.

  [ Lars Mueller ]
  * Fix menu applet's graphical oddity during search This is fixing #4845

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 20 Nov 2015 17:13:52 +0000

cinnamon (2.8.4) rosa; urgency=medium

  [ Lars Mueller ]
  * Fix a timer issue in TooltipBase In rare cases, two enter events occurred without a leave event in between, leaving an orphaned _showTimer behind
  * Same fix for the overriden _onEnterEvent in the window list applet as in TooltipBase

  [ pixunil ]
  * Sound applet: Fetch the status of Loop and Shuffle at the beginning, not just on update

  [ Björn Richter ]
  * Fix: user_data is not passed to callback

  [ Michael Webster ]
  * js/ui/keybindings.js: Remove idle function for media keys.  This is implemented in muffin now, for *all* muffin-managed keybindings.

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 11 Nov 2015 19:00:34 +0000

cinnamon (2.8.3) rosa; urgency=medium

  [ JosephMcc ]
  * layout.js: Rework our strut handling code to better handle multi-monitor situations
  * effects: Set the default settings to actually match the default "Cinnamon" style so these get used on new installs
  * desklet/boxpoiner: Don't try to correct the arrow side for the desklet menu inside desklet.js. The boxpointer handles this on it's own.
  * CinnamonWindowTracker: Pull some upstream fixes so google chrome apps will use the proper icons in the window list

  [ Lars Mueller ]
  * Fix allocation error when STBoxLayout is align_end

  [ Clement Lefebvre ]
  * Sound applet: Fixed huge icons/artwork in HiDPI
  * Keyboard settings: Release grab when focus is lost

  [ cave ]
  * attentionhandler suppress autofocus

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 09 Nov 2015 11:33:49 +0000

cinnamon (2.8.2) rosa; urgency=medium

  [ Daniel Alley ]
  * Replaced uses of the commands module with subprocess

  [ Michael Webster ]
  * st-container.c: Fix dispose method causing crashes.  priv->children was being updated during destruction of each child, causing invalid pointers when iterating thru priv->children.  Use clutter_actor_destroy_all_children to do just that, and we get no corruption.
  * appletManager.js: fix get_object_for_uuid() when an empty index of appletObj is hit upon.

  [ Clement Lefebvre ]
  * Settings: Added link to mintlocale's input method
  * Updated pot file

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 30 Oct 2015 12:03:31 +0000

cinnamon (2.8.1) rosa; urgency=medium

  [ Dexter Chua ]
  * panel.js: factor out panel allocation code and prevent division-by-zero error

  [ JosephMcc ]
  * workspace-switcher: Properly resize the switcher when using custom panel sizes

  [ Daniel Alley ]
  * fixed code execution by replacing os.system() w/ subprocess.call(), pep8 formatting

  [ pixunil ]
  * Panel launchers applet: syncronize with settings with correct variable Caused issues when adding, moving or removing items

  [ Michael Webster ]
  * capi.py: Handle the failure to locate c-c-c modules more gracefully.
  * capi.py: fix i386 platform detection.

  [ Clement Lefebvre ]
  * capi.py: Scan all relevant paths
  * Removed unused files/generate_desktop_files file
  * capi.py: Add support for /usr/lib64 (used in RPM distros)

  [ Daniel Alley ]
  * fixed command injection, replaced deprecate calls to "commands" module with their subprocess replacements
  * pep8 formatting
  * added exception handler just in case
  * fix potential NameError
  * pep8

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 26 Oct 2015 11:46:40 +0000

cinnamon (2.8.0) rosa; urgency=medium

  [ Alexandre Rostovtsev ]
  * build: require libmuffin-2.5.0 for show_tile_preview
  * build: append ST_CFLAGS when building test-recorder

  [ Asier Iturralde Sarasola ]
  * Fix some typos in the Writing applets tutorial

  [ Clement Lefebvre ]
  * Power applet: Fix case when last battery is removed (applet continued to show up)
  * Power settings/applet: Added vendor/model info, refactored code/logic as to which device to show in the applet, fixed 6px margin issue
  * Power applet: Don't show time until fully charged when equal to 0 (i.e. when unknown)
  * Multi-monitor support: When switching workspace, the workspace name OSD should appear on all relevant monitors
  * Alt-tab: Improved preview mode (faster switching animations, less delay, less opacity in the background)
  * Alt-tab: Speed up preview backdrop animation a little more
  * Alt-tab: Classic switcher, don't animate thumbnail removal (it looks weird when switching to the next window..). Also, increase the delay to show thumbs to 300ms. Both 180ms and 300ms seem slow when trying to identify windows by their thumbs, but 180ms gets in the way and shows shadow-thumbs when pressing Alt at "normal" speed. It's all empirical/subjective really.. but this seems to improve things a bit.
  * Display applet: Show output names (handy when the the display name is the same for 2 or more monitors)
  * Workspace Switcher applet: Added visual representations and configuration to switch between visual and button modes
  * Applets: Fixed enabling/disabling applets
  * Window list applet: Simplified setting description
  * Revert "Stop using deprecated functions"
  * Network applet: If the device vendor/model are empty, return the device name or the device type
  * Sound applet: Replaced 'menuitem-detail' style with popup-inactive-menu-item
  * Sound applet: Group player_info/artwork/track_info/controls/position_seeker together, implement flat slider support in slider.js.
  * Sound applet: Reduce the number of theme styles used
  * Sound applet: Fixed recent regression when displaying track info in the panel
  * Sound applet: Move input components, output devices and applications to context menu
  * Sound applet: Hide applications/output-devices initially
  * Sound applet: Make new styles important so the new elements look nice in all themes
  * Sound applet: Fixed introduced regression (title/artist info only changed when cover changed)
  * Sound applet: Themeable button sizes (bigger by default) and a little more padding in the track info
  * User settings: Removed trailing spaces and fixed indentation
  * User settings: Replace os.system() with subprocess.call()
  * Indicators: Less debug info in Melange, and hide indicators which role is registered by applets
  * Fixed redeclaration of const Params
  * FHS fixes: move arch indip. files from /usr/lib to /usr/share
  * Move capi.py to /usr/lib as contain one path arch dependent
  * Sound applet: Force padding/alignment on device output origins
  * Removed unused code
  * Don't register Cinnamon with cinnamon-session
  * Fixed Cinnamon caused by previous commits
  * Fixed Cinnamon crash caused by previous commits
  * Removed cinnamon-preload
  * Added debian/cinnamon.maintscript to remove obsolete preload files in /etc
  * Window list applet: Add window title and icon to window preview thumb
  * Systray applet: Fixes for invisible/out-of-place icons
  * Updated makepot
  * Updated additional files
  * Fixed ./generate_cs_module_desktop_files.py and updated cs module desktop files
  * Fixed missing paths in makepot
  * Don't translate "v%s"..
  * Updated pot file
  * Systray applet: Fixed Cinnamon crash when resizing the panel or toggling scale mode
  * Systray applet: Fixed indicators not being removed properly
  * A couple of improvements for indicators
  * Window list applet: Enable thumbnail previews by default

  [ Corbin ]
  * Improve/Bugfixes password changer dialogs
  * finishing touches

  [ darealshinji ]
  * Packaging: fix and override more Lintian warnings

  [ Dexter Chua ]
  * appletManager.js: use a more efficient method to add applet
  * appletManager.js: avoid code duplication
  * Menu Applet: Code Cleanup 1
  * Menu Applet: Code Cleanup 2
  * appletManager.js: Don't reinvent Applet.prototype.filter
  * appletManager.js: more cleanup
  * Panel Launchers: Code Cleanup
  * popupmenu.js: Code Cleanup
  * signalManager.js: Code Simplification
  * Fix deprecation warnings
  * [Alt-F2] Work well with whitespace in filenames
  * cs_startup.py: don't crash when XDG_CURRENT_DESKTOP is not set
  * [Alt-F2] Redo (broken) completion mechanism
  * [Alt-F2] Allow user-defined aliases
  * [Alt-F2] Fix completion for symlink to directory
  * Allow documentation of signals
  * Document signals in PopupMenu.PopupMenuBase
  * Stop using deprecated functions
  * Removed unused variables
  * Stop using deprecated functions
  * tooltip.js: split out TooltipBase class for easier reuse
  * Window list applet: add window preview
  * Add missing import
  * tooltips: simplify position calculations
  * [Docs] Fix regression in whitespace determination
  * windowManger.js: use Tweener for timeout
  * tooltip.js: yet again more cleanup
  * window list: steal alt-tab style for preview

  [ Dustin Falgout ]
  * Display the name of Arch Derivatives When Applicable

  [ Fabio Fantoni ]
  * Install python script supporting files in /usr/share
  * Fix cinnamon-settings python files path
  * Fix cinnamon-settings-users policy path
  * Fix cinnamon-settings-users path
  * Fix cinnamon-desktop-editor path
  * Fix cinnamon-menu-editor path
  * Fix cinnamon-screensaver-lock-dialog path
  * Fix cinnamon-json-makepot path
  * Fix other FHS path
  * Fix cinnamon-settings after FHS fixes
  * Improve debian/rules
  * Add capi search path

  [ Filip Kowalczyk ]
  * fixed sticky highlight on Clear List button in Recent Files when browsing with keys

  [ Garry Filakhtov ]
  * Removed dateFormat from toLocaleTimeString() call

  [ James Lu ]
  * cs_startup: fix crash on NameError when copying a desktop file fails

  [ JosephMcc ]
  * Deprecations: Remove use of deprecated g_type_init () and bump GObject requirement accordingly.
  * Deprecations: Replace gtk_icon_info_free() with g_object_unref()
  * Cleanup: instead of attempting to clean up deprecated functionality in cinnamon-arrow, just remove it since it seems to be unused.
  * Cleanup: Fix an unused function warning in cinnamon-global.c
  * Cleanup: Remove st-tooltip. It's the source of a lot of build warnings and we no longer use it.
  * js: Explicitly dispose of all cairo contexts. A long read on why you want to do this here: https://bugzilla.gnome.org/show_bug.cgi?id=685513
  * trash-applet: Fix an issue: JS ERROR: Error: Too few arguments to method Gio.close expected 1 got 0 in the trash applet
  * effects: bring back our window unminimize effect
  * workspace-switcher: Add an "Add new workspace" option to the context menu
  * boxpointer: Pull in some upstream fixes that better handle the boxpointer "arrow" in some cases
  * Set the X-Gnome-AutoRestart hint to false. Stumbled across this in an old gnome bug report. Fixes the issue with Cinnamon restarting twice with cinnamon --replace
  * windowManager: Destroy the tile hud/preview when we are done with it. Currently after showing the preview you will get a noticeable slowdown when moving windows that pass off the monitor edges. This should help solve that.
  * popupMenu: Add back the expander arrow on PopupSubMenuMenuItem but with a different layout. Also tweak the layout of a couple of our applet menus to look nicer with this change. The addition of the icons to Cinnamon itself is a workaround for Mint. Newer versions of the gnome icon theme have these as built in icons but not in the version supplied with Mint 17. They can be removed in the future.
  * bg: add "spanned" to the list of bg types that need to show the background color options
  * popupMenu: add back a couple checks for the existence of submenu expander arrow to prevent breaking the right click context menus in the menu applet
  * use the new meta_screen_get_current_monitor() to place appswitchers and modal dialogs on the proper monitor in multiple monitor setups
  * workspace-applet: properly dispose a cairo context
  * cs_windows: Reword a setting to match https://github.com/linuxmint/muffin/pull/204
  * windowManager: Make the window dimming effect with attached dialogs a bit stronger and more obvious
  * windowManager: Properly declare a variable
  * add new slider and separator objects
  * workspace-switcher: Rework the visual style workspace switcher so it can be themed. Also fix some st_theme_node warnings and stop windows from being able to be drawn outside the workspace background
  * cs_startup: set modal to true for both the "Choose application" and "Add custom command" dialogs so the behavior is the same for both when using attached dialogs
  * rework the window list and effects so minimize effects work properly with multiple window lists on multiple monitors
  * sound-applet: make the volume slider for individual applications fully expand
  * workspace-swithcer: Use the set_important() function to make sure we get proper theming on the visual workspace switcher in themes that don't yet support it
  * systray-applet: fix an undeclared variable warning
  * theme: Re-style and size checkboxes and radio buttons in the default theme

  [ leigh123linux ]
  * cinnamon_recorder_LDADD' is defined but no program or library has 'cinnamon_recorder' as canonical name (possible typo)
  * Remove relic from old mozjs-17
  * fix gtk import version
  * fix gtk import version
  * fix gtk import version
  * fix notify import version
  * fix cinnamon-desktop and upowerglib import versions
  * fix accountsservice import version
  * remove unused browser plugin stuff
  * cs_screensaver: fix Deprecation Warning
  * SettingsWidgets: fix Deprecation Warning
  * cs_themes: fix Deprecation Warning
  * Spices: fix Deprecation Warning
  * deprecated schema
  * missed one

  [ lestcape ]
  * Be more selective when filter the mouse release events.
  * Add support for indicators.
  * Fix missing or improperly imports.
  * Moved the indicator to the main cinnamon class. Removed the NameWatchDog Class. Added some checks, and the compatibility with this new behavior.
  * Removed also the NameWatchDog declaration (was omitted in the previous commit).
  * Inhibit the indicator icon, when has a draggable parent.
  * As a pedro recommendation, this is an attempt to move the RadioButton and CheckBox classes to the corresponding place, and reuse it, in the same place.
  * Fixed an error in the regretion from signalManager.

  [ Marga Manterola ]
  * Optimize rebuilding of media-keys hotkeys (fixes #4691)
  * Reorder setting delay_setup_started variable to avoid possible races (improves #4692)

  [ Matthew Petroff ]
  * Restore time remaining option for power applet.
  * Fix translation strings.

  [ Michael Webster ]
  * cs_backgrounds: add missing import
  * window-list applet: restore 2.4 behavior where a window list item demanding attention remains highlighted after it's done flashing.
  * panel-launcher: Use a generic icon when creating a new launcher, if the user didn't select a custom icon.
  * st-widget: Expand the "important" property: add set/get methods, remove CONSTRUCT_ONLY flag, have a theme node recalculation triggered when the property changes.
  * capi.py:  Move with rest of cinnamon-settings files to their new location, remove debian sed rule for multiarch fix, instead figure out the right location in the capi code.  Cinnamon-bluetooth is not MultiarchSpec compliant, so we still need to *also* load from /usr/lib/*.
  * st-widget.c: Fix typo in st_widget_recompute_style
  * st-theme-node: properly recalc the theme node when an StWidget's important property changes.
  * main.js: Fix typo from 08474a03cd660bb176d5ebb361a01ff6d51162fc
  * tooltips.js: Fix some occasional log warnings
  * window list: don't delay showing a preview, if another preview was just showing.
  * keybindings.js: don't tell muffin to remove a keybinding that we never set.  This quiets warnings during startup about magnifier hotkeys.

  [ Phillip Berndt ]
  * Calendar applet: Avoid unnecessary wakeups
  * Calendar applet: Update each second if global time format is set to include seconds
  * Calendar applet: Update if Date&Time configuration has changed
  * Calendar applet: Simpler detection method for 8aa5264

  [ pixunil ]
  * Power applet: Fixed a logical bug, when the primary device does not change its icon string after an update, battery-full will be used Fixes #4329
  * Sound applet: Use the style class .sound-button-container with the pseudo class :small for quit and raise buttons Theme: Apply the :small pseudo class, cleanup of unused sound applet classes
  * Also translate xlet metadata in about dialogs
  * cs-backgrounds: add revealer to gradient widgets when picture-options is set to a value where those have no effect
  * Network applet: hide the switch if the switch has got no function   This is typically the case e.g. when a cable is unplugged
  * trash applet: do not add items to context menu on orientation changed
  * extension.js: Use a macro function to create the Extension.Type members
  * extension.js: xlet uuids are unique for each xlet type, it is now possible to have more than one xlet of different types and the same uuid - Extension.unloadExtension, Extension.forgetExtension and Extension.get_max_instances needs to have a type argument after the uuid - Extension.importObjects, Extension.objects, Extension.meta, Extension.dirs are moved to Extension.Type[type].maps[mapType]
  * Automatically reload xlets when updating them instead of showing an info dialog
  * extension.js: Enable imports in a xlet via import.xlet (where xlet is the type of xlet; applet, desklet, extension or search_provider) cinnamon-js.cpp: Removed cinnamon_js_add_extension_importer
  * appletManager: In arrow filter functions, check if the value exists (when iterating over appletObj) Fixed the bug when the button in applet settings has no effect

  [ Rob Adams ]
  * Show audio device name (origin) in sound applet
  * Change calls to highlight, activate callbacks on xlets - Fixed initial instance not being selected on multi-instance xlets (error on highlight) - Passing uuid and instance_id to cinnamon via dbus - instance_id is the same as uuid when multi-instance not allowed - Corrected order of instance tabs in Gtk.Notebook to reflect order instances were added in

  [ Stephen Collins ]
  * Fix St.Entry not honoring some css text properties
  * settings.js: allow for dynamic getting and setting of options for supported key types (eg comboboxes and radio groups)
  * Make more cursor types available to Cinnamon
  * Sound applet: make sure player controls are destroyed when multiple names are used
  * Add two more cursor types to Cinnamon javascript
  * Fix some problems with the checkbox api

  [ The Aviator ]
  * Only get local users from /home

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 20 Oct 2015 10:39:24 +0100

cinnamon (2.6.13) rafaela; urgency=medium

  * A11y applet: Show active keyboard modifiers when sticky keys are enabled
  * Renamed mintInstall.desktop -> mintinstall.desktop

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 09 Jul 2015 14:16:19 +0200

cinnamon (2.6.12) rafaela; urgency=medium

  [ mtwebster ]
  * photoframe desklet: remove long-unused 'quality' setting.
  * Spices.py: remove redundant url request when refreshing thumbnails.

  [ JosephMcc ]
  * Fix the activation of right side hot corners being blocked by the pointer barrier
  * Some improvements to the trash applet
  * fix the trash applet crashing cinnamon due to a misnamed function
  * cs_startup: Fix an issue where startup applications fails to start because a desktop file fails to load

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 01 Jul 2015 09:29:20 +0200

cinnamon (2.6.11) rafaela; urgency=medium

  * Trash applet: Fixed icon not updating, Cinnamon freezes and memory leaks when trashing large numbers of files
  * Updated translations in desktop files

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 26 Jun 2015 16:05:29 +0200

cinnamon (2.6.10) rafaela; urgency=medium

  [ Gwendal Le Bihan ]
  * Don't fail when a stack is empty (can happen with the power panel)

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 24 Jun 2015 16:35:46 +0200

cinnamon (2.6.9) rafaela; urgency=medium

  [ Dexter Chua ]
  * signalManager.js: fix errors when disconnecting JS objects
  * cs_themes.py: fix potential crash. Fixes #4325

  [ Clement Lefebvre ]
  * Power Settings: Fixed battery info duplicated on the page every time it is refreshed
  * Power settings: Fixed typo in the code
  * Keyboard applet: Show text when layout icon isn't found
  * Bumped cjs dependency to 2.6.2 (required by signalManager)

  [ Michael Webster ]
  * photoframe desklet: Adjust an image's size only after it's been fully loaded, and we've received notification the size has changed (otherwise width and height are initially 0, and the aspect ratios of pictures aren't right.
  * cinnamon-settings: Set the first child visible each time a stacked settings page is navigated to.

  [ JosephMcc ]
  * fix an issue where panels/desklets can't get focus when a window is fullscreened on the primary monitor
  * Place modal dialogs like the About dialog on the monitor that currently has the mouse cursor instead of the monitor with the last focused window.

  [ glebihan ]
  * Added missing runtime dependency

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 22 Jun 2015 23:33:09 +0200

cinnamon (2.6.8) rafaela; urgency=medium

  [ glebihan ]
  * Fix typo in doc

  [ Dexter Chua ]
  * windowManager.js: fix typo; fixes #4253
  * panel.js: fix panel autohide glitch
  * applet.js: don't use deprecated MenuItem

  [ Clement Lefebvre ]
  * Revert "Menu applet: Removed context menu on recent items (overkill and we're really struggling with performance at startup)"
  * Power applet: Fixed panel icon not getting refreshed after falling back to brightness icon (after a suspend/resume for instance)
  * Power Settings: Added missing "self" in front of function
  * Background settings: Don't fail when locale isn't as expected (fixes "LC_ALL=C cinnamon-settings backgrounds")

  [ zyisrad ]
  * Display Volume OSD on primary monitor correctly

  [ Michael Webster ]
  * windowManager.js: Fix window dimming behavior for attached modal dialogs.
  * menu applet: clean up panel icon section - having no icon is a valid option, and it wasn't working.
  * cs_startup: Let double-clicking entry open the edit dialog.

  [ David Gasquez ]
  * Fix typo

  [ leigh123linux ]
  * remove empty tooltip

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 14 Jun 2015 13:18:44 +0200

cinnamon (2.6.7) rafaela; urgency=medium

  [ Michael Webster ]
  * Make cinnamon a proper registered client with cinnamon-session.  This lets us kill it on command.  Otherwise, it lasts longer than c-s-d does (which is also a registered client) and we get strange icon/theme issues during logout, once xsettings dies.

  [ Clement Lefebvre ]
  * Renamed Screen Locker settings -> Screensaver and regenerated module desktop files
  * Updated desktop files
  * Make sure to refresh menu/panel-launchers at least once (when the Cinnamon icon theme is the same as the GTK one we don't get any icon-theme-change from St)
  * By default, allow Cinnamon to scale panel text and icons according to the panel heights

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 02 Jun 2015 12:39:58 +0200

cinnamon (2.6.6) rafaela; urgency=medium

